api = None

def init(_api):
    global api
    api = _api

    # Регистрация источника данных для страницы просмотра
    api.add_url('/repo/browse-default', ep_browse_default)

    # Добавление вызова модального окна в главное меню
    api.app_menu.add_menu({'caption':'Demo'})
    api.app_menu.add_item('Demo', {'caption':'demo_browse', 'url': '/page/browse-default?path=test'})

    

import m_rest

def ep_browse_default(context, **kwargs):
    args = api.lib.rest.get_args(context)

    m_rest.assert_params(args, ['path'])

    data = {
            "form" : {
                    "caption" : 'Тест универсального журнала'
                },

            "repository": {
                "tables": {
                        "table1": {
                                "tab_name": "Таблица образец 1",
                                "headers": ["org_id", 'attr1'],
                                "model": [
                                    {"field": "org_id", "caption": "Колонка образец 1"},
                                    {"field": "attr1", "caption": "Attr 1"}
                                ],
                            },
                    },

                "types": {
                    "CalcCodeTerritory": {"base_type": "CALC", "calc_type": "CalcCodeTerritory" }
                    },

                "actions": [
                    {"action_name": "demo_action", "caption": "Notify", "url": "/api/actions?action=exec&action_name=demo_action&path=ReportForms", "icon": None}, 
                    {"action_name": "demo_areport", "caption": "Demo AReport", "url": "/api/actions?action=exec&action_name=demo_areport&path=ReportForms", "icon": None}, 
                    {"action_name": "test_modal", "caption": "Test Modal", "url": "/api/actions?action=exec&action_name=test_modal&path=ReportForms", "icon": None},
                ]
            },

            "data": {
                    "table1": [
                            { "org_id": "Образец текста 1", "attr1": 123},
                            { "org_id": "Образец текста 2", "attr1": 234}
                        ],
                }
        }

    return m_rest.ApiRest.result(data)
