DEBUG_PAGE_FILE = 'debug.html'

def init(_api):                                     # Инициализация модуля
    global api
    api = _api

    # Регистрация модуля в структуре API
    api.add_url('/debug', ep_page_debug)
    api.add_url('/sql_exec', ep_sql_exec)
    api.add_url('/python', ep_python)
    api.add_url('/shell', ep_shell)
    api.add_url('/log', ep_log)


import os
from werkzeug.wrappers.response import Response

import m_utils
import m_rest


def ep_page_debug(**kwargs):
    file_path = None
    try:
        base_path = os.path.split(os.path.abspath(__file__))[0]
        file_path = os.path.join(base_path, DEBUG_PAGE_FILE) 

        with open(file_path, encoding='utf-8') as f:
            page = f.readlines()
        return Response(page, mimetype='text/html')

    except Exception as e:
        page = f'Ошибка загрузка файла {file_path}\n\n'
        page += m_utils.exception_text(e)
        return Response(m_utils.to_html(page), mimetype='text/html')

def ep_sql_exec(context, **kwargs):
    args = api.lib.rest.get_args(context)
    sql = args['sql']

    try:
        rs = api.context.db_connect.sql_exec(sql)
        if rs: 
            res = rs.to_dict()
        else:
            res = 'No result'

        return res
    
    except Exception as e:
        return m_utils.to_html(str(e))


def py_exec(code):
    output = []
    def debug_print(*s, end='\n'):
        line = ' '.join( [f'{i}' for i in s] ) + end
        lines = line.split('\n')
        if not lines[-1]: del lines[-1]
        output.extend(lines)

    vars = {}
    g = {'api':api, 'print':debug_print, 'debug_print':debug_print}
    api.set('api.lib.debug.debug_print', debug_print, ensure=True)

    code_lines = [line for line in code.split('\n') if line.strip() and not line.strip().startswith('#')]

    left_phrase = code.split('=')[0]
    is_assign = '=' in code and left_phrase.count('(') == left_phrase.count(')')

    if len(code_lines)==1 and not is_assign:
        vars['eval'] = eval(code_lines[0], g)
    else:
        exec(code, g, vars)
    
    vars['output'] = output

    return vars
        #
        #
def ep_python(context, **kwargs):
    try:
        args = api.lib.rest.get_args(context)
        code = args['code']

        out = py_exec(code)

        out_str = '\n'.join([str(line)+'\n' for line in out.get('output',[])])
        out.pop('output')
        eval_value = out.get('eval')

        if eval_value!=None and out_str:

            out_str += f'\n{eval_value}'
            return m_rest.ApiRest.result( out_str )

        elif eval_value != None:
            return m_rest.ApiRest.result( eval_value )

        elif out and not out_str:
            return m_rest.ApiRest.result( out )

        else:
            res = out_str

            if out:
                res += '\n \n\n=== Variables ===\n'
                for key in out.keys():
                    if not callable(out[key]):
                        res += f'{key} = ' + m_utils.pretty(out[key]) + '\n\n'

            return m_rest.ApiRest.result_html_code(res)

            

    except Exception as e:
        return m_rest.ApiRest.result_error(m_utils.exception_text(e, exclude=['m_rest.py']))


import subprocess

def ep_shell(context, **kwargs):
    args = api.lib.rest.get_args(context)
    cmd = args['cmd']
    res = []

    process = subprocess.Popen(cmd.split(' '), 
                            stdout=subprocess.PIPE,
                            universal_newlines=True)

    while True:
        output = process.stdout.readline()
        if output:
            res.append(output.strip())

        return_code = process.poll()
        if return_code is not None:
            for output in process.stdout.readlines():
                res.append(output.strip())
            break
    
    return m_rest.ApiRest.result_html_code( '\n'.join(res) )
        #    
        #
def ep_log(**kwargs):
    file_path = os.path.abspath( os.path.join(api.get_config('API2_PATH'), '..', 'logs', 'logs.txt') )
    with open(file_path, encoding='utf-8') as f:
        log_lines = f.readlines()

    log_lines = log_lines[-400:]

    return m_rest.ApiRest.result_html_code( '\n'.join(log_lines) )

