api = None

import m_web_ds
import m_repo
from m_repo import Attr
import frontend.browse_edit as browse_edit


def init(_api):
    global api
    api = _api


    # Регистрация справочника demo_voc 
    api.repo.Vocs.reg_voc('demo_voc', 'demo_voc', pk_field='record_id')

    # Регистрация атрибутов справочника demo_voc
    api.repo.Vocs.demo_voc.add_attrs('attrs', m_repo.AttrsModel(
        Attr('record_id', 'record_id', _col='1', readonly=True),
        Attr('value_id', 'Код значения', _col='1'),
        Attr('label',    'Описание', _col='2'),
        Attr('remarks',  'Примечания', _group='Атрибуты', _col='35'),        
    ))

    # Локальная модель атрибутов, обновляющая создаваемую по-умолчанию
    attrs_model = [
        Attr('field1',   'Атрибут 1', _group='Атрибуты', _col='30'),
    ]


    page_model = api.frontend_models.browse_edit(   # Страница для которой создается модель
            api.repo.Vocs.demo_voc,
            title='Справочник demo_voc',            # Заголовое страницы
            attrs_model=attrs_model,                # ОПЦИЯ Локальная модель атрибутов перекрывающая создаваемую по-умолчанию для родительской ноды
            ds=api.repo.Vocs.demo_voc.ds,           # ОПЦИЯ Источника данных. По-умочанию используется источник данных найденный для родительской ноды
            headers=None,                           # ОПЦИЯ Заголовки
        )
            

    # Регистрация пункта в главном меню приложения
    if api.get_config('API2_DEBUG', False):
        api.app_menu.add_menu({'caption':'Demo'})
        api.app_menu.add_item('Demo', page_model.get_menu_item_model('demo_browse_edit'))
