/* Динамически подгружаемый компонент, получает интерфейс к API*/
export default {
  inject: ["api", "api2"],
  props: ["context", "form", "route"],

  template: `
    <div style="display: flex; flex-direction: column; gap: 10px; padding: 20px;">
      <b>props.context:</b>
      <pre>{{context}}</pre>

      <b>api.context.get():</b>
      <pre>{{api.context.get()}}</pre>

      <b>Ввода данных:</b>
      <t-input-component :size="1" v-model="rec.attr1" style="width:200px"/>

      <b>Ввода дополнительного параметра:</b>
      <t-input-component :size="1" v-model="rec.attr2" style="width:200px"/>

      <div style="display:flex; flex-direction:row-reverse; gap:10px;">
        <button-component class="form-button" @click="onClose">Закрыть</button-component>
        <button-component class="form-button" @click="onCommit">Сохранить</button-component>
        <button-component class="form-button" @click="onSelect">Выбрать</button-component>
      </div>
    </div>
  `,

  data() {
    return {
      rec: {
        attr1: "default value",
        attr2: "additions value"
      }
    };
  },

  methods: {
    onCommit() {
      this.api.modal.commit(this, {value:this.rec.attr1, row:this.rec})
    },

    onClose() {
      this.api.modal.close(this)
    },

    async onSelect() {
      this.api.context.setMerge({     // Обновление контекста
        selected_cell: {field:'attr1', value:this.rec.attr1},
        selected_row:this.rec
      })

      let result = await this.api.modal.show('/api/modals?name=demo_modal_select')

      console.log('Получен результат', result)
      if (result) {
        this.rec.attr1 = result.value
        if (result.row.attr2) this.rec.attr2 = result.row.attr2
      }
    }
  },

  async mounted() {
    this.form.set_caption('Test Modal')
  },
};
