DEMO_MODAL_FORM_NAME = 'demo_modal'
DEMO_MODAL_SELECT_NAME = 'demo_modal_select'

from sguk_ide import *

api = None

import os

import m_repo, m_pages


def init(_api, **kwargs):
    global api
    api = _api


    if api.get_config('API2_DEBUG', True):
        # Регистрация модальных форм
        path = os.path.split(os.path.abspath(__file__))[0]
        api.modals.add_modal(DEMO_MODAL_FORM_NAME, file_name=os.path.join(path, 'demo_modal.js'))
        model = m_pages.FrontendModel(api.frontend_models, DEMO_MODAL_FORM_NAME, 'Demo Modal Title')
        api.repo.add_attr_type('test_modal', m_repo.AttrTypeModal(model))

        api.modals.add_modal(DEMO_MODAL_SELECT_NAME, file_name=os.path.join(path, 'demo_modal_select.js'))
        model = m_pages.FrontendModel(api.frontend_models, DEMO_MODAL_SELECT_NAME, 'Demo Select Title')
        api.repo.add_attr_type('test_select', m_repo.AttrTypeModal(model))

        # Добавление вызова модального меню на панель действий всех журналов отчетных форм
        api.repo.ReportForms.ActionDemo.add_action('test_modal', action_test_modal, caption='Test Modal', progress=False)
        api.repo.Vocs.add_action('test_modal', action_test_modal, caption='Test Modal', progress=False)

        # Добавление вызова модального окна в главное меню
        api.app_menu.add_menu({'caption':'Demo'})
        api.app_menu.add_item('Demo', {'caption':'demo_modal', 'modal': api.modals.get_url(DEMO_MODAL_FORM_NAME)})


import m_rest

# Обработчик вызова с панели действий
def action_test_modal(context=None, **kwargs):
    return m_rest.ApiRest.result_modal(api.modals.get_url(DEMO_MODAL_FORM_NAME), context)
