/* Динамически подгружаемый компонент, получает интерфейс к API*/
export default {
  inject: ["api", "api2"],
  props: ["context", "form", "route"],

  template: `
    <div style="display: flex; flex-direction: column; gap: 10px; padding: 20px;">
      <b>api.context.get():</b>
      {{api.context.get()}}

      <b>Ввода данных:</b>
      <t-input-component :size="1" v-model="rec.attr1" style="width:100px"/>

      <div style="display:flex; flex-direction:row-reverse; gap:10px;">
        <button-component class="form-button" @click="onClose">Закрыть</button-component>
        <button-component class="form-button" @click="onCommit">Сохранить</button-component>
      </div>
    </div>
  `,

  data() {
    return {
      rec : {
        attr1: "value",
        attr2: "value 1"
      }
    };
  },

  methods: {
    onCommit() {
      console.log('onCommit')
      this.api.modal.commit(this, {value : this.rec.attr1, row:this.rec})
    },

    onClose() {
      this.api.modal.close(this)
    }
  },

  async mounted() {
    this.form.set_caption('Test Modal Select')
  },
};
