/* Динамически подгружаемый компонент, получает интерфейс к API*/
export default {
    inject: ["api"],
    template: `
        <div style="display:grid; grid-template-columns: auto 1fr">
          <p>Модель</p>
          <textarea v-model="model_str"></textarea>
          <p>Заголовки</p>
          <textarea v-model="headers_str"></textarea>
          <p>Данные</p>
          <textarea v-model="data_str"></textarea>
        </div>
        <button @click="refresh">Refresh</button>

        <t-table :model="model" :headers="headers" v-model:data="data" 
            :multiselect=true
            :num-row=true
            :num-col=false
            @update:data="(event) => show_event(event, 'update:data')" 
            @row:update="(event) => show_event(event, 'row:update')"
            @row:create="(event) => show_event(event, 'row:create')"
            @row:delete="(event) => show_event(event, 'row:delete')"
            @row:check="(event) => show_event(event, 'row:check')"
            @row:click="(event) => show_event(event, 'row:click')"
            @row:dblclick="(event) => show_event(event, 'row:dblclick')"
            @row:keydown="(event) => show_event(event, 'row:keydown')"/>

        <div style="display:grid; grid-template-columns: auto 1fr">
            <p>data</p>
            <pre>{{data}}</pre>
        </div>
    `,

    imject: ["api"],

    props: {
      route: Object,
    },

    data() {
      return {
        model: {
          h1: { caption: "H1 caption" },
        },
        data: [{ h1: 123 }, {h2:'test'}],
        headers: ["h1", {"Total":["h2", "h3"]} ],

        model_str : null,
        data_str: null,
        headers_str: null,
        component: ''
      };
    },
    methods: {
        refresh() {
            this.model = JSON.parse(this.model_str)
            this.headers = JSON.parse(this.headers_str)
            this.data = JSON.parse(this.data_str)
        },

        reload() {
            this.model_str = JSON.stringify(this.model)
            this.headers_str = JSON.stringify(this.headers)
            this.data_str = JSON.stringify(this.data)
        },

        show_event(event, event_name) {
          console.log(event_name, event.event, event)
        }
    },

    created() {
        this.reload()
    }
  };
  