# Журнал отчётов ВИАЦ
def init():
    return {
        'module_type': 'report_forms_journal',
        'journal_name': 'Прогнозы объемов захоронения РАО',
        'query_condition': "form_no LIKE 'form_6\_%'",
        'viac_enabled': True,
        'lazy_load_size': 50,
        'headers': [
            'author_id', 'form_name', 
            {'Период': ['form_period_start', 'form_period_end']},
            'user', 'form_state', 
        ],
        'model': [
            {
                'field': 'author_id',
                'caption': 'Организация',
                'width': '200px',
                'filter': ['=', 'sql'],
                'type': 'organizations_voc_type',
            },
            {
                'field': 'form_name',
                'caption': 'Прогноз',
                'type': 'slot',
                'slot': 'form_name',
                'width': '400px',
                'filter': ['=', 'like', 'sql'],
            },
            {
                'field': 'form_period_start',
                'caption': 'с',
                'type': 'date',
                'width': '100px',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'form_period_end',
                'caption': 'по',
                'type': 'date',
                'width': '100px',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'user',
                'caption': 'Автор',
                'width': '120px',
                'filter': ['=', 'like', 'sql']
            },
            {
                'field': 'form_state',
                'caption': 'Статус',
                'type': 'form_state',
                'width': '110px',
                'filter': ['=', 'sql'],
            },
        ],
    }
