'''
Определения:
 - аналитического регистра 
 - карты отображения
'''

REG_TABLE = 'acc_fc'

import sguk_regs

def init(_api):
    global api
    api = _api

    db = api.system.system_db_connect
    
    global reg_model

    # Организация регистра в БД
    reg_model = TableModel(db, REG_TABLE, *reg_fields)
    db.ensure_table(REG_TABLE, reg_model, check_only=False)

    reg_node = api.add('api.regs.'+REG_TABLE, sguk_regs.Register(REG_TABLE))   

    api.repo.ReportForms.Forecast.form_6_1_2022.add('map', sguk_regs.FormMapping(reg_node, {}), node_type='RegMap')


import sguk_api

api = None

from m_db import TableModel, Field, PK_Field, FK_Field

reg_fields = [  
    PK_Field('record_id'),
    FK_Field('report_form_id', ref_table_name='ReportForms'),

    Field('OpCod',          'str',   caption='Код операции', rtype='11_type'),
    Field('OpDate',         'date',  caption='Дата операции', rtype='date'),
    Field('RAOCod',         'str',   caption='Код РАО', rtype='CalcCodeRao'),
    Field('BCod',           'str',   caption='Статус РАО', rtype='16_type'),
    Field('Kbm',            'float', caption='Объем, куб.м.', rtype='exponential'),
    Field('Tonne',          'float', caption='Масса, т', rtype='exponential'),
    Field('Sht',            'int',   caption='Кол-во ОЗИИИ', rtype='int'),
    Field('ActTR',          'float', caption='тритий', rtype='exponential'),
    Field('ActBG',          'float', caption='бетта и гамма', rtype='exponential'),
    Field('ActA',           'float', caption='альфа', rtype='exponential'),
    Field('ActU',           'float', caption='трансурановые', rtype='exponential'),
    Field('DocN',           'str',   caption='номер док-та'),
    Field('UpCod',          'str',   caption='Код переработки/сортировки РАО', rtype='17_type'),
    Field('UktPrN',         'str',   caption='Номер упаковки'),
    Field('PH_Name',        'str',   caption='Пункт хранения'),
    Field('PH_Cod',         'str',   caption='Код пункта хранения'),
    Field('Subsid',         'str',   caption='% субсидии', rtype='grant'),
    Field('FCP',            'str',   caption='номер мероприятия ФЦП'),
    Field('obligations',    'str',   caption='Обязательства по захоронению', rtype='yesno_type'),
    Field('work_code',      'str',   caption='Код деятельности'),
    Field('ptc_name',       'str',   caption='Наименование ПТЦ', rtype='ptc_type'),
    Field('tech_stage',     'str',   caption='Стадия'),
    Field('tech_oper',      'str',   caption='Технологическая операция', rtype='op_type'),
    Field('kont_type',      'str',   caption='Тип контейнера'),
    Field('rao_class',      'str',   caption='Класс РАО'),
    Field('volume_mult',    'float', caption='Коэф. изм. объема', rtype='exponential'),
    Field('fc_volume',      'float', caption='Прогнозируемый объем РАО, куб.м', rtype='exponential'),
    Field('fc_kont_qty',    'float', caption='Кол-во контейнеров', rtype='int'),
    Field('fc_kont_volume', 'float', caption='Объем контейнеров, куб.м', rtype='exponential')
]