/*
Создание интерфейса вызова функций API
*/

export const api = {
    async page_load(path) {
        let res = await import(path)
        return Vue.shallowRef( res['default'] )
    },

    install(app, options) {
        let api = {
            sleep(ms) {
                return new Promise(r => setTimeout(r, ms))
            },

            model_load(docClass) {
                return {docClass, docId:"docId", a:"var a", b:"var b"}
            },

            data_load(docClass, docId) {
                return {docClass, docId, a:1, b:2} 
            },
            
            data_save(docClass, data) {
                console.log("Saved", docClass, "=", data)
            },

            page_url(page) {
                return '/static/' + page + '.js'
            },

            page_load: this.page_load,
            
            action : {
                exec() {},
            }
        }

        app.config.unwrapInjectedRef = true
        app.provide("api", api)
    }
}