export const modalPanel = {
    template: `
    <div v-if="isActive" style="position:relative; border:1px solid black; background-color: lightgray; 
                top:100px; width:fit-content; margin:auto; padding: 10px;">
        <storage>
            <page :page="page"/>
        </storage>
    </div>
    `,

    data() { return {
        isActive:false,
        dlgResult: null,
        page: null,
        dlg: null,              // Vue-структруа формы ввода
    }},

    provide() { return {            // Экспорт дочерним компонентам
        modal: {
            close : this.close,         // функция закрытия модальной панели
            setResult: this.setResult      // функция для передачи результата
        },
}},

    methods: {
        setResult(res) { 
            this.dlgResult = res 
        },

        async open(page) {
            this.dlgResult = null
            this.isActive = true
            this.page = page

            // Ожидание завершения активности диалога
            while (this.isActive)    
                await new Promise(r => setTimeout(r, 50))   // Асинхронный SLEEP на 50 мс

            return this.dlgResult
        },

        close() { 
            this.isActive=false
            this.dlg = null 
        }
    },
}