api = None

class Register:
    def __init__(self, reg_name, fields, table_name=None, name_space=''):

        print(f'init: reg_name={reg_name} table_name={table_name} name_space={name_space}')

        self.reg_name = reg_name
        self.fields = fields

        if table_name:
            self.table_name = f'{name_space}.{table_name}'
        else:
            self.table_name = f'{name_space}.reg_{reg_name.lower()}'
         
        print(f'table_name={self.table_name}')

        self._db_check()
        #
        #
    def _db_connect(self):
        return api.context.db_connect
        #
        #
    # TODO
    def _db_check(self):   # Актуализирует структуру таблицы регистра в БД
        pass
        #
        #
    def update(self, data, map={}):
        type_name = data['type_name']
        class_name = data['class_name']
        obj_id = data['obj_id']

        self.delete(type_name, class_name, obj_id)

        # Маппинг атрибутов
        data = dict(data)
        for new_attr, old_attr in map.items():
            if old_attr in data:
                data[new_attr] = data[old_attr]
                del data[old_attr]

        # Удаление атрибутов отсутствующих в модели
        data_attrs = list(data.keys())
        for attr in data_attrs:
            if attr not in self.fields:
                del data[attr]

        # Добавление идентификатора объекта данных
        data.update({
            'type_name'  : (type_name, str),
            'class_name' : (class_name, str),
            'obj_id'     : (obj_id, str)
        })

        self._db_connect().insert(self.table_name, data, fields=self.fields)
        #
        #
    def delete(self, type_name, class_name, obj_id):
        db = self._db_connect()

        db.delete(self.table_name, filters = {
            'type_name'  : (type_name, str),
            'class_name' : (class_name, str),
            'obj_id'     : (obj_id, str)
        })
        #
        #
    def select(self, filters=[], orders=[]):
        return self._db_connect().select(self.table_name, filters=filters, orders=orders)

import m_api

class ApiRegs(m_api.ModuleApi):
    def __init__(self, name_space='public'):
        super().__init__()

        self.name_space = name_space
        self.proto_table_name = f'{name_space}.regs'

        if self.name_space == 'public':
            self.regs_path = 'api.regs'
        else:
            self.regs_path = f'api.regs_{self.name_space}'

        self._db_check()
        #
        #
    def _db_check(self):   # TODO Создает таблицу-прототип при необходиомсти
        sql = f'''
            CREATE TABLE {self.proto_table_name}(
                record_id SERIAL,
                type_name VARCHAR,
                class_name VARCHAR,
                obj_id VARCHAR
            )
        '''
        db = api.system.system_db_connect
        
        #
        #
    def add_reg(self, reg_name, fields, table_name=None):
        reg = Register(reg_name, fields, table_name, self.name_space)
        api.add(self.regs_path+'.'+reg_name, reg)


def init(_api):
    global api
    api = _api

    # Регистрация использования регистров в пространстве public
    regs = ApiRegs('public')
    api.add_module_api(regs.regs_path, regs)
    
