'''
Надстройка - отчетные формы
'''
import yaml

api = None

# --- Регистрация типов и подтипов должна производиться в файлах надстроек 
def register_types():
    ReportForms = '''
        sysattrs:
            record_id : 'ID записи'
        attrs : 
            title   : 'Отчетные формы'
            kod_org : {caption : 'Код организации'}
        '''

    OperForms = '''
        caption : 'Формы оперативной отчетности'
        attrs : 
            title       : 'Оперативная отчетность'
            from_date   : {caption : 'Начальная дата'}
            to_date     : {caption : 'Конечная дата'}
        '''

    api.repo.add_storage('ReportForms').from_yaml(ReportForms)
    api.repo.ReportForms.add_group('OperForms').from_yaml(OperForms)

    api.repo.ReportForms.add_group('YarlyForms')
    api.repo.ReportForms.add_group('TransferForms')
    api.repo.ReportForms.add_group('RiacForms')
    api.repo.ReportForms.add_group('ViacForms')


# --- Регистрация класса должна производиться в файле описания формы
def register_form():
    test_form = '''
        caption : 'Форма 1.1 (YAML)'
        attrs : 
            title       : 'Форма 1.1 Сведения о ЗРИ'
            oper_date   : {caption : 'Дата операции'}
            oper_kod    : {caption : 'Код операции'}
    '''
    
    api.repo.ReportForms.OperForms.add_class('test_form').from_yaml(test_form)


def init(_api):
    global api
    api = _api

    register_types()
    register_form()

