'''
Модуль для синтаксической подсветки в IDE
'''
try:
    1/0
    import m_tree
    import m_api
    import m_db
    import m_ds
    import m_log
    import m_repo
    import m_actions
    import m_triggers
    import m_menu
    import m_web
    import sguk_regs
    import sguk_check


    class Container(m_tree.Node):
        pass


    class System(Container):
        system_db_connect = m_db.DbAbstractConnect()


    class Context:
        db_connect = m_db.DbAbstractConnect()


    class ReportForms(Container):
        ds = m_ds.DataSource()
        OperForms = {}
        YearForms = {}


    class AReports(Container):
        ds = m_ds.DataSource()


    class SgukRepo(Container, m_repo.ApiRepo):
        ReportForms = ReportForms()
        ReportForms.OperForms = {}

        AReports = AReports()

        Vocs : dict = None


    class SgukApi(m_api.Api, m_tree.Node):
        system  : System = None
        context : Context = None
        log     : m_log.Log = None
        lib     = {}
        modules = {}

        actions  : m_actions.ApiActions = None
        triggers : m_triggers.TriggersApi = None
        web      : m_web.ApiWeb = None
        app_menu : m_menu.ApiMenu = None

        repo = SgukRepo()
        regs = sguk_regs.RegList()
        check_forms = sguk_check.CheckReportForms()

    api = SgukApi()

except:
    class SgukApi: pass


class Form_1_1_table:
    '''Сведения о ЗРИ'''
    OpCod:str 
    '''(2) Код операции'''
    OpDate:str
    '''(3) Дата операции'''
    PaspN:str
    '''(4) Номер паспорта'''
    Typ:str
    '''(5) Наименование'''
    Nuclid:str
    '''(6) Радионуклиды'''
    Numb:str
    '''(7) Номер'''
    Sht:str
    '''(8) Кол-во'''
    Activn:float
    '''(9) Суммарная активность, Бк'''
    IzgotOKPO:str
    '''(10) ОКПО изготовителя'''
    IzgotDate:str
    '''(11) Дата изготовления'''
    Kateg:str
    '''(12) Категория'''
    Nss:str
    '''(13) НСС'''
    FormSobst:str
    '''(14) Форма собственности'''
    Pravoobl:str
    '''(15) Правообладатель'''
    DocVid: str
    '''(16) Вид документа'''
    DocN:str
    '''(17) Номер документа'''
    DocDate:str
    '''(18) Дата документа'''
    OkpoPIP:str
    '''(19) ОКПО поставщика или получателя'''
    OkpoPrv:str
    '''(20) ОКПО перевозчика'''
    PrName:str
    '''(21) Наименование прибора (установки)'''
    UktPrTyp:str
    '''(22) Тип прибора (установки)'''
    UktPrN:str
    '''(23) Номер прибора (установки)'''

class Form_1_2_table:
    '''Сведения об изделиях из обедненного урана'''
    OpCod:str 
    '''(2) Код операции'''
    OpDate:str
    '''(3) Дата операции'''
    PaspN:str
    '''(4) Номер паспорта'''
    Typ:str
    '''(5) Наименование'''
    Numb:str
    '''(6) Номер'''
    Kg:float
    '''(7) Масса обедненного урана, кг'''
    IzgotOKPO:str
    '''(8) ОКПО изготовителя'''
    IzgotDate:str
    '''(9) Дата изготовления'''
    Nss:str
    '''(10) НСС'''
    FormSobst:str
    '''(11) Форма собственности'''
    Pravoobl:str
    '''(12) Правообладатель'''
    DocVid: str
    '''(13) Вид документа'''
    DocN:str
    '''(14) Номер документа'''
    DocDate:str
    '''(15) Дата документа'''
    OkpoPIP:str
    '''(16) ОКПО поставщика или получателя'''
    OkpoPrv:str
    '''(17) ОКПО перевозчика'''
    PrName:str
    '''(18) Наименование прибора (установки)'''
    UktPrTyp:str
    '''(19) Тип прибора (установки)'''
    UktPrN:str
    '''(20) Номер прибора (установки)'''

class Form_1_3_table:
    '''Сведения об открытых радионуклидных источниках в виде отдельных изделий'''
    OpCod:str 
    '''(2) Код операции'''
    OpDate:str
    '''(3) Дата операции'''
    PaspN:str
    '''(4) Номер паспорта'''
    Typ:str
    '''(5) Тип ОРИ'''
    Nuclid:str
    '''(6) Радионуклиды'''
    Numb:str
    '''(7) Номер ОРИ'''
    Activn:str
    '''(8) Активность'''
    IzgotOKPO:str
    '''(9) ОКПО Изготовителя'''
    IzgotDate:str
    '''(10) Дата изготовления'''
    Agr:str
    '''(11) Агрегатное состояние'''
    FormSobst:str
    '''(12) Код формы собственности'''
    Pravoobl:str
    '''(13) Правообладатель'''
    DicVid: str
    '''(14) Вид документа'''
    DocN:str
    '''(15) Номер документа'''
    DocDate:str
    '''(16) Дата документа'''
    OkpoPIP:str
    '''(17) ОКПО поставщика или получателя'''
    OkpoPrv:str
    '''(18) ОКПО перевозчика'''
    PrName:str
    '''(19) Наименование упаковки'''
    UktPrTyp:str
    '''(20) Тип упаковки'''
    UktPrN:str    
    '''(21) Номер упаковки'''

class Form_1_4_table:
    '''Сведения об открытых радионуклидных источниках кроме отдельных изделий'''
    OpCod:str 
    '''(2) Код операции'''
    OpDate:str
    '''(3) Дата операции'''
    PaspN:str
    '''(4) Номер паспорта'''
    IstName:str
    '''(5) Наименование источника'''
    Typ:str
    '''(6) Вид источника'''
    Nuclid:str
    '''(7) Радионуклиды'''
    Activn:float
    '''(8) Суммарная активность, Бк'''
    ActDate:str
    '''(9) Дата измерения активности'''
    Kbm:float
    '''(10) Объем, куб.м'''
    Kg:float
    '''(11) Масса, кг'''
    Arg:str
    '''(12) Агрегатное состояние'''
    FormSobst:str
    '''(13) Форма собственности'''
    Pravoobl:str
    '''(14) Правообладатель'''
    DocVid: str
    '''(15) Вид документа'''
    DocN:str
    '''(16) Номер документа'''
    DocDate:str
    '''(17) Дата документа'''
    OkpoPIP:str
    '''(18) ОКПО поставщика или получателя'''
    OkpoPrv:str
    '''(19) ОКПО перевозчика'''
    PrName:str
    '''(20) Наименование прибора (установки)'''
    UktPrTyp:str
    '''(21) Тип прибора (установки)'''
    UktPrN:str
    '''(22) Номер прибора (установки)'''

class Form_1_5_table:
    '''Сведения о РАО в виде ОЗРИ'''
    OpCod:str 
    '''(2) Код операции'''
    OpDate:str
    '''(3) Дата операции'''
    PaspN:str
    '''(4) Номер паспорта'''
    Typ:str
    '''(5) Тип'''
    Nuclid:str
    '''(6) Радионуклиды'''
    Numb:str
    '''(7) Номер'''
    Sht:str
    '''(8) Кол-во'''
    Activn:float
    '''(9) Суммарная активность, Бк'''
    IzgotDate:str
    '''(10) Дата изготовления'''
    BCod:str
    '''(11) Статус РАО'''
    DocVid: str
    '''(12) Вид документа'''
    DocN:str
    '''(13) Номер документа'''
    DocDate:str
    '''(14) Дата документа'''
    OkpoPIP:str
    '''(15) ОКПО поставщика или получателя'''
    OkpoPrv:str
    '''(16) ОКПО перевозчика'''
    PrName:str
    '''(17) Наименование прибора (установки)'''
    UktPrTyp:str
    '''(18) Тип прибора (установки)'''
    UktPrN:str
    '''(19) Номер прибора (установки)'''
    PH_Name:str
    '''(20) Наименование пункта хранения'''
    PH_Cod:str
    '''(21) Код пункта хранения'''
    CodRAO:str
    '''(22) Код РАО'''
    Subsid:float
    '''(23) Субсидия, %'''
    FCP:str
    '''(24) Номер мероприятия ФЦП'''    

class Form_1_6_table:
    '''Сведения о некондиционированных РАО'''
    OpCod:str 
    '''(2) Код операции'''
    OpDate:str
    '''(3) Дата операции'''
    RAOCod:str
    '''(4) Код РАО'''
    BCod:str
    '''(5) Статус РАО'''
    Kbm:float
    '''(6) Объем без упаковки, куб.м.'''
    Tonne:float
    '''(7) Масса без упаковки, т'''
    Sht:str
    '''(8) Кол-во ОЗИИИ'''
    RAOCodMax:str
    '''(9) Основные радионуклиды'''
    ActTR:float
    '''(10) Активность тритий, Бк'''
    ActBG:float
    '''(11) Активность бетта-гамма, Бк'''
    ActA:float
    '''(12) Активность альфа, Бк'''
    ActUR:float
    '''(13) Активность трансурановых, Бк'''
    ActDate:str
    '''(14) Дата измерения активности'''
    DocVid: str
    '''(15) Вид документа'''
    DocN:str
    '''(16) Номер документа'''
    DocDate:str
    '''(17) Дата документа'''
    OkpoPIP:str
    '''(18) ОКПО поставщика или получателя'''
    OkpoPrv:str
    '''(19) ОКПО перевозчика'''
    PH_Name:str
    '''(20) Наименование пункта хранения'''
    PH_Cod:str
    '''(21) Код пункта хранения'''
    UpCod:str
    '''(22) Код переработки РАО'''
    PrName:str
    '''(23) Наименование прибора (установки)'''
    UktPrTyp:str
    '''(24) Тип прибора (установки)'''
    UktPrN:str
    '''(25) Номер прибора (установки)'''
    Subsid:float
    '''(26) Субсидия, %'''
    FCP:str
    '''(27) Номер мероприятия ФЦП'''    

class Form_1_7_table:
    '''Сведения о кондиционированных ТРО'''
    g2:str
    '''(2) Код операции'''
    g3:str
    '''(3) Дата операции'''
    g4:str
    '''(4) Упаковка / Наименование'''
    g5:str
    '''(5) Упаковка / Тип'''
    g6:str
    '''(6) Упаковка / Заводской номер'''
    g7:str
    '''(7) Упаковка / Номер упаковки (идентификационный код)'''
    g8:str
    '''(8) Упаковка / Дата формирования'''
    g9:str
    '''(9) Упаковка / Номер паспорта'''
    g10:float
    '''(10) Упаковка / Объем, куб.м'''
    g11:float
    '''(11) Упаковка / Масса брутто, т'''
    g12:str
    '''(12) Упаковка / Радионуклидный состав / наименование радионуклида'''
    g13:float
    '''(13) Упаковка / Радионуклидный состав / удельная активность, Бк/г'''
    g14:str
    '''(14) Документ / вид'''
    g15:str
    '''(15) Документ / номер'''
    g16:str
    '''(16) Документ / дата'''
    g17:str
    '''(17) ОКПО / поставщика или получателя'''
    g18:str
    '''(18) ОКПО / перевозчика'''
    g19:str
    '''(19) Пункт хранения / наименование'''
    g20:str
    '''(20) Пункт хранения / код'''
    g21:str
    '''(21) Сведения о РАО / код'''
    g22:str
    '''(22) Сведения о РАО /  статус'''
    g23:float
    '''(23) Сведения о РАО /  объем без упаковки, куб.м.'''
    g24:float
    '''(24) Сведения о РАО / масса без упаковки (нетто), т'''
    g25:int
    '''(25) Сведения о РАО /  количество ОЗИИИ, шт.'''
    g26:float
    '''(26) Сведения о РАО / суммарная активность / тритий'''
    g27:float
    '''(27) Сведения о РАО / суммарная активность / бетта-гамма-излучающий радионуклиды'''
    g28:float
    '''(28) Сведения о РАО / суммарная активность / альфа-излучающие радионуклиды'''
    g29:float
    '''(29) Сведения о РАО / суммарная активность / трансурановые радионуклиды'''
    g30:str
    '''(30) Сведения о РАО / код переработки/сортировки РАО'''
    g31:float
    '''(31) Субсидия, %'''
    g32:str
    '''(32) Номер мероприятия ФЦП'''

class Form_1_8_table:
    '''Сведения о кондиционированных ЖРО'''
    g2:str
    '''(2) Код операции'''
    g3:str
    '''(3) Дата операции'''
    g4:str
    '''(4) Партия ЖРО / индивидуальный номер'''
    g5:str
    '''(5) Партия ЖРО / номер паспорта'''
    g6:float
    '''(6) Партия ЖРО / объем, куб.м.'''
    g7:float
    '''(7) Партия ЖРО / масса, т.'''
    g8:float
    '''(8) Партия ЖРО / солесодержание г/л'''
    g9:str
    '''(9) Партия ЖРО / радионуклидный состав / наименование'''
    g10:float
    '''(10) Партия ЖРО / радионуклидный состав / удельная активность'''
    g11:str
    '''(11) Документ / вид'''
    g12:str
    '''(12) Документ / номер'''
    g13:str 
    '''(13) Документ / дата'''
    g14:str
    '''(14) ОКПО / поставщика или получателя'''
    g15:str
    '''(15) ОКПО / перевозчика'''
    g16:str
    '''(16) Пункт хранения / наименование'''
    g17:str
    '''(17) Пункт хранения / код'''
    g18 :str
    '''(18) Характеристика ЖРО / код'''
    g19 :str
    '''(19) Характеристика ЖРО / статус'''
    g20 :float
    '''(20) Характеристика ЖРО / объем, куб.м.'''
    g21 :float
    '''(21) Характеристика ЖРО / масса, т.'''
    g22 :float
    '''(22) Характеристика ЖРО / суммарная активность / тритий'''
    g23 :float
    '''(23) Характеристика ЖРО / суммарная активность / бетта-гамма-излучающий радионуклиды'''
    g24 :float
    '''(24) Характеристика ЖРО / суммарная активность / альфа-излучающие радионуклиды'''
    g25 :float
    '''(25) Характеристика ЖРО / суммарная активность / трансурановые радионуклиды'''
    g26 :str
    '''(26) Характеристика ЖРО / код переработки/сортировки РАО'''
    g27 :float
    '''(27) Субсидия, %'''
    g28 :str
    '''(28) Номер мероприятия ФЦП'''

class Form_1_9_table:
    '''Сведения об инвенторизациия РВ не в ЗРИ'''
    g2:str
    '''(2) Код операции'''
    g3:str
    '''(3) Дата операции'''
    g4:str
    '''(4) Документ / вид'''
    g5:str
    '''(5) Документ / номер'''
    g6:str
    '''(6) Документ / дата'''
    g7:str
    '''(7) Код типа объектов учета'''
    g8:str
    '''(8) Радиоактивные вещества / радионуклиды'''
    g9:float
    '''(9) Радиоактивные вещества / активность, Бк'''




    
