from sguk_ide import *

import m_repo

api = None
_debug = False


class SgukVocType(m_repo.AttrTypeDsTable):
    def __init__(self, ds_node, voc_type=None, selection_mode='single', label_attr=None):
        if voc_type:
            self.voc_type = voc_type
        else:
            self.voc_type = ds_node.voc_type

        self.selection_mode = selection_mode

        super().__init__(ds_node, 'value_id', label_attr or 'label')

    def frontend_model(self):
        return dict(
            base_type='VOC',
            voc_type=self.voc_type,
            selection_mode=self.selection_mode
        )


def init(_api:SgukApi, debug=False):
    global api
    api = _api
    
    global _debug
    _debug = debug

    api.repo.add_storage('ReportForms')

    # Триггер на загрузку данных репозитория в старом формате
    api.triggers.add_event('CUSTOM_FILE_INIT')
    api.triggers.add_trigger('CUSTOM_FILE_INIT', '', tg_repo_init)
    print('CUSTOM_FILE_INIT trigger added')


#=============================================================================================    
#   Trigger
#=============================================================================================    
def tg_repo_init(context:dict, **kwargs):               # Триггер на загрузку данных из файлов настроек (./custom/) 
    data = context.get('data')
    if data and type(context['data'])==dict:

        if 'types' in data:
            #types = data['types']
            #for k, v in types.items():
            #    api.repo.add_attr_type(k, v)

            if _debug: print(f'{context["file_path"]} added {len(types)} type(s)')
            return
        
        elif 'form_num' in data:
            class_name = 'form_' + data['form_num'].replace('.', '_')
            main = data['form_main_attrs']
            main_attrs = {}
            for item in main:
                main_attrs[item['field']] = item.get('type')

            if 'tables' in data:
                table = data['tables']['main_table']['model']
                table_attrs = {}
                for item in table:
                    table_attrs[item['field']] = item.get('type')
            else:
                table_attrs = {}

            #print(f'class_name={class_name} main={main_attrs} table={table_attrs}\n')

            #pdb.set_trace()

    #pdb.set_trace()
    #print(f'tg_repo_init: config_key={context["config_key"]}\n{context["file_path"]}\n')


