from m_utils import str2float
import m_rec
from m_tree import Node

import m_api
import sguk_regs

from sguk_forms import *

from sguk_ide import *                      # Для автодополнения в IDE

api = None
_debug = False

def calc_item_id(rec:m_rec.Record, form_rec:m_rec.Record=None, silent=False):        # Определение идентификатора учетной единицы
    if form_rec:
        rec['author_id'] = form_rec.author_id
        rec['form_no'] = form_rec.form_no

    if not 'form_no' in rec:
        print(f'Не найден атрибут form_no \n{rec.print()}')

    form_t = form_type(rec.form_no)

    try:

        if form_t == t_form_1_1:
            return f'{rec.author_id}#{rec.PaspN}#{rec.Typ}#{rec.Numb}#{rec.IzgotDate}'  ##{rec.IzgotOKPO}

        elif form_t == t_form_1_2:
            return f'{rec.author_id}#{rec.PaspN}#{rec.Typ}#{rec.Numb}#{rec.IzgotDate}'  ##{rec.IzgotOKPO}

        elif form_t == t_form_1_3:
            return f'{rec.author_id}#{rec.PaspN}#{rec.Typ}#{rec.Numb}#{rec.IzgotDate}'  ##{rec.IzgotOKPO}

        elif form_t == t_form_1_4:
            return f'{rec.author_id}#{rec.PaspN}#{rec.IstName}#{rec.Typ}'

        elif form_t == t_form_1_5:
            return f'{rec.author_id}#{rec.PaspN}#{rec.Typ}#{rec.Numb}#{rec.IzgotDate}'

        elif form_t == t_form_1_6:
            return f'{rec.author_id}#{rec.RAOCod}#{rec.BCod}#{rec.PrName}#{rec.UktPrTyp}#{rec.UktPrN}'  ###{rec.PH_Name}#{rec.PH_Cod}

        elif form_t == t_form_1_7:
            return f'{rec.author_id}#{rec.g4}#{rec.g5}#{rec.g6}#{rec.g7}#{rec.g8}#{rec.g9}'

        elif form_t == t_form_1_8:
            return f'{rec.author_id}#{rec.g4}#{rec.g5}#{rec.g18}#{rec.g19}'

        elif form_t == t_form_1_9:
            return f'{rec.author_id}#{rec.g7}'

        else:
            raise m_api.ApiException(f'Не определен код учетной единицы для отчетной формы типа {form_t}')

    except AttributeError:
        if silent: 
            return '<AtributeError>'
        else:
            raise


def calc_oper_sign(row_data: m_rec.Record, OpCodAttr='OpCod'):       # Определение знака операции
    lst = {
        t_form_1_1: {   # ЗРИ
             1 : '11, 12, 15, 17, 17, 18, 31, 32, 35, 36, 37, 38, 39, 58, 73, 74, 75, 85, 86, 87, 88, 97',
            -1 : '21, 22, 25, 26, 27, 28, 29, 41, 42, 43, 46, 47, 48, 65, 67, 68, 71 ,72, 81, 82, 83, 84, 98'
        },
        t_form_1_2: {   # ИОУ
             1 : '11, 12, 15, 17, 17, 18, 31, 32, 35, 36, 37, 38, 39, 58, 73, 74, 75, 85, 86, 87, 88, 97',
            -1 : '21, 22, 25, 26, 27, 28, 29, 41, 42, 43, 46, 47, 48, 67, 68, 71 ,72, 81, 82, 83, 84, 98'
        },
        t_form_1_3: {   # ОРИ-отдельные изделия
             1 : '11, 12, 15, 17, 17, 18, 31, 32, 35, 36, 37, 38, 39, 58, 65, 73, 74, 75, 85, 86, 87, 88, 97',
            -1 : '21, 22, 25, 26, 27, 28, 29, 41, 42, 43, 46, 47, 48, 67, 68, 71 ,72, 81, 82, 83, 84, 98'
        },
        t_form_1_4: {   # ОРИ-кроме отдлеьных изделий
             1 : '11, 12, 15, 17, 17, 18, 31, 32, 35, 36, 37, 38, 39, 58, 73, 74, 75, 85, 86, 87, 88, 97',
            -1 : '21, 22, 25, 26, 27, 28, 29, 41, 42, 43, 46, 47, 48, 67, 68, 71 ,72, 81, 82, 83, 84, 98'
        },
        t_form_1_5: {   # ОЗРИ
             1 : '11, 12, 13, 14, 16, 18, 31, 32, 35, 36, 37, 38, 39, 41, 55, 56, 57, 58, 59, 73, 74, 75, 76, 84, 97',
            -1 : '21, 22, 25, 26, 27, 28, 29, 42, 43, 44, 48, 49, 68, 71, 72, 98'
        },
        t_form_1_6: {   # Некондиц. РАО
             1 : '11, 12, 13, 14, 16, 18, 31, 32, 35, 36, 37, 38, 39, 41, 52, 55, 56, 57, 58, 59, 73, 74, 75, 76, 84, 97',
            -1 : '21, 22, 25, 26, 27, 28, 29, 42, 43, 44, 45, 48, 49, 51, 68, 71, 72, 98'
        },
        t_form_1_7: {   # Кондиц. РАО (ТРО) - только 13-й приказ
             1: '11, 12, 13, 14, 16, 18, 31, 32, 35, 36, 37, 38, 39, 41, 52, 55, 56, 57, 58, 59, 73, 74, 75, 76, 84, 97',
            -1: '21, 22, 25, 26, 27, 28, 29, 42, 43, 44, 45, 48, 49, 51, 68, 71, 72, 98'
        },
        t_form_1_8: {   # Кондиц. РАО (ЖРО) - только 13-й приказ
             1: '11, 12, 13, 14, 16, 18, 31, 32, 35, 36, 37, 38, 39, 41, 52, 55, 56, 57, 58, 59, 73, 74, 75, 76, 84, 97',
            -1: '21, 22, 25, 26, 27, 28, 29, 42, 43, 44, 45, 48, 49, 51, 68, 71, 72, 98'
        }
    }.get(form_type(row_data.form_no))

    if not lst:
        return 0

    op_code_attr = {
        t_form_1_1: 'OpCod',
        t_form_1_2: 'OpCod',
        t_form_1_3: 'OpCod',
        t_form_1_4: 'OpCod',
        t_form_1_5: 'OpCod',
        t_form_1_6: 'OpCod',
        t_form_1_7: 'g2',
        t_form_1_8: 'g2',
    }[form_type(row_data.form_no)]
    op_code = str(row_data[op_code_attr])

    if op_code in lst[1]:
        return 1
    elif op_code in lst[-1]:
        return -1
    else:
        return 0


class OperFormMapping(sguk_regs.FormMapping):             # Пример реализации маппинга

    def map_row(self, row_data: m_rec.Record, nosave=False) -> m_rec.Record:   # Отображает строку таблицы в регистр        
        row_data.update({
            'org_id'   : row_data.author_id,
            'kod_org'  : row_data.kod_org,
            'op_item'  : calc_item_id(row_data),
            'op_sign'  : calc_oper_sign(row_data)
        })
        
        return super().map_row(row_data, nosave=nosave)


def add_oper_map(form_class:str, reg_name:str, map:dict):
    '''
    Добавляет в api.repo карту отображения оперативной формы в регистр
    '''
    form_node = api.repo.ReportForms.find_form(form_class)
    reg_node = api.regs.find(reg_name)
    if reg_node:
        form_node.add('map', OperFormMapping(reg_node, map), node_type='RegMap') 


def init(_api:SgukApi, debug=False):
    global api
    api = _api

    add_oper_map(form_1_1_2022, 'acc_o1', {
            'amount'   : ('Sht', str2float), 
            'activity' : ('Activn', str2float)
        })

    add_oper_map(form_1_2_2022, 'acc_o2', {
            'mass_net' : ('Kg', str2float)
        })

    add_oper_map(form_1_3_2022, 'acc_o3', {
            'amount'   : (1,),
            'activity' : ('Activn', str2float),
        })

    add_oper_map(form_1_4_2022, 'acc_o4', {
            'mass_net' : ('Kg', str2float), 
            'volume'   : ('Kbm', str2float), 
            'activity' : ('Activn', str2float)
        })

    add_oper_map(form_1_5_2022, 'acc_o5', {
            'amount'   : ('Sht', str2float), 
            'activity' : ('Activn', str2float)
        })

    add_oper_map(form_1_6_2022, 'acc_o6', {
            'mass_net': ('Tonne', str2float),     
            'volume'  : ('Kbm',   str2float), 
            'amount'  : ('Sht',   str2float), 
            'act_tr'  : ('ActTR', str2float),  
            'act_b'   : ('ActBG', str2float),  
            'act_a'   : ('ActA',  str2float),  
            'act_ur'  : ('ActUR', str2float),        
        })

    add_oper_map(form_1_7_2022, 'acc_o7', {
            'OpCod'      : 'g2',     
            'OpDate'     : 'g3',   
            'volume'     : ('g23', str2float),  
            'mass_net'   : ('g24', str2float), 
            'amount'     : ('g25', str2float),
            'act_tr'     : ('g26', str2float),   
            'act_b'      : ('g27', str2float),   
            'act_a'      : ('g28', str2float),   
            'act_ur'     : ('g29', str2float),
        })

    add_oper_map(form_1_8_2022, 'acc_o8', {
            'OpCod'    : 'g2', 
            'OpDate'   : 'g3',
            'volume'   : ('g20', str2float),
            'mass_net' : ('g21', str2float),
            'amount'   : (0,),

            'act_tr'     : ('g22', str2float),   
            'act_b'      : ('g23', str2float),   
            'act_a'      : ('g24', str2float),   
            'act_ur'     : ('g25', str2float),
        })

    add_oper_map(form_1_9_2022, 'acc_o9', {
            'OpCod'    : 'g2', 
            'OpDate'   : 'g3'
        })


    api.regs.reg_clean(autocommit=True)
    #ad_year_map('YearForms.form_2_1', 'AccF1', {})
    #ad_year_map('YearForms.form_2_2', 'AccF2', {})
    #ad_year_map('YearForms.form_2_3', 'AccF3', {})
    #ad_year_map('YearForms.form_2_4', 'AccF4', {})
    #ad_year_map('YearForms.form_2_5', 'AccF5', {})
    #ad_year_map('YearForms.form_2_6', 'AccF6', {})
    #ad_year_map('YearForms.form_2_7', 'AccF7', {})
    #ad_year_map('YearForms.form_2_8', 'AccF8', {})
    #ad_year_map('YearForms.form_2_9', 'AccF9', {})
    #ad_year_map('YearForms.form_2_10', 'AccF10', {})
    #ad_year_map('YearForms.form_2_11', 'AccF11', {})
    #ad_year_map('YearForms.form_2_12', 'AccF12', {})
