export const test = {
    template: `
        <div>Test component</div>
    `
}

// this.upload_component = this.api2.components.file_upload
// <component :is="upload_component" @uploaded="onUploaded"></component>
export const file_upload = {
    props : ['host'],
    emits : ['uploaded'],
    inject: ['api2'],

    template: `
        <div style="border: 1px solid black">
            <label>
                <p :style="css_button">Выбрать</p>
                {{file ? file.name + ' (' + file_size_str+')': ''}}
                {{upload_progress}}
                <input ref="file" type="file" @change="fileSelected" style="opacity:0; width:0"/>
            </label>
            
            <p @click="onUpload" v-show="status=='selected'" :style="css_button">Загрузить</p>
        </div>
    `,

    data() {return {
        css_button : `
            display: inline-block;
            background-color: #B0B0B0;
            boder: 1px solid black;
            padding: 5px 10px;
            width: min-content;
            margin: 5px 10px;
            coursor: pointer;
        `,

        file : null,
        file_size_str : '',
        upload_progress: '',
        status : null,          
    }},

    methods: {
        fileSelected(event) {
            this.file = this.$refs.file.files[0]
            this.file_size_str = this.api2.files.size_str(this.file.size)
            this.status = 'selected'
            this.upload_progress = ''
            //console.log('file selected:', this.file)
        },

        progress(event) {
            this.upload_progress = `Загружено ${Math.round(event.loaded / event.total * 100)}% из ${this.file_size_str}`
        },

        async onUpload() {
            let file = this.$refs.file.files[0]
            let uploaded = await this.api2.files.upload(file, this.host, this.progress)
            //console.log('api2.file.upload reply:', uploaded )
            this.status = 'uploaded'
            this.upload_progress = 'Загружен'
            
            this.$emit('uploaded', {uploaded})
        }
    },
}

// Подключение
/// this.progress_component = this.api2.components.action_progress
// <component :is="progress_component" :proc_id="proc_id" @finish="onFinish" @progress="onProgress"></component>
export const action_progress = {
    props : ['proc_id'],
    emits : ['progress', 'finish'],
    inject : ['api', 'api2'],

    template: `
    <div v-if="proc_id" style="border: 1px solid black; display:grid; grid-template-columns: 1fr 1fr 1fr">
        <p>progress:{{result.progress}}</p>
        <p>status:{{result.status}}</p>
        <p>status_msg:{{result.status_msg}}</p>
    </div>
    `,

    data() {return {
        result : {                          // Статус процесса полученный от backend
            progress: null,                       // Инидкатор прогресса :int 0...100
            status: null,                         // Код статуса :str
            status_msg: null,                     // Описание текущего этапа выполнения действия (РУС) : str
            log_msgs: null                        // Лог выполнения : str
          },                             
    }},

    watch: {
        proc_id(new_val) {
            if (new_val)
                this.wait()
        }
    },

    methods: {
        async wait() {
            while (true) {
                let result = await this.api.action.progress(this.proc_id)
        
                if (this.result.status != 'active') break
        
                this.$emit('progress', this.result)

                await this.api2.sleep(500)
              }
            
            this.$emit('finish', this.result)
        
        }
    }

}