from exportmanager.templateengine.settings import CELL_PATTERN, TABLE_NAME_PATTERN, TEXT_PATTERN


class FixedElementTagNotFoundWarning(Warning):
    def __init__(self, value, *args: object) -> None:
        self.value = value
        super().__init__(*args)

    def __str__(self) -> str:
        return f'can not find fixed element with tag {TEXT_PATTERN % self.value} in template document'


class TableTagNotFoundWarning(Warning):
    def __init__(self, value, *args: object) -> None:
        self.value = value
        super().__init__(*args)

    def __str__(self) -> str:
        return f'can not find table with tag {self.value} in template document'


class CellTagNotFoundWarning(Warning):
    def __init__(self, cell_tag, *args: object) -> None:
        super().__init__(*args)
        self.cell_tag = cell_tag

    def __str__(self) -> str:
        return f'Can not find table cells in DOCX document. Cells names: {self.cell_tag}'
