import sys
import settings

from loguru import logger


def init_logger():
    if not settings.CONSOLE_LOG:
        logger.remove()
    logger.add(settings.LOG_TO, format='{time} {level} - {name}:{function}:{line} -- {message}', level=settings.LOG_LEVEL)
    if not settings.LOCAL_RUN:
        from pathlib import Path
        try:
            Path(settings.LOG_TO).mkdir(parents=True, exist_ok=True)
        except FileExistsError:
            pass

        orig_stdout = sys.stdout
        f = open(settings.LOG_TO, 'a')
        sys.stdout = f
