from repository.exceptions import RepositoryException


class RepositoryDecreesException(RepositoryException):
    ...


class DecreeRepositoryNotFoundException(RepositoryDecreesException):
    def __init__(self, text, *args: object, **kwargs) -> None:
        super().__init__(
            type='DecreeRepositoryNotFoundException',
            message=f'DecreeRepositoryNotFoundException. {text}',
        )


class DecreeRepositoryNotFoundByYearFromException(RepositoryDecreesException):
    def __init__(self, year_from, *args: object, **kwargs) -> None:
        super().__init__(
            type='DecreeRepositoryNotFoundByYearFromException',
            message=f'DecreeRepositoryNotFoundByYearFromException. Year from: {year_from}',
        )
