import os

from repository.utils import is_py_file, import_module_

extensions = []

method_to_files = {}


def init_extensions_repository(extensions_files_dirs):
    storage = []

    for rep_dir in extensions_files_dirs:
        for file_ in os.listdir(rep_dir):
            if not is_py_file(file_):
                continue

            try:
                file_name, file_ext = file_.split('.')
            except Exception:
                continue

            full_path = os.path.join(rep_dir, file_)
            extensions_file_module = import_module_(rep_dir, file_name)
            extensions_file_data = extensions_file_module.init()

            storage.append({
                'path': full_path,
                'file_data': extensions_file_data,
            })

            extensions.extend(extensions_file_data)

            for item in extensions_file_data:
                if 'method' in item:
                    method_to_files[item['method']] = (rep_dir, file_name)

    return storage


def get_extensions():
    return extensions


def get_method_to_files(method):
    try:
        return method_to_files[method]
    except KeyError:
        raise Exception(f'unknown method {method}')
