from repository.exceptions import RepositoryException


class RepositoryFormsException(RepositoryException):
    ...


class FormRepositoryNotFoundException(RepositoryFormsException):
    def __init__(self, form_name, *args: object, **kwargs) -> None:
        super().__init__(
            type='FormRepositoryNotFoundException',
            message=f'FormRepositoryNotFoundException. Form name: {form_name}',
        )


class FormExportRepositoryNotFoundException(RepositoryFormsException):
    def __init__(self, form_name, *args: object, **kwargs) -> None:
        super().__init__(
            type='FormExportRepositoryNotFoundException',
            message=f'FormExportRepositoryNotFoundException. Form name: {form_name}',
        )


class ReportNumNotFoundException(RepositoryFormsException):
    def __init__(self, report_num, *args: object, **kwargs) -> None:
        super().__init__(
            type='ReportNumNotFoundException',
            message=f'ReportNumNotFoundException. Report num: {report_num}',
        )


class TemplateNotFoundException(RepositoryFormsException):
    def __init__(self, template_file_name, *args: object, **kwargs) -> None:
        super().__init__(
            type='TemplateNotFoundException',
            message=f'TemplateNotFoundException. Report num: {template_file_name}',
            rus_message=f'Не найден запрашиваемый файл шаблона экспорта с именем: {template_file_name}'
        )


class FormRefersToNonExistenceTypeException(RepositoryFormsException):
    def __init__(self, form_name, table_name, cell_field, type, *args: object, **kwargs) -> None:
        super().__init__(
            type='FormRefersToNonExistenceTypeException',
            message=f'FormRefersToNonExistenceTypeException. form_name: {form_name}, table_name: {table_name}, cell_field: {cell_field}, type: {type}',
        )


class ModelItemNotFoundException(RepositoryFormsException):
    def __init__(self, form_name, table_name, field_name, *args: object, **kwargs) -> None:
        super().__init__(
            type='ModelItemNotFoundException',
            message=f'model item with field: {field_name} not found.'
                    f'form: {form_name}, table: {table_name}',
        )
