from repository.exceptions import RepositoryException


class RepositoryFormsJournalsException(RepositoryException):
    ...


class FormsJournalRepositoryNotFoundException(RepositoryFormsJournalsException):
    def __init__(self, journal_name, *args: object, **kwargs) -> None:
        super().__init__(
            type='FormsJournalRepositoryNotFoundException',
            message=f'FormsJournalRepositoryNotFoundException. Journal name: {journal_name}',
        )


class FormsJournalPresetNotFoundException(RepositoryFormsJournalsException):
    def __init__(self, journal_name, preset, *args: object, **kwargs) -> None:
        super().__init__(
            type='FormsJournalPresetNotFoundException',
            message=f'FormsJournalPresetNotFoundException. Journal name: {journal_name}, preset: {preset}',
        )
