from repository.exceptions import RepositoryException


class RepositoryRegistersException(RepositoryException):
    ...


class FormRegisterNotFoundException(RepositoryRegistersException):
    def __init__(self, form_name, *args: object, **kwargs) -> None:
        super().__init__(
            type='FormRegisterNotFoundException',
            message=f'FormRegisterNotFoundException. Form: {form_name}',
        )


class RegisterNotFoundException(RepositoryRegistersException):
    def __init__(self, register_name, *args: object, **kwargs) -> None:
        super().__init__(
            type='RegisterNotFoundException',
            message=f'RegisterNotFoundException. Form: {register_name}',
        )
