from repository.reports.exceptions import ReportRepositoryNotFoundException

# reports_repository = {}  # form_num -> весь объект
# список типов отчетов для фронта
reports_repositories = {}
reports_types_list_f = []


def init_reports_repository(items):
    global reports_types_list_f
    for item in items:
        report_file_data = item['file_data']
        path = item['path']
        reports_types_list_f.append(
            {
                'label': report_file_data['report_name'],
                'value': report_file_data['report_num'],
            }
        )

        reports_repositories[report_file_data['report_num']] = report_file_data

    reports_types_list_f.sort(key=lambda x: x['value'])


def get_reports_repositories():
    return reports_repositories


def get_report_repository(report_name):
    try:
        return reports_repositories[report_name]
    except KeyError:
        raise ReportRepositoryNotFoundException(report_name)


def get_reports_types_list():
    return reports_types_list_f


def get_report_repository_by_num(report_num):
    """Получить репозиторий отчета по номеру (1, 2, 3, ...)"""
    try:
        return reports_repositories[report_num]
    except KeyError:
        raise ReportRepositoryNotFoundException(report_num)
