import os

from settings import *
import settings

settings_as_dict = {}
for var in dir(settings):
    if not var.startswith('__') and not var.endswith('__'):
        settings_as_dict[var] = getattr(settings, var)

from waitress import serve

import pkgutil

import wsgi
import datasource

import importlib
import pkgutil

#
import requests
import yaml
#

from logger import init_logger

init_logger()

from loguru import logger

logger.info('Настройки:')
for k, v in settings_as_dict.items():
    logger.info(f'{k}: {v}')


def import_submodules(package, recursive=True):
    """ Import all submodules of a module, recursively, including subpackages

    :param package: package (name or actual module)
    :type package: str | module
    :rtype: dict[str, types.ModuleType]
    """
    if isinstance(package, str):
        package = importlib.import_module(package)
    results = {}
    for loader, name, is_pkg in pkgutil.walk_packages(package.__path__):
        full_name = package.__name__ + '.' + name
        try:
            results[full_name] = importlib.import_module(full_name)
            if recursive and is_pkg:
                results.update(import_submodules(full_name))
        except ModuleNotFoundError as e:
            pass
    return results


def create_api_tmp_dir_if_not_exists():
    # from pathlib import Path
    # Path(settings.API2_FILES_TMP).mkdir(parents=True, exist_ok=True)
    import os
    os.makedirs(settings.API2_FILES_TMP, exist_ok=True)


import_submodules(wsgi)
import_submodules(datasource)

import settings
from datasource.datasource import get_db_connection, init_database_sqlite, close_connection
from run import init

create_api_tmp_dir_if_not_exists()

logger.info('Запуск сервера...')

if settings.DB_SYSTEM == 'sqlite':
    _ = open(settings.SQLITE_DATABASE, 'a+')
    _.close()
    init_database_sqlite(settings.SQLITE_INIT_FOLDER_PATH)

os.system(f'start http://127.0.0.1:{settings.PORT}')
app_obj = init(serve_static=True)

import sys
logger.info(f'Python version: {sys.version}')

serve(app_obj, host='127.0.0.1', port=settings.PORT, threads=settings.THREADS)
