from datasource.datasource import db_connection
from services.exceptions import CoreBaseException
from settings import DB_HOST, POSTGRES_DATABASE, DB_PORT, RVRAO_MODULE_PATH, FC_RAO_MODULE_PATH
from wsgi.apps.voc.models import VocValueModel


class Context:
    def __init__(self, user_login):
        self.USER_LOGIN = user_login
        self.DB_HOST = DB_HOST
        self.DB_NAME = POSTGRES_DATABASE
        self.DB_PORT = DB_PORT

        self._message = None
        self._warnings = []

    def log(self, message, log_type='debug'):
        # todo отдельный принт
        ...

    def set_msg(self, message):
        self._message = message

    def exception(self, msg):
        raise CoreBaseException(type='FromContextException', message=msg, rus_message=msg)

    @db_connection
    def get_connect(self, *args, **kwargs):
        return kwargs['connection']

    def get_voc_values(self, voc_type):
        return [{'value_id': voc.value_id, 'label': voc.label} for voc in VocValueModel().filter({'voc_type': voc_type})]

    def get_voc_record(self, voc_type, value_id):
        try:
            return VocValueModel().filter({'voc_type': voc_type, 'value_id': value_id})[0]
        except IndexError:
            return None  # raise exception if not found?  # todo КИДАТЬ EXCEPTION - решили

    def get_plugin(self, plugin_name):
        # todo
        plugin_name_to_path = {
            'RVRAO': RVRAO_MODULE_PATH,
            'FC_RAO': FC_RAO_MODULE_PATH,
        }
        # возвращать объект возвр модули
        return plugin_name_to_path.get(plugin_name, None)  # todo: raise exception if not found?

    def add_warning(self, row, field, msg):
        self._warnings.append(
            {
                'row': row,
                'field': field,
                'msg': msg,
            }
        )

    def clear_warngings(self):
        self._warnings.clear()

    def report_form_check(self):
        # todo
        # лучше отправлять форму как параметр, или создать класс наследник для контекста формы
        # класс контекста не всегда используется вместе с формой - теряем универсальность,
        # например, если используем для аналитических отчетов - там нет формы
        ...
        # todo сделать класс наследник
