import datetime
import socket


def is_str_in_date_format(str_):
    if not isinstance(str_, str):
        return False
    try:
        datetime.datetime.strptime(str_, '%Y-%m-%d')
        return True
    except ValueError:
        return False


def to_exp(value):
    if not isinstance(value, float):
        value = float(value)
    return "{:e}".format(value)


def round_dt_by_seconds(datetime_obj):
    """Округлить значение datetime до секунд.

    Args:
        datetime_obj: Значение datetime.

    Returns:
        Округленное значение datetime.

    """
    return datetime_obj - datetime.timedelta(microseconds=datetime_obj.microsecond)


def is_port_busy(ip, port):
    s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    try:
        s.connect((ip, port))
        s.shutdown(1)
        return True
    except:
        return False


def get_dict_depth(d):
    if isinstance(d, dict):
        return 1 + (max(map(get_dict_depth, d.values())) if d else 0)
    raise Exception(f'{d} is not a dict')
