import settings


def build_sort_sql_line(f):
    f = f.replace('sort=', '')
    lines = []
    for item in f.split(','):
        if '.' not in item:

            if item.startswith('-'):
                line = f'"{item[1:]}"' + ' DESC'
            else:
                line = f'"{item}"'
        else:
            json_par, par = item.split('.')
            desc_value = ' DESC' if item.startswith('-') else ''
            index = 1 if item.startswith('-') else 0
            if settings.DB_SYSTEM == 'postgresql':
                line = f'"{json_par[index:]}"->\'{par}\'' + desc_value
            elif settings.DB_SYSTEM:
                line = f'json_extract("{json_par[index:]}", "$.{par}")' + desc_value
            else:
                line = f'unknown DB_SYSTEM {settings.DB_SYSTEM}'
        lines.append(line)
    return ', '.join(lines)
