import os

# const
DEBUG = False
RAISE_EX = False
WIN = False

HOST = os.environ.get('HOST', 'core')
PORT = os.environ.get('PORT', '8000')

THREADS = int(os.environ.get('THREADS', 4))

TEMP_DIR_PATH = os.environ.get('TEMP_DIR_PATH', '/temp')
API2_FILES_TMP = os.environ.get('API2_FILES_TMP', '/api2/TMP')
TEMP_DIR_DECREES_PATH = os.environ.get('TEMP_DIR_DECREES_PATH', '/temp_decrees')


CUSTOM_FILES_DIRS = os.environ.get('CUSTOM_FILES_DIRS', '/custom, ').split(', ')
STATIC_FILES_DIR = os.environ.get('STATIC_FILES_DIR', os.path.join(CUSTOM_FILES_DIRS[0], 'static_files'))


RVRAO_MODULE_PATH = os.environ.get('RVRAO_MODULE_PATH', '/rvrao-ext')
FC_RAO_MODULE_PATH = os.environ.get('FC_RAO_MODULE_PATH', os.path.join(RVRAO_MODULE_PATH, 'forecast'))

AREPORTS_REPOSITORY_FILES_DIRS = [
    os.path.join(RVRAO_MODULE_PATH, 'reports')
]
EXTENSIONS_FILES_DIRS = [
    os.path.join(RVRAO_MODULE_PATH, 'actions')
]

DB_SYSTEM = os.environ.get('DB_SYSTEM')

SQLITE_DATABASE = os.environ.get('SQLITE_DATABASE')

POSTGRES_DATABASE = os.environ.get('POSTGRES_DB')
DB_HOST = os.environ.get('POSTGRES_HOST', 'postgres')
DB_PORT = os.environ.get('POSTGRES_PORT', '5432')


DB_USER = {
    'user': os.environ.get('POSTGRES_USER'),
    'password': os.environ.get('POSTGRES_PASSWORD'),
}

API2_PATH = os.environ.get('API2_PATH', '/api2')
EXT_PATH = os.environ.get('EXT_PATH', '/api2/extensions')
API2_DEBUG = os.environ.get('API2_DEBUG', False)

LOGGING_DIR_PATH = os.environ.get('LOGGING_DIR_PATH', '/logging')

RADIO_CSV_PATH = os.environ.get('RADIO_CSV_PATH', '/custom/static_files/radionuclides.csv')

LOG_TO = os.environ.get('LOG_TO', '/logs/logs.log')
CONSOLE_LOG = os.environ.get('CONSOLE_LOG', False)
LOG_LEVEL = os.environ.get('LOG_LEVEL', 'INFO')

LOCAL_RUN = os.environ.get('LOCAL_RUN', False)
SERVE_STATIC = os.environ.get('SERVE_STATIC', False)

FIREBIRD_USER = os.environ.get('FIREBIRD_USER', 'SYSDBA')
FIREBIRD_PASSWORD = os.environ.get('FIREBIRD_PASSWORD')
