import os

from dotenv import load_dotenv
dotenv_path = os.path.join(os.path.dirname(__file__), os.getenv('APPDATA'), 'RVRAO', '.env')
if os.path.exists(dotenv_path):
    load_dotenv(dotenv_path)

HOST = os.environ.get('HOST', '127.0.0.1')
PORT = os.environ.get('PORT', '8000')

DEBUG = False

THREADS = int(os.environ.get('THREADS', 8))

TEMP_DIR_PATH = os.path.join(os.getenv('APPDATA'), 'RVRAO', 'temp')
API2_FILES_TMP = os.path.join(os.getenv('APPDATA'), 'RVRAO', 'api2_tmp')
TEMP_DIR_DECREES_PATH = os.path.join(os.getenv('APPDATA'), 'RVRAO', 'temp')

CUSTOM_FILES_DIRS = os.environ.get('CUSTOM_FILES_DIRS', 'custom, ').split(', ')
STATIC_FILES_DIR = os.environ.get('STATIC_FILES_DIR', os.path.join(CUSTOM_FILES_DIRS[0], 'static_files'))


RVRAO_MODULE_PATH = os.environ.get('RVRAO_MODULE_PATH', 'rvrao-ext')
FC_RAO_MODULE_PATH = os.environ.get('FC_RAO_MODULE_PATH', os.path.join(RVRAO_MODULE_PATH, 'forecast'))


AREPORTS_REPOSITORY_FILES_DIRS = [
    os.path.join(RVRAO_MODULE_PATH, 'reports')
]
EXTENSIONS_FILES_DIRS = [
    os.path.join(RVRAO_MODULE_PATH, 'actions')
]

DB_SYSTEM = os.environ.get('DB_SYSTEM', 'sqlite')
SQLITE_DATABASE_FILE = os.environ.get('SQLITE_DATABASE_FILE', 'rvrao_db_25.db')
SQLITE_DATABASE = os.path.join(os.getenv('APPDATA'), 'RVRAO', SQLITE_DATABASE_FILE)
SQLITE_INIT_FOLDER_PATH = os.environ.get('SQLITE_INIT_FOLDER_PATH', 'sqlite_init')

POSTGRES_DATABASE = os.environ.get('POSTGRES_DATABASE')
DB_HOST = os.environ.get('POSTGRES_HOST', 'postgres')
DB_PORT = os.environ.get('POSTGRES_PORT', '5432')

DB_USER = {
    'user': os.environ.get('POSTGRES_USER'),
    'password': os.environ.get('POSTGRES_PASSWORD'),
}

# Путь к Api2
API2_PATH = os.environ.get('API2_PATH', 'api2')
# Путь к расширениям Api2 (см. папку)
EXT_PATH = os.environ.get('EXT_PATH', 'api2/extensions')
API2_DEBUG = False

VIAC_ENABLED = True
RIAC_ENABLED = True

LOGGING_DIR_PATH = os.environ.get('LOGGING_DIR_PATH', 'logging')
RADIO_CSV_PATH = os.environ.get('RADIO_CSV_PATH', 'custom/static_files/radionuclides.csv')
RAISE_EX = os.environ.get('RAISE_EX', False)

# LOGGING
LOG_TO = os.path.join(os.getenv('APPDATA'), 'RVRAO', 'logs.txt')
CONSOLE_LOG = os.environ.get('CONSOLE_LOG', True)

LOCAL_RUN = os.environ.get('LOCAL_RUN', False)
LOG_LEVEL = os.environ.get('LOG_LEVEL', 'INFO')

FRONT_BUILD_PATH = os.environ.get('FRONT_BUILD_PATH', 'frontend')

FIREBIRD_USER = os.environ.get('FIREBIRD_USER', 'SYSDBA')
FIREBIRD_PASSWORD = os.environ.get('FIREBIRD_PASSWORD', 'masterkey')

BUG_REPORT = False
WIN_DEBUG = False