import datetime
from dataclasses import dataclass
from enum import Enum

from datasource.databaserepository.database_repository2 import DatabaseRepository2


class AReportModel(DatabaseRepository2['AReportModel2.Data']):
    @dataclass
    class Data(DatabaseRepository2.Data):
        class AReportStateType(Enum):
            WAIT = 'wait'
            TEMP = 'temp'
            SAVED = 'saved'
            PUBLISHED = 'published'
            ARCHIVED = 'archived'

        areport_id: int
        areport_name: str
        areport_ts: datetime.datetime
        areport_period: dict
        areport_data: dict
        areport_state: AReportStateType
        areport_creator: int
        areport_params: dict

        ID_FIELD = 'areport_id'

        def as_dict(self):
            res = super().as_dict()
            if self.areport_state is not None:
                res['areport_state'] = self.areport_state.value
            return res

    database_table_name = 'AReports'
    id_field = 'areport_id'
