import json

from api2 import get_api2
from repository.areports import areports_repository
from repository.utils import import_module_
from services.exceptions import CoreBaseException
from settings import AREPORTS_REPOSITORY_FILES_DIRS
from wsgi.apps.users.models import UserModel
from wsgi.apps.users.serializers import UsersSerializer


def calculate_areport(params):
    areport_rep = areports_repository.get_areport_repository(params['areport_type'])
    module = import_module_(AREPORTS_REPOSITORY_FILES_DIRS, areport_rep['module_name'])
    try:
        return json.loads(module.build(params['attrs'], api=get_api2()))
    except AttributeError:
        raise CoreBaseException(rus_message=f'Создания данного аналитического отчета временно недоступно (Api2).')


def calc_permissions_for_areport_actions(user: UserModel.Data):
    return {
        'edit': user.permission_as_binary[UsersSerializer.PermissionActions.CREATION_AREPORTS.value[0]] != '0'
    }
