from secrets import token_urlsafe

from wsgi.apps.bugreports.models import BugreportModel


def generate_bug_id(request):
    bug_id = 'bug#'
    while True:
        bug_id += token_urlsafe(10)
        if not BugreportModel(request).filter({'bug_id': bug_id}):
            return bug_id


def generate_environment(request):
    environment = str(request.user_agent) + ' ' + str(request.url_root)
    for header in str(request.headers).split('\n'):
        if 'X-Screen-Resolution' in header:
            value = header.split()[1]
            environment += ' ' + value
    return environment
