from wsgi.apps.reporting_forms.models import FormModel


def build_download_name_for_form_export_file(path, form: FormModel.Data, form_title=False):
    """Сгенерировать строку для имени файла шаблона формы при скачивании (печатные формы)"""
    ext = path.split('.')[-1]
    n = form.form_no

    if form_title:
        try:
            n = '_'.join(n.split('_')[:2]) + '_0_' + n.split('_')[-1]
        except:
            pass

    if form.form_no.startswith('form_1_'):
        if form.form_period_start:
            n += f'_{form.form_period_start.day}_{form.form_period_start.month}_{form.form_period_start.year}'
        else:
            n += '_null'
        if form.form_period_end:
            n += f'_{form.form_period_end.day}_{form.form_period_end.month}_{form.form_period_end.year}'
        else:
            n += '_null'
    elif form.form_no.startswith('form_2_'):
        if form.reporting_year:
            n += f'_{form.reporting_year}'
        else:
            n += '_null'
    elif form.form_no.startswith('form_3_'):
        if form.notification_date:
            n += f'_{form.notification_date.day}_{form.notification_date.month}_{form.notification_date.year}'
        else:
            n += '_null'

    if form.kod_org:
        n += f'_{form.kod_org}'

    return n + '.' + ext


def build_download_name_for_form_errors_file(path, form: FormModel.Data):
    """Сгенерировать имя файлы для ошибок отчетной формы."""
    return 'errors_' + build_download_name_for_form_export_file(path, form)
