from dataclasses import dataclass
from enum import Enum

from datasource.databaserepository.database_repository2 import DatabaseRepository2


class HintModel(DatabaseRepository2['HintModel.Data']):
    @dataclass
    class Data(DatabaseRepository2.Data):
        class ItemTypeTypes(Enum):
            VOC = 'voc'
            FORM = 'form'

        record_id: int
        item_type: ItemTypeTypes
        item_class: str
        attrs: dict

        ID_FIELD = 'record_id'

        def as_dict(self):
            res = super().as_dict()
            if self.item_type is not None:
                res['item_type'] = self.item_type.value
            return res

        def replace(self, data):
            obj = super().replace(data)
            if obj.form_state is not None:
                obj.form_state = self.ItemTypeTypes(obj.item_type)
            return obj

    database_table_name = 'hints'
