import os.path

from info import BACKEND_VERSION
from services.temp import TempFile
from wsgi.apps.info import services
from wsgi.apps.info.rules import info_rules
from wsgi.utils import parse_request, response, file_response

from settings import STATIC_FILES_DIR


@parse_request(info_rules)
def info_app_view_manager(request, *args, **kwargs):
    action = kwargs['action']
    # === GET ===
    if action == 'get_versions':
        return get_versions_info_view(request)
    elif action == 'get_user_guide':
        return get_user_guide_view(request)


def get_versions_info_view(request, *args, **kwargs):
    """Получить версию backend, database"""
    return response(request, {
        'backend': BACKEND_VERSION,
        'database': services.get_db_version(request),
    })


def get_user_guide_view(request, *args, **kwargs):
    """Получить doc файл 'Руководство пользователя'"""
    return file_response(os.path.join(STATIC_FILES_DIR, 'user_guide.doc'))
