from typing import Any

forms_rules = {
    'GET': {
        'read': {
            'query_params': {
                'form_id': int,
            }
        },
        'list': {},  # org_id,
        'filter': {},
        # ==VALIDATION==
        'validate': {
            'query_params': {
                'form_id': int
            }
        },
        'unload': {
            'query_params': {
                'form_id': int
            }
        },
        'unload_cp_file': {
            'query_params': {
                'form_id': int
            }
        },
        'list_for_journal': {
            'query_params': {
                'journal_name': str,
                'preset_?': str,
            }
        },
        'get_extra_info': {},
    },
    'POST': {
        'save': {
            'query_params': {},
            'body': {
                'form_no': str,
                'form_name': str,
                'report_id_?': int,
                'author_id': str,
                'author_name': str,
            }
        },
        'check': {  # TODO
            'query_params': {
                'form_id': int,
            }
        },
        'update': {
            'query_params': {
                'form_id': int,
            }
        },
        'delete': {
            'query_params': {
                'form_id': int,
            }
        },
        'upload': {},
        # 'create_adjustment': {
        #     'query_params': {
        #         'form_id': int
        #     }
        # },
        'exec': {
            'body': {
                'method': str,
                'report_form_id': int,
                # 'row': int,
            }
        },
        'change_comment': {
            'query_params': {
                'form_id': int,
            },
            'body': {
                'value': str,
            }
        },
        # ==CHANGE TABLE==
        'change_cells': {
            'query_params': {
                'form_id': int,
                'table_name': str,
            },
            'body': {
                'table_cells': [
                    {
                        'table_cell': {
                            'value_?': Any,
                            'comment_?': str,
                            'remark_?': str,
                        },
                        'pointer': {
                            'row': int,
                            'col_name_?': str,
                        },
                        'changes': Any,
                    }
                ]
            }
        },
        'change_rows': {
            'query_params': {
                'form_id': int,
                'table_name': str,
            },
            'body': {
                'table_rows': [
                    {
                        'pointer': {
                            'row': int,
                        },
                        'table_row': {
                            'comment_?': str
                        },
                        'changes': Any
                    }
                ]
            }
        },
        'add_row': {
            'query_params': {
                'form_id': int,
                'table_name': str,
            },
            'body': {}
        },
        'delete_rows': {
            'query_params': {
                'form_id': int,
                'table_name': str,
            },
            'body': {}
        },
        'move_row': {
            'query_params': {
                'form_id': int,
                'table_name': str,
            },
            'body': {}
        },
        'update_row_indexes': {
            'query_params': {
                'form_id': int,
                'table_name': str,
            },
            'body': {
                'indexes': [
                    {
                        'old_index': int,
                        'new_index': int,
                    }
                ]
            }
        },
        'change_hint': {
            'query_params': {
                'form_no': str,
                'attr': str,
                'table_name_?': str,
            },
            'body': {
                'text': str,
            }
        },
        # ==CHANGE MAIN ATTRS==
        'change_attrs': {
            'query_params': {
                'form_id': int,
            },
            'body': {
                'attrs': [
                    {
                        'attr': str,
                        'value_?': Any
                    }
                ]
            }
        },
        'set_forms_expt_time_unloaded_status': {
            'query_params': {
                'form_id': int,
            }
        }
    },
}

forms_actions_rules = {
    'GET': {
        'list': {
            'query_params': {
                'report_form_id': int,
            }
        },
    },
    'POST': {
        'exec': {
            'query_params': {
                'action_name': str,
                'path': str,
            },
            'body': {
                'context': {
                    'report_form_id': int,
                }
            }
        }
    }
}
