from repository.forms_journals import forms_journals_repository
from wsgi.apps.repository.forms_journals_rules import forms_journals_types_rules, forms_journals_rules
from wsgi.utils import parse_request, api_view, response


@parse_request(forms_journals_rules)
def forms_journals_view_manager(request, *args, **kwargs):
    action = kwargs['action']
    if action == 'read':
        return read_forms_journals_view(request, kwargs['journal_name'])


@parse_request(forms_journals_types_rules)
def forms_journals_types_view_manager(request, *args, **kwargs):
    action = kwargs['action']
    if action == 'list':
        return list_forms_journals_types_view(request)


@api_view()
def list_forms_journals_types_view(request, *args, **kwargs):
    """Получить список типов журналов отчетных форм"""
    return response(request, forms_journals_repository.get_forms_journals_types_list_repository_f(), many=True)


@api_view()
def read_forms_journals_view(request, journal_name, *args, **kwargs):
    """Получить список репозиторий журнала отчетных форм по <journal_name>"""
    return response(request, forms_journals_repository.get_forms_journal_repository_f(journal_name))
