import copy

from repository.reports import reports_repository
from wsgi.apps.repository.reports_rules import reports_types_rules
from wsgi.utils import parse_request
from wsgi.utils import response, api_view


@parse_request(reports_types_rules)
def reports_types_view_manager(request, *args, **kwargs):
    action = kwargs['action']
    if action == 'list':
        return list_reports_types_repository_view(request, kwargs.get('journal_name'))


@api_view()
def list_reports_types_repository_view(request, journal_name, *args, **kwargs):
    """Получить список доступных типов отчетов (для создания)"""
    reports = reports_repository.get_reports_types_list()

    if journal_name:
        reports = copy.deepcopy(reports)
        for report in reports:
            if report['value'] == int(journal_name.split('_')[0]):
                # отображать по умолчанию на фронтенде тип отчетов относительно журнала, в котором находится пользователь
                report['default'] = True

    return response(request, reports, many=True)
