from wsgi.apps.repository.areports_rules import areports_rules, areports_types_rules
from wsgi.apps.repository.areports_views import areports_types_view_manager, areports_view_manager
from wsgi.apps.repository.decrees_rules import decrees_types_rules
from wsgi.apps.repository.decrees_views import decrees_types_view_manager
from wsgi.apps.repository.extensions_rules import extensions_rules
from wsgi.apps.repository.extensions_views import extensions_view_manager
from wsgi.apps.repository.forms_rules import forms_rules, forms_types_rules, forms_exports_types_rules
from wsgi.apps.repository.forms_views import forms_view_manager, forms_types_view_manager, \
    forms_exports_types_view_manager
from wsgi.apps.repository.forms_journals_rules import forms_journals_types_rules, forms_journals_rules
from wsgi.apps.repository.forms_journals_views import forms_journals_types_view_manager, forms_journals_view_manager
from wsgi.apps.repository.reports_rules import reports_types_rules
from wsgi.apps.repository.reports_views import reports_types_view_manager

from wsgi.apps.repository.vocs_rules import vocs_types_rules, vocs_rules
from wsgi.apps.repository.vocs_views import vocs_repository_types_view_manager, vocs_view_manager

urls = [
    ('/forms', forms_rules.keys(), forms_view_manager),
    ('/forms/types', forms_types_rules.keys(), forms_types_view_manager),
    ('/forms/exports/types', forms_exports_types_rules.keys(), forms_exports_types_view_manager),

    ('/reports/types', reports_types_rules.keys(), reports_types_view_manager),

    ('/vocs', vocs_rules.keys(), vocs_view_manager),
    ('/vocs/types', vocs_types_rules.keys(), vocs_repository_types_view_manager),

    ('/areports', areports_rules.keys(), areports_view_manager),
    ('/areports/types', areports_types_rules.keys(), areports_types_view_manager),

    ('/extensions', extensions_rules.keys(), extensions_view_manager),

    ('/forms_journals', forms_journals_rules.keys(), forms_journals_view_manager),
    ('/forms_journals/types', forms_journals_types_rules.keys(), forms_journals_types_view_manager),

    ('/decrees/types', decrees_types_rules.keys(), decrees_types_view_manager),
]
