from wsgi.apps.user_logs.rules import user_logs_rules
from wsgi.apps.user_logs.serializers import UserLogsVocSerializer
from wsgi.utils import parse_request, response, api_view


@parse_request(user_logs_rules)
def user_logs_view_manager(request, *args, **kwargs):
    action = kwargs['action']
    # GET
    if action == 'voc_list':
        return voc_list_users_logs_view(request)
    elif action == 'voc_read':
        return voc_read_users_logs_view(request, kwargs['record_id'])


@api_view()
def voc_list_users_logs_view(request, *args, **kwargs):
    """Получить все записи логов для отображения в таблице справочников"""
    return response(request, UserLogsVocSerializer(request).list(), many=True)


@api_view()
def voc_read_users_logs_view(request, record_id, *args, **kwargs):
    """Получить запись логов для отображения в таблице справочников"""
    return response(request, UserLogsVocSerializer(request).read(record_id))
