from wsgi.apps.users.models import UserModel
from wsgi.apps.user_settings.const import USER_SETTINGS_VOC_TYPE
from wsgi.apps.voc.models import VocValueModel

user_settings = {}


def get_user_settings_voc(request, user: UserModel.Data) -> VocValueModel.Data:
    """Получить справочник настроек пользователя.

    Args:
        request: Запрос.
        user: Пользователь.

    Returns:
        dict: Настройки пользователя. Если не найдены - вернется None.
    """
    user_settings_vocs = VocValueModel(request).filter([
        '=', 'voc_type', USER_SETTINGS_VOC_TYPE,
    ])
    for s in user_settings_vocs:
        if s.attrs and s.attrs.get('user_id') == user.record_id:
            return s
