voc_app_rules = {
    'GET': {
        'read': {
            'query_params': {
                'record_id': int,
                'voc_type': str,
            }
        },
        'filter': {},
        'list_by_type': {
            'query_params': {
                'voc_type': str,
                'only_active_?': bool,
            }
        },
        'list_organizations': {
            'query_params': {
                'for_current_user_?': bool
            }
        },
        'list_users': {},
        'list_by_value_id': {
            'query_params': {
                'voc_type': str,
                'value_id': str
            }
        },
        'list_stock_list': {
            'query_params': {
                'form_no': str,
                'kod_org': str,
                'date': str,
            }
        },
        'get_extra_info': {
            'query_params': {
                'voc_type': str,
            }
        },
        'search_by_value_id': {
            'query_params': {
                'voc_type': str,
                'value_id': str,
                'only_active_?': bool,
                'limit': int,
            }
        }
    },

    'POST': {
        # сохранить новую запись справочника
        'save': {
            'body': {
                # 'record_id_?': int,
                # 'value_id' ????
                'voc_type': int,
                'attrs': {},
            }
        },
        'update': {
            'query_params': {
                'record_id': int,
                'voc_type': str,
            },
            'body': {
                'attrs': {},
            }
        },
        'delete': {
            'query_params': {
                'record_id': int,
                'voc_type': str,
            }
        },
        'to_archive': {
            'query_params': {
                'record_id': int,
                'voc_type': str,
            }
        },
        'to_make_active': {
            'query_params': {
                'record_id': int,
                'voc_type': str,
            }
        },
        'save_new_version': {
            'query_params': {
                'record_id': int,
            },
            'body': {}
        },
        # === change table ===
        'change_cells': {
            'body': {
                'table_cells': [
                    {
                        'table_cell': {
                        },
                        'pointer': {
                            'record_id': int,
                            'col_name': str,
                        }
                    }
                ]
            }
        },
        'change_hint': {
            'query_params': {
                'voc_type': str,
                'attr': str,
            },
            'body': {
                'text': str
            }
        }
    }
}

voc_organizations_rules = {
    'GET': {
        'list_versions': {
            'query_params': {
                'record_id': str
            }
        }
    },
    'POST': {
    }
}
