from services.exceptions import PermissionDeniedException
from wsgi.apps.users.serializers import UsersSerializer
# from wsgi.apps.voc.services import has_permission


def has_permission(user, permission):
    # user_permissions_
    return user.permission_as_binary[permission.value[0]] == '1'


def _check_permission(user, permission):
    if not has_permission(user, permission):
        raise PermissionDeniedException(UsersSerializer.roles[user.user_role.value], permission.value[1])


def bool_permission(perm_func):
    try:
        perm_func()
    except PermissionDeniedException:
        return False
    return True
