def init():
    return {
        'module_type': 'report_form',
        'form_name': '1.1: Сведения о закрытых радионуклидных источниках',
        'form_num': '1.1',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: Должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: Фамилия, Имя, Отчество',
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: Телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: Электронная почта',
                'type': 'email'
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    {
                        'Операция': [
                            'OpCod', 'OpDate'
                        ]
                    },
                    {
                        'Закрытый радионуклидный источник': [
                            'PaspN', 'Typ', 'Nuclid', 'Numb', 'Sht', 'Activn', 'IzgotOKPO', 'IzgotDate', 'Nss'
                        ]
                    },
                    {
                        'Документ': [
                            'DocVid', 'DocN', 'DocDate'
                        ]
                    },
                    {
                        'ОКПО': [
                            'OkpoPIP', 'OkpoPrv'
                        ]
                    },
                    {
                        'Прибор (установка УКТ или иная упаковка)': [
                            'PrName', 'UktPrTyp', 'UktPrN'
                        ]
                    }
                ],
                'model': [
                    {
                        'field': 'OpCod',
                        'caption': 'Код',
                        'type': '11_type',
                        'help': 'В графе 2 указывается код операции',
                        'width': '5em'
                    },
                    {
                        'field': 'OpDate',
                        'caption': 'Дата',
                        'type': 'date',
                        'help': 'в графе 3 указывается дата операции',
                        'width': '9em'
                    },
                    {
                        'field': 'PaspN',
                        'caption': 'Номер паспорта',
                        'type': 'str',
                        'help': 'в графе 4 укаывается номер паспорта закрытого радионуклидного источника'
                    },
                    {
                        'field': 'Typ',
                        'caption': 'Тип',
                        'type': '23_type',
                        'help': 'в графе 5 указывается тип закрытого радионуклидного источника',
                        'width': '12em',
                        'map':	{
                                'Nuclid': '4'
                        }
                    },
                    {
                        'field': 'Nuclid',
                        'caption': 'Радионуклиды',
                        'type': 'radionuclide_voc_type',
                        # 'type': 'auto',
                        'help': 'в графе 6 указываются радионуклиды в закрытом радионуклидном источнике'
                    },
                    {
                        'field': 'Numb',
                        'caption': 'Номер',
                        'type': 'str',
                        'help': 'В графе 7 указывается номер закрытого радионуклидного источника',
                        'width': '9em'
                    },
                    {
                        'field': 'Sht',
                        'caption': 'Количество, шт.',
                        'type': 'int',
                        'help': 'в графе 8 указывается количество закрытых радионуклидных источников',
                        'width': '10em'
                    },
                    {
                        'field': 'Activn',
                        'caption': 'Активность, Бк',
                        'type': 'exponential',
                        'help': 'в графе 9 указывается активность по паспорту, Бк',
                        'width': '10em'
                    },
                    {
                        'field': 'IzgotOKPO',
                        'caption': 'ОКПО Изготовителя',
                        'type': 'OKPO_type',
                        'help': 'в графе 10 указывается код ОКПО изготовителя закрытого радионуклидного источниа',
                        'width': '10em'
                    },
                    {
                        'field': 'IzgotDate',
                        'caption': 'Дата выпуска',
                        'type': 'date',
                        'help': 'в графе 11 указывается дата изготовления закрытого радионуклидного источника по паспорту',
                        'width': '9em'
                    },
                    {
                        'field': 'Nss',
                        'caption': 'НСС, месяцев',
                        'type': 'int',
                        'help': 'в графе 13 указывается назначенный срок службы закрытого радионуклидного источника по паспорту, месяцев',
                        'width': '8em'
                    },
                    {
                        'field': 'DocVid',
                        'caption': 'Вид',
                        'type': '12_type',
                        'help': 'в графе 16 указывается код вида документа, сопровождающего операцию',
                        'width': '6em'
                    },
                    {
                        'field': 'DocN',
                        'caption': 'Номер',
                        # 'type': 'int',
                        'help': 'в графе 17 указывается номер документа',
                        'width': '10em'
                    },
                    {
                        'field': 'DocDate',
                        'caption': 'Дата',
                        'type': 'date',
                        'help': 'в графе 18 указывается дата документа',
                        'width': '9em'
                    },
                    {
                        'field': 'OkpoPIP',
                        'caption': 'Поставщика или получателя',
                        'type': 'OKPO_type',
                        'help': 'в графе 19 указывется код ОКПО поставщика или получателя закрытого радионуклидного источника',
                        'width': '10em'
                    },
                    {
                        'field': 'OkpoPrv',
                        'caption': 'Перевозчика',
                        'type': 'OKPO_type',
                        'help': 'в графе 20 указывается код перевозчика закрытого радионуклидного источника',
                        'width': '10em'
                    },
                    {
                        'field': 'PrName',
                        'caption': 'Наименование',
                        'type': '27_type',
                        'help': 'в графе 21 указывается наименование прибора (установки)',
                        'map': {'UktPrTyp': '2'}
                    },
                    {
                        'field': 'UktPrTyp',
                        'caption': 'Тип',
                        # 'type': 'auto',
                        'help': 'в графе 22 указывается тип УКТ или прибора (установки)'
                    },
                    {
                        'field': 'UktPrN',
                        'caption': 'Номер',
                        'type': 'str',
                        'help': 'в графе 23 указывается номер УКТ или прибора (установки)'
                    },
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 1.1',
                'object_type': 'f1-1_2021_exp',
                'output_ext': ['docx', 'pdf', 'xlsx']
            }
        ]
    }
