def init():
    return {
        'module_type': 'report_form',
        'form_name': '1.2: Сведения об изделиях из обедненного урана',
        'form_num': '1.2',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО',
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    {
                        'Операция': [
                            'OpCod', 'OpDate'
                        ]
                    },
                    {
                        'Изделия из обедненного урана': [
                            'PaspN', 'Typ', 'Numb', 'Kg', 'IzgotOKPO', 'IzgotDate', 'Nss'
                        ]
                    },
                    {
                        'Документ': [
                            'DocVid', 'DocN', 'DocDate'
                        ]
                    },
                    {
                        'ОКПО': [
                            'OkpoPIP', 'OkpoPrv'
                        ]
                    },
                    {
                        'Прибор (установка) УКТ или иная упаковка': [
                            'PrName', 'UktPrTyp', 'UktPrN'
                        ]
                    }
                ],
                'model': [
                    {
                        'field': 'OpCod',
                        'caption': 'код',
                        'help': 'Код операции',
                        'type': '11_type',
                        'width': '5em'
                    },
                    {
                        'field': 'OpDate',
                        'caption': 'дата',
                        'help': 'Дата операции',
                        'type': 'date',
                        'width': '9em'
                    },
                    {
                        'field': 'PaspN',
                        'caption': 'номер паспорта',
                        'help': 'Номер паспорта ИОУ',
                        'type': 'str'
                    },
                    {
                        'field': 'Typ',
                        'caption': 'наименование',
                        'help': 'Наименование ИОУ',
                        'type': '24_type',
                        'map': {
                            'Kg': '8',
                        }
                    },
                    {
                        'field': 'Numb',
                        'caption': 'номер',
                        'help': 'Номер ИОУ',
                        'type': 'str',
                        'width': '9em'
                    },
                    {
                        'field': 'Kg',
                        'caption': 'масса, кг',
                        'help': 'Масса по паспорту, кг',
                        'type': 'exponential',
                        'width': '8em'
                    },
                    {
                        'field': 'IzgotOKPO',
                        'caption': 'ОКПО изготовителя',
                        'help': 'Код ОКПО изготовителя ИОУ',
                        'type': 'OKPO_type',
                        'width': '10em'
                    },
                    {
                        'field': 'IzgotDate',
                        'caption': 'дата выпуска',
                        'help': 'Дата изготовление ИОУ по паспорту',
                        'type': 'date',
                        'width': '9em'
                    },
                    {
                        'field': 'Nss',
                        'caption': 'НСС, месяцев',
                        'help': 'Назначенный срок службы ИОУ по паспорту',
                        'type': 'int',
                        'width': '9em'
                    },
                    {
                        'field': 'DocVid',
                        'caption': 'вид',
                        'help': 'Код вида документа, сопровождающего операцию',
                        'type': '12_type',
                        'width': '6em'
                    },
                    {
                        'field': 'DocN',
                        'caption': 'номер',
                        'help': 'Номер документа',
                        'type': 'str',
                        'width': '9em'
                    },
                    {
                        'field': 'DocDate',
                        'caption': 'дата',
                        'help': 'Дата документа',
                        'type': 'date',
                        'width': '9em'
                    },
                    {
                        'field': 'OkpoPIP',
                        'caption': 'поставщика или получателя',
                        'help': 'Код ОКПО поставщика или получателя ИОУ',
                        'type': 'OKPO_type',
                        'width': '10em'
                    },
                    {
                        'field': 'OkpoPrv',
                        'caption': 'перевозчик',
                        'help': 'Код ОКПО перевозчика ИОУ',
                        'type': 'OKPO_type',
                        'width': '10em'
                    },
                    {
                        'field': 'PrName',
                        'caption': 'наименование',
                        'help': 'Наименование прибора (установки)',
                        'type': '27_type',
                        'map': {'UktPrTyp': '2'}
                    },
                    {
                        'field': 'UktPrTyp',
                        'caption': 'тип',
                        'help': 'Тип прибора (установки)',

                        # 'type': 'auto'
                    },
                    {
                        'field': 'UktPrN',
                        'caption': 'номер',
                        'help': 'Номер прибора (установки)',
                        'type': 'str'
                    },
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 1.2',
                'object_type': 'f1-2_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
