def init():
    return {
        'module_type': 'report_form',
        'form_name': '1.3: Сведения об открытых радионуклидных источниках в виде отдельных изделий, за исключением источников на основе радионуклидов с периодом полураспада до 60 (шестидесяти) суток, включая йод-125',
        'form_num': '1.3',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО',
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            }
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    {
                        'Операция': [
                            'OpCod', 'OpDate'
                        ]
                    },
                    {
                        'Открытый радионуклидный источник': [
                            'PaspN', 'Typ', 'Nuclid', 'Numb', 'Activn', 'IzgotOKPO', 'IzgotDate', 'Agr'
                        ]
                    },
                    {
                        'Документ': [
                            'DocVid', 'DocN', 'DocDate'
                        ]
                    },
                    {
                        'ОКПО': [
                            'OkpoPIP', 'OkpoPrv'
                        ]
                    },
                    {
                        'Прибор (установка), УКТ или иная упаковка': [
                            'PrName', 'UktPrTyp', 'UktPrN'
                        ]
                    }
                ],
                'model': [  # ячейки таблицы. обязательный ключ
                    {
                        'field': 'OpCod',
                        'caption': 'код',
                        'type': '11_type',
                        'width': '5em'
                    },
                    {
                        'field': 'OpDate',
                        'caption': 'дата',
                        'type': 'date',  # тип данных внутри (пока не используем)
                        'width': '9em'
                    },
                    {
                        'field': 'PaspN',
                        'caption': 'номер паспорта',
                    },
                    {
                        'field': 'Typ',
                        'caption': 'тип',
                        'type': '23_type',
                        'width': '12em',
                        'map': {
                            'Nuclid': '4',
                        }
                    },
                    {
                        'field': 'Nuclid',
                        'caption': 'радионуклиды',
                        'type': 'radionuclide_voc_type'
                    },
                    {
                        'field': 'Numb',
                        'caption': 'номер',
                        'width': '9em'
                    },
                    {
                        'field': 'Activn',
                        'caption': 'активность, Бк',
                        'type': 'exponential',
                        'width': '10em'
                    },
                    {
                        'field': 'IzgotOKPO',
                        'caption': 'ОКПО изготовителя',
                        'type': 'OKPO_type',
                        'width': '10em'
                    },
                    {
                        'field': 'IzgotDate',
                        'caption': 'дата выпуска',
                        'type': 'date',
                        'width': '9em'
                    },
                    {
                        'field': 'Agr',
                        'caption': 'Агрегатное состояние',
                        'type': '120_type',
                        'width': '9em'

                    },
                    {
                        'field': 'DocVid',
                        'caption': 'вид',
                        'type': '12_type',
                        'width': '6em'
                    },
                    {
                        'field': 'DocN',
                        'caption': 'номер',
                        'width': '10em'
                    },
                    {
                        'field': 'DocDate',
                        'caption': 'дата',
                        'type': 'date',
                        'width': '9em'
                    },
                    {
                        'field': 'OkpoPIP',
                        'caption': 'поставщика или получателя',
                        'type': 'OKPO_type'
                    },
                    {
                        'field': 'OkpoPrv',
                        'caption': 'перевозчика',
                        'type': 'OKPO_type',
                        'width': '10em'
                    },
                    {
                        'field': 'PrName',
                        'caption': 'наименование',
                        'type': '27_type',
                        'map': {
                            'UktPrTyp': '2'
                        }
                    },
                    {
                        'field': 'UktPrTyp',
                        'caption': 'тип',
                        #    'type': 'auto'
                    },
                    {
                        'field': 'UktPrN',
                        'caption': 'номер',
                    },
                ]
            },
        },
        'export': [
            {
                'form_name': 'Отчетная форма 1.3',
                'object_type': 'f1-3_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
