def init():
    return {
        'module_type': 'report_form',
        'form_name': '1.4: Сведения об открытых радионуклидных источниках, кроме отдельных изделий, за исключением источников на основе радионуклидов с периодом полураспада до 60 (шестидесяти) суток, включая йод-125',
        'form_num': '1.4',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта'
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    {
                        'Операция': [
                            'OpCod', 'OpDate'
                        ]
                    },
                    {
                        'Открытый радионуклидный источник': [
                            'PaspN', 'IstName', 'Typ', 'Nuclid', 'Activn', 'ActDate', 'Kbm', 'Kg', 'Arg'
                        ]
                    },
                    {
                        'Документ': [
                            'DocVid', 'DocN', 'DocDate'
                        ]
                    },
                    {
                        'ОКПО': [
                            'OkpoPIP', 'OkpoPrv'
                        ]
                    },
                    {
                        'Прибор (установка) УКТ или иная упаковка': [
                            'PrName', 'UktPrTyp', 'UktPrN'
                        ]
                    }
                ],
                'model': [
                    {
                        'field': 'OpCod',
                        'caption': 'код',
                        'help': 'Код операции',
                        'type': '11_type',
                        'width': '6em'
                    },
                    {
                        'field': 'OpDate',
                        'caption': 'дата',
                        'help': 'Дата операции',
                        'type': 'date',
                        'width': '9em'
                    },
                    {
                        'field': 'PaspN',
                        'caption': 'номер паспорта',
                        'help': 'Номер паспорта ИОУ',
                        'type': 'str',
                        'width': '10em'
                    },
                    {
                        'field': 'IstName',
                        'caption': 'наименование',
                        'help': 'Наименование ОРИ',
                        'type': 'str',
                        'width': '10em'
                    },
                    {
                        'field': 'Typ',
                        'caption': 'вид',
                        'help': 'Вид ОРИ',
                        'type': '13_type',
                        'width': '10em'
                    },
                    {
                        'field': 'Nuclid',
                        'caption': 'радионуклиды',
                        'help': 'Радионуклиды',
                        'type': 'radionuclide_voc_type',
                        'width': '12em'
                    },
                    {
                        'field': 'Activn',
                        'caption': 'активност, Бк',
                        'help': 'Активность по паспорту, Бк',
                        'type': 'exponential',
                        'width': '10em'
                    },
                    {
                        'field': 'ActDate',
                        'caption': 'дата измерения',
                        'help': 'Дата измерения активности',
                        'type': 'date',
                        'width': '10em'
                    },
                    {
                        'field': 'Kbm',
                        'caption': 'объем, куб.м',
                        'help': 'Объем, куб.м',
                        'type': 'exponential',
                        'width': '10em'
                    },
                    {
                        'field': 'Kg',
                        'caption': 'масса, кг',
                        'help': 'Масса, кг',
                        'type': 'exponential',
                        'width': '10em'
                    },
                    {
                        'field': 'Arg',
                        'caption': 'агрегатное состояние',
                        'help': 'Агрегатное состояние ОРИ',
                        'type': '120_type',
                        'width': '10em'
                    },
                    {
                        'field': 'DocVid',
                        'caption': 'вид',
                        'help': 'Код вида документа, сопровождающего операцию',
                        'type': '12_type',
                        'width': '6em'
                    },
                    {
                        'field': 'DocN',
                        'caption': 'номер',
                        'help': 'Номер документа',
                        'type': 'str',
                        'width': '10em'
                    },
                    {
                        'field': 'DocDate',
                        'caption': 'дата',
                        'help': 'Дата документа',
                        'type': 'date',
                        'width': '10em'
                    },
                    {
                        'field': 'OkpoPIP',
                        'caption': 'поставщика или получателя',
                        'help': 'Код ОКПО поставщика или получателя ОРИ',
                        'type': 'OKPO_type',
                        'width': '10em'
                    },
                    {
                        'field': 'OkpoPrv',
                        'caption': 'перевозчик',
                        'help': 'Код ОКПО перевозчика ОРИ',
                        'type': 'OKPO_type',
                        'width': '10em'
                    },
                    {
                        'field': 'PrName',
                        'caption': 'наименование',
                        'help': 'Наименование прибора (установки)',
                        'type': '27_type',
                        'map': {'UktPrTyp': '2'}
                    },
                    {
                        'field': 'UktPrTyp',
                        'caption': 'тип',
                        'help': 'Тип прибора (установки)',
                        # 'type': 'auto'
                    },
                    {
                        'field': 'UktPrN',
                        'caption': 'номер',
                        'help': 'Номер прибора (установки)',
                        'type': 'str'
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 1.4',
                'object_type': 'f1-4_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
