def init():
    return {
        'module_type': 'report_form',
        'form_name': '1.5: Сведения о радиоактивных отходах в виде отработавших закрытых источников ионизирующего излучения, за исключением кондиционированных',
        'form_num': '1.5',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'enable_col_num': True,
                'headers': [
                    {
                        'Операция': [
                            'OpCod', 'OpDate'
                        ]
                    },
                    {
                        'Сведения об отработавших закрытых источниках ионизирующего излучения': [
                            'PaspN', 'Typ', 'Nuclid', 'Numb', 'Sht', 'Activn', 'IzgotDate'
                        ]
                    },
                    {
                        'Документ': [
                            'DocVid', 'DocN', 'DocDate'
                        ]
                    },
                    {
                        'ОКПО': [
                            'OkpoPIP', 'OkpoPrv'
                        ]
                    },
                    {
                        'Прибор (установка), УКТ, контейнер или иная упаковка': [
                            'PrName', 'UktPrTyp', 'UktPrN'
                        ]
                    },
                    {
                        'Пункт хранения': [
                            'PH_Name', 'PH_Cod'
                        ]
                    },
                    ['factory', 'Subsid', 'FCP']
                ],
                'model': [
                    {
                        # 1
                        'field': 'OpCod',
                        'caption': 'код',
                        'type': '11_type',
                        'width': '5em',
                        'help': 'в графе 2 указывается код операции',
                        'col_num': '2',
                    },
                    {
                        # 2
                        'field': 'OpDate',
                        'caption': 'дата',
                        'type': 'date',
                        'width': '9em',
                        'help': 'в графе 3 указывается дата операции',
                        'col_num': '3',
                    },
                    {
                        # 3
                        'field': 'PaspN',
                        'caption': 'номер паспорта ЗРИ',
                        'type': 'str',
                        'width': '10em',
                        'help': 'в графе 4 указывается номер паспорта ЗРИ',
                        'col_num': '4',
                    },
                    {
                        # 4
                        'field': 'Typ',
                        'caption': 'тип',
                        'type': '23_type',
                        'map': {'Nuclid': '4'},
                        'width': '10em',
                        'help': 'в графе 5 указывается тип ЗРИ',
                        'col_num': '5',
                    },
                    {
                        # 5
                        'field': 'Nuclid',
                        'caption': 'Радионуклиды',
                        # auto
                        'type': 'radionuclide_voc_type',
                        'help': 'в графе 6 указываются нуклиды ЗРИ',
                        'col_num': '6',
                    },
                    {
                        'field': 'Numb',
                        'caption': 'номер',
                        'type': 'str',
                        'width': '10em',
                        'help': 'в графе 7 указывается номер ЗРИ',
                        'col_num': '7',
                    },
                    {
                        'field': 'Sht',
                        'caption': 'количество, шт',
                        'type': 'int',
                        'width': '10em',
                        'help': 'в графе 8 указывается количество ЗРИ, шт',
                        'col_num': '8',
                    },
                    {
                        'field': 'Activn',
                        'caption': 'активность, Бк',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 9 указывается активность по паспорту, Бк',
                        'col_num': '9',
                    },
                    {
                        'field': 'IzgotDate',
                        'caption': 'дата выпуска',
                        'type': 'date',
                        'width': '10em',
                        'help': 'в графе 10 указывается дата выпуска',
                        'col_num': '10',
                    },
                    {
                        'field': 'DocVid',
                        'caption': 'вид',
                        'type': '12_type',
                        'width': '6em',
                        'help': 'в графе 12 указывается код вида документа, сопровождающего операцию',
                        'col_num': '12',
                    },
                    {
                        'field': 'DocN',
                        'caption': 'номер',
                        'type': 'str',
                        'width': '10em',
                        'help': 'в графе 13 указывается номер документа',
                        'col_num': '13',
                    },
                    {
                        'field': 'DocDate',
                        'caption': 'дата',
                        'type': 'date',
                        'width': '10em',
                        'help': 'в графе 14 указывается дата документа',
                        'col_num': '14',
                    },
                    {
                        'field': 'OkpoPIP',
                        'caption': 'поставщика или получателя',
                        'type': 'OKPO_type',
                        'width': '10em',
                        'help': 'в графе 15 указывается код ОКПО поставщика или получателя',
                        'col_num': '15',
                    },
                    {
                        'field': 'OkpoPrv',
                        'caption': 'перевозчика',
                        'type': 'OKPO_type',
                        'width': '10em',
                        'help': 'в графе 16 указывается код ОКПО перевозчика',
                        'col_num': '16',
                    },
                    {
                        'field': 'PrName',
                        'caption': 'наименование',
                        'type': '27_type',
                        'map': {'UktPrTyp': '2'},
                        'help': 'в графе 17 указывается наименование прибора(установки)',
                        'col_num': '17',
                    },
                    {
                        'field': 'UktPrTyp',
                        'caption': 'тип',
                        # 'type': 'auto',
                        'help': 'в графе 18 указывается тип прибора(установки)',
                        'col_num': '18',
                    },
                    {
                        'field': 'UktPrN',
                        'caption': 'номер',
                        'type': 'str',
                        'help': 'в графе 19 указывается номер прибора(установки)',
                        'col_num': '19',
                    },
                    {
                        'field': 'PH_Name',
                        'caption': 'наименование',
                        'type': '21_type',
                        'help': 'в графе 20 указывается наименование пункта хранения',
                        'map': {'PH_Cod': '7'},
                        'col_num': '20',
                    },
                    {
                        'field': 'PH_Cod',
                        'caption': 'код',
                        'width': '10em',
                        'type': 'CalcCodeStorage',
                        'help': 'в графе 21 указывается Код пункта хранения',
                        'col_num': '21',
                    },
                    {
                        'field': 'factory',
                        'caption': 'Установка',
                        'type': '28_type',
                        'help': '---',
                        'col_num': '',
                        'map': {'CodRAO': '2'}
                    },
                    {
                        'field': 'Subsid',
                        'caption': 'Субсидия, %',
                        'type': 'grant',
                        'width': '10em',
                        'help': 'в графе 23 указывается размер субсидии в %',
                        'col_num': '23',
                    },
                    {
                        'field': 'FCP',
                        'caption': 'Номер мероприятия ФЦП',
                        'type': 'str',
                        'width': '10em',
                        'help': 'в графе 24 указывается номер мероприятия ФЦП',
                        'col_num': '24',
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 1.5 (версия 1)',
                'object_type': 'f1-5_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
