def init():
    return {
        'module_type': 'report_form',
        'form_name': '1.6: Сведения о некондиционированных радиоактивных отходов',
        'form_num': "1.6",
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'enable_col_num': True,
                'headers': [
                    {
                        'Операция': [
                            'OpCod', 'OpDate'
                        ]
                    },
                    'RAOCod',
                    {
                        'Количество': [
                            'Kbm', 'Tonne'
                        ]
                    },
                    ['Sht'],
                    'RAOCodMax',
                    # {
                    #    'Основные радионуклиды': [
                    #        'RAOCodMax'
                    #    ]
                    # },
                    {
                        'Суммарная активность': [
                            'ActBG', 'ActA'
                        ]
                    },
                    ['ActDate'],
                    {
                        'Документ': [
                            'DocVid', 'DocN', 'DocDate'
                        ]
                    },
                    {
                        'ОКПО': [
                            'OkpoPIP', 'OkpoPrv'
                        ]
                    },
                    {
                        'Пункт хранения': [
                            'PH_Name', 'PH_Cod'
                        ]
                    },
                    ['factory', 'UpCod'],
                    {
                        'УКТ, упаковка или иная учетная еденица': [
                            'PrName', 'UktPrTyp', 'UktPrN'
                        ]
                    },
                    ['Subsid', 'FCP']
                ],
                'model': [
                    {
                        'field': 'OpCod',
                        'caption': 'код',
                        'help': 'Код операции',
                        'col_num': '2',
                        'width': '6em',
                        'type': '11_type'
                    },
                    {
                        'field': 'OpDate',
                        'caption': 'дата',
                        'help': 'Дата операции',
                        'width': '9em',
                        'col_num': '3',
                        'type': 'date'
                    },
                    {
                        'field': 'RAOCod',
                        'caption': 'Код РАО',
                        'width': '10em',
                        'col_num': '4',
                        'type': 'CalcCodeRao'
                    },
                    {
                        'field': 'Kbm',
                        'caption': 'куб. м',
                        'help': 'Количество РАО, куб.м.',
                        'col_num': '6',
                        'width': '10em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'Tonne',
                        'caption': 'т',
                        'help': 'Количество РАО, т',
                        'col_num': '7',
                        'width': '10em',
                        'type': 'exponential',
                        #	'handlers': {
                        #	     'before_save': [{'handler': "exponential", 'params': 3}],
                        #	}
                    },
                    {
                        'field': 'Sht',
                        'caption': 'Количество ОЗИИИ, шт.',
                        'col_num': '8',
                        'width': '10em',
                        'type': 'int'
                    },
                    {
                        'field': 'RAOCodMax',
                        'caption': 'Основные радионуклиды',
                        'col_num': '9',
                        'width': '10em',
                        'type': 'radionuclide_voc_type'
                    },
                    #                    {
                    #                        'field': 'RAOCodCat',
                    #                        'caption': 'определяющие категорию РАО',
                    #                        'type': 'radionuclide_voc_type'
                    #                    },
                    #                    {
                    #                        'field': 'RAOCodDang',
                    #                        'caption': 'определяющие период потенциальной опасности РАО',
                    #                        'type': 'radionuclide_voc_type'
                    #                    },
                    {
                        'field': 'ActBG',
                        'caption': 'бета-, гамма-излучающие радионуклиды (исключая тритий)',
                        'help': 'Активность бета-, гамма-активных нуклидов, Бк',
                        'col_num': '11',
                        'width': '10em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'ActA',
                        'caption': 'альфа-излучающие радионуклиды (исключая трансурановые)',
                        'help': 'Активность альфа-активных нуклидов, Бк',
                        'col_num': '12',
                        'width': '10em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'ActDate',
                        'caption': 'дата измерения активности',
                        'help': 'Дата измерения активности',
                        'col_num': '14',
                        'width': '10em',
                        'type': 'date'
                    },
                    {
                        'field': 'DocVid',
                        'caption': 'вид',
                        'help': 'Код вида документа, сопровождающего операцию',
                        'col_num': '15',
                        'width': '6em',
                        'type': '12_type'
                    },
                    {
                        'field': 'DocN',
                        'caption': 'номер',
                        'help': 'Номер документа',
                        'col_num': '16',
                        'width': '10em',
                        'type': 'str'
                    },
                    {
                        'field': 'DocDate',
                        'caption': 'дата',
                        'help': 'Дата документа',
                        'col_num': '17',
                        'width': '10em',
                        'type': 'date'
                    },
                    {
                        'field': 'OkpoPIP',
                        'caption': 'поставщика или получателя',
                        'help': 'Код ОКПО поставщика или получателя ОРИ',
                        'col_num': '18',
                        'width': '10em',
                        'type': 'OKPO_type'
                    },
                    {
                        'field': 'OkpoPrv',
                        'caption': 'перевозчик',
                        'help': 'Код ОКПО перевозчика ОРИ',
                        'col_num': '19',
                        'width': '10em',
                        'type': 'OKPO_type'
                    },
                    {
                        'field': 'PH_Name',
                        'caption': 'наименование',
                        'help': 'Наименование пункта хранения',
                        'col_num': '20',
                        'width': '10em',
                        'type': '21_type',
                        'map': {'PH_Cod': '7'}
                    },
                    {
                        'field': 'PH_Cod',
                        'caption': 'код',
                        'help': 'Код пункта хранения',
                        'col_num': '21',
                        'width': '10em',
                        'type': 'CalcCodeStorage'
                    },
                    {
                        'field': 'factory',
                        'caption': 'Установка',
                        'help': 'Наименование установки переработки',
                        'col_num': '',
                        'type': '28_type',
                        'map': {'UpCod': '2'}
                    },
                    {
                        'field': 'UpCod',
                        'caption': 'Код переработки/ сортировки РАО',
                        'help': 'Код установки переработки',
                        'col_num': '22',
                        'width': '10em',
                        'type': '17_type'
                    },
                    {
                        'field': 'PrName',
                        'caption': 'наименование',
                        'help': 'Наименование УКТ, упаковки или иной учетной еденицы',
                        'col_num': '23',
                        'width': '10em',
                        'type': '27_type',
                        'map': {'UktPrTyp': '2'}
                    },
                    {
                        'field': 'UktPrTyp',
                        'caption': 'тип',
                        'help': 'Тип УКТ, упаковки или иной учетной еденицы',
                        'col_num': '24',
                        'type': 'auto'
                    },
                    {
                        'field': 'UktPrN',
                        'caption': 'номер',
                        'help': 'Номер УКТ, упаковки или иной учетной еденицы',
                        'col_num': '25',
                        'type': 'str'
                    },
                    {
                        'field': 'Subsid',
                        'caption': 'Субсидия, %',
                        'col_num': '26',
                        'width': '10em',
                        'type': 'grant'
                    },
                    {
                        'field': 'FCP',
                        'caption': 'Номер мероприятия ФЦП',
                        'col_num': '27',
                        'width': '10em',
                        'type': 'str'
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 1.6',
                'object_type': 'f1-6_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
