def init():
    return {
        'module_type': 'report_form',
        'form_name': '1.7:  Сведения о твердых кондиционированных радиоактивных отходах',
        'form_num': '1.7',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: Должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'flip_phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            }
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'enable_col_num': True,
                'headers': [
                    {
                        'Операция': [
                            'g2', 'g3'
                        ]
                    },
                    {
                        'Сведения об упаковке': [
                            'g4', 'g5', 'g6', 'g7', 'g8', 'g9', 'g10', 'g11',
                            {
                                'радионуклидный состав': [
                                    'g12', 'g13'
                                ]
                            }
                        ]
                    },
                    {
                        'Документ': [
                            'g14', 'g15', 'g16'
                        ]
                    },
                    {
                        'ОКПО': [
                            'g17', 'g18'
                        ]
                    },
                    {
                        'Пункт хранения': [
                            'g19', 'g20'
                        ]
                    },
                    {
                        'Сведения о РАО': [
                            'g21', 'g22', 'g23', 'g24', 'g25',
                            {
                                'суммарная активность, Бк': [
                                    'g26', 'g27', 'g28', 'g29'
                                ]
                            },
                            'factory', 'g30'
                        ]
                    },
                    'g31', 'g32'
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'код',
                        'type': '11_type',
                        'col_num': '2',
                        'width': '5em',
                        'help': 'в графе 2 указывается код операции'
                    },
                    {
                        'field': 'g3',
                        'caption': 'дата',
                        'type': 'date',
                        'col_num': '3',
                        'width': '7em',
                        'help': 'в графе 3 указывается дата операции'
                    },
                    {
                        'field': 'g4',
                        'caption': 'наименование',
                        'type': '27_type',
                        'help': 'в графе 4 указывается наименование упаковки',
                        'col_num': '4',
                        'width': '13em',
                        'map': {'g5': '2'}
                    },
                    {
                        'field': 'g5',
                        'caption': 'тип',
                        # 'type': 'auto',
                        'col_num': '5',
                        'width': '10em',
                        'help': 'в графе 5 указывается тип упаковки'
                    },
                    {
                        'field': 'g6',
                        'caption': 'заводской номер',
                        'type': 'str',
                        'col_num': '6',
                        'width': '10em',
                        'help': 'в графе 6 указывается заводской номер'
                    },
                    {
                        'field': 'g7',
                        'caption': 'номер упаковки (идентификационный код)',
                        'type': 'str',
                        'col_num': '7',
                        'width': '12em',
                        'help': 'в графе 7 указывается номер упаковки (идентификационный код)'
                    },
                    {
                        'field': 'g8',
                        'caption': 'дата формирования',
                        'type': 'date',
                        'col_num': '8',
                        'width': '9em',
                        'help': 'в графе 8 указывается дата формирования упаковки'
                    },
                    {
                        'field': 'g9',
                        'caption': 'номер паспорта',
                        'type': 'str',
                        'col_num': '9',
                        'width': '9em',
                        'help': 'в графе 9 указывается номер паспорта упаковки'
                    },
                    {
                        'field': 'g10',
                        'caption': 'объём, куб. м',
                        'type': 'exponential',
                        'col_num': '10',
                        'width': '8em',
                        'help': 'в графе 10 указывается объём упаковки, куб. м'
                    },
                    {
                        'field': 'g11',
                        'caption': 'масса брутто, т',
                        'type': 'exponential',
                        'col_num': '11',
                        'width': '7em',
                        'help': 'в графе 11 указывается масса упаковки, т'
                    },
                    {
                        'field': 'g12',
                        'caption': 'наименование радионуклида',
                        'type': 'radionuclide_voc_type',
                        'col_num': '12',
                        'width': '10em',
                        'help': 'в графе 12 указывается наименование радионуклида'
                    },
                    {
                        'field': 'g13',
                        'caption': 'удельная активность, Бк/г',
                        'type': 'exponential',
                        'col_num': '13',
                        'width': '10em',
                        'help': 'в графе 13 указывается удельная активность, Бк/г'
                    },
                    {
                        'field': 'g14',
                        'caption': 'вид',
                        'type': '12_type',
                        'col_num': '14',
                        'width': '5em',
                        'help': 'в графе 14 указывается вид документа'
                    },
                    {
                        'field': 'g15',
                        'caption': 'номер',
                        'type': 'str',
                        'col_num': '15',
                        'width': '10em',
                        'help': 'в графе 15 указывается номер документа'
                    },
                    {
                        'field': 'g16',
                        'caption': 'дата',
                        'type': 'date',
                        'col_num': '16',
                        'width': '7em',
                        'help': 'в графе 16 указывается дата документа'
                    },
                    {
                        'field': 'g17',
                        'caption': 'поставщика или получателя',
                        'type': 'OKPO_type',
                        'col_num': '17',
                        'width': '9em',
                        'help': 'в графе 17 указывается ОКПО поставщика или получателя'
                    },
                    {
                        'field': 'g18',
                        'caption': 'перевозчика',
                        'type': 'OKPO_type',
                        'col_num': '18',
                        'width': '9em',
                        'help': 'в графе 18 указывается ОКПО перевозчика'
                    },
                    {
                        'field': 'g19',
                        'caption': 'наименование',
                        'type': '21_type',
                        'col_num': '19',
                        'width': '12em',
                        'help': 'в графе 19 указывается наименование пункта хранения',
                        'map': {'g20': '7'}
                    },
                    {
                        'field': 'g20',
                        'caption': 'код',
                        'type': 'CalcCodeStorage',
                        'col_num': '20',
                        'width': '12em',
                        'help': 'в графе 20 указывается код пункта хранения'
                    },
                    {
                        'field': 'g21',
                        'caption': 'код',
                        'type': 'CalcCodeRao',
                        'col_num': '21',
                        'width': '8em',
                        'help': 'в графе 21 указывается код РАО'
                    },
                    {
                        'field': 'g22',
                        'caption': 'статус',
                        'type': '16_type',
                        'col_num': '22',
                        'width': '10em',
                        'help': 'в графе 22 указывается статус РАО'
                    },
                    {
                        'field': 'g23',
                        'caption': 'объем без упаковки, куб. м',
                        'type': 'exponential',
                        'col_num': '23',
                        'width': '10em',
                        'help': 'в графе 23 указывается объем РАО без упаковки, куб. м'
                    },
                    {
                        'field': 'g24',
                        'caption': 'масса без упаковки (нетто), т',
                        'type': 'exponential',
                        'col_num': '24',
                        'width': '8em',
                        'help': 'в графе 24 указывается масса РАО без упаковки (нетто'
                    },
                    {
                        'field': 'g25',
                        'caption': 'количество ОЗИИИ, шт.',
                        'type': 'str',
                        'col_num': '25',
                        'width': '7em',
                        'help': 'в графе 25 указывается количество ОЗИИИ, шт.'
                    },
                    {
                        'field': 'g26',
                        'caption': 'тритий',
                        'type': 'exponential',
                        'col_num': '26',
                        'width': '10em',
                        'help': 'в графе 26 указывается суммарная активность трития, Бк'
                    },
                    {
                        'field': 'g27',
                        'caption': 'бета-, гамма -излучающие радионуклиды (исключая тритий)',
                        'type': 'exponential',
                        'col_num': '27',
                        'width': '11em',
                        'help': 'в графе 27 указывается суммарная активность бета-, гамма -излучающих радионуклидов (исключая тритий), Бк'
                    },
                    {
                        'field': 'g28',
                        'caption': 'альфа-излучающие радионуклиды (исключая трансурановые)',
                        'type': 'exponential',
                        'col_num': '28',
                        'width': '11em',
                        'help': 'в графе 28 указывается суммарная активность альфа-излучающих радионуклидов (исключая трансурановые), Бк'
                    },
                    {
                        'field': 'g29',
                        'caption': 'трансурановые радионуклиды',
                        'type': 'exponential',
                        'col_num': '29',
                        'width': '10em',
                        'help': 'в графе 29 указывается суммарная активность трансурановых радионуклидов, Бк'
                    },
                    {
                        'field': 'factory',
                        'caption': 'Установка',
                        'help': 'Наименование установки переработки',
                        'type': '28_type',
                        'col_num': '',
                        'width': '10em',
                        'map': {'g30': '2'}
                    },
                    {
                        'field': 'g30',
                        'caption': 'Код переработки/ сортировки РАО',
                        'type': '17_type',
                        'col_num': '30',
                        'width': '10em',
                        'help': 'в графе 30 указывается код переработки/ сортировки РАО'
                    },
                    {
                        'field': 'g31',
                        'caption': 'Субсидия, %',
                        'type': 'grant',
                        'col_num': '31',
                        'width': '9em',
                        'help': 'в графе 31 указывается субсидия, %'
                    },
                    {
                        'field': 'g32',
                        'caption': 'номер мероприяти ФЦП',
                        'col_num': '32',
                        'width': '9em',
                        'help': 'в графе 32 указывается номер мероприятия ФЦП'
                    },
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 1.7 (версия 1)',
                'object_type': 'f1-7_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
