def init():
    return {
        'module_type': 'report_form',
        'form_name': '1.8: Сведения о жидких кондиционированных радиоактивных отходах',
        'form_num': '1.8',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта'
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'enable_col_num': True,
                'headers': [
                    {
                        'Операция': [
                            'g2', 'g3'
                        ],
                    },
                    {
                        'Сведения о партии ЖРО': [
                            'g4', 'g5', 'g6', 'g7', 'g8',
                            {
                                'радионуклидный состав': [
                                    'g9', 'g10'
                                ]
                            }
                        ],
                    },
                    {
                        'Документ': [
                            'g11', 'g12', 'g13'
                        ]
                    },
                    {
                        'ОКПО': [
                            'g14', 'g15'
                        ]
                    },
                    {
                        'Пункт хранения': [
                            'g16', 'g17'
                        ]
                    },
                    {
                        'Характеристика ЖРО': [
                            'g18', 'g19', 'g20', 'g21',
                            {
                                'суммарная активность, Бк': [
                                    'g22', 'g23', 'g24', 'g25'
                                ]
                            },
                            'factory', 'g26'
                        ],
                    },
                    ['g27', 'g28']
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'код',
                        'col_num': '2',
                        'width': '5em',
                        'type': '11_type'
                    },
                    {
                        'field': 'g3',
                        'caption': 'дата',
                        'col_num': '3',
                        'width': '7em',
                        'type': 'date'
                    },
                    {
                        'field': 'g4',
                        'caption': 'индивидуальный номер (идентификационный код) партии ЖРО',
                        'col_num': '4',
                        'width': '10em',
                        'type': 'str'
                    },
                    {
                        'field': 'g5',
                        'caption': 'номер паспорта',
                        'col_num': '5',
                        'width': '9em',
                        'type': 'str'
                    },
                    {
                        'field': 'g6',
                        'caption': 'объем, куб.м',
                        'col_num': '6',
                        'width': '10em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'g7',
                        'caption': 'масса, т',
                        'col_num': '7',
                        'width': '10em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'g8',
                        'caption': 'солесодержание г/л',
                        'col_num': '8',
                        'width': '10em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'g9',
                        'caption': 'наименование радионуклида',
                        'col_num': '9',
                        'type': 'radionuclide_voc_type'
                    },
                    {
                        'field': 'g10',
                        'caption': 'удельная активность, Бк/г',
                        'col_num': '10',
                        'type': 'exponential'
                    },
                    {
                        'field': 'g11',
                        'caption': 'вид',
                        'col_num': '11',
                        'width': '5em',
                        'type': '12_type'
                    },
                    {
                        'field': 'g12',
                        'caption': 'номер',
                        'col_num': '12',
                        'width': '10em',
                        'type': 'str'
                    },
                    {
                        'field': 'g13',
                        'caption': 'дата',
                        'col_num': '13',
                        'width': '7em',
                        'type': 'date'
                    },
                    {
                        'field': 'g14',
                        'caption': 'поставщика или получателя',
                        'col_num': '14',
                        'width': '9em',
                        'type': 'OKPO_type'
                    },
                    {
                        'field': 'g15',
                        'caption': 'перевозчика',
                        'col_num': '15',
                        'width': '9em',
                        'type': 'OKPO_type'
                    },
                    {
                        'field': 'g16',
                        'caption': 'наименование',
                        'type': '21_type',
                        'col_num': '16',
                        'width': '12em',
                        'map': {'g17': '7'}
                    },
                    {
                        'field': 'g17',
                        'caption': 'код',
                        'col_num': '17',
                        'width': '12em',
                	'type': 'CalcCodeStorage'
                    },
                    {
                        'field': 'g18',
                        'caption': 'код',
                        'col_num': '18',
                        'width': '8em',
                        'type': 'CalcCodeRao'
                    },
                    {
                        'field': 'g19',
                        'caption': 'статус',
                        'col_num': '19',
                        'width': '10em',
                        'type': '16_type'
                    },
                    {
                        'field': 'g20',
                        'caption': 'объем, куб. м',
                        'col_num': '20',
                        'width': '10em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'g21',
                        'caption': 'масса, т',
                        'col_num': '21',
                        'width': '10em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'g22',
                        'caption': 'тритий',
                        'col_num': '22',
                        'width': '10em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'g23',
                        'caption': 'бета-, гамма -излучающие радионуклиды (исключая тритий)',
                        'col_num': '23',
                        'width': '11em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'g24',
                        'caption': 'альфа-излучающие радионуклиды (исключая трансурановые)',
                        'col_num': '24',
                        'width': '11em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'g25',
                        'caption': 'трансурановые радионуклиды',
                        'col_num': '25',
                        'width': '10em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'factory',
                        'caption': 'Установка',
                        'help': 'Наименование установки переработки',
                        'col_num': '',
                        'width': '10em',
                        'type': '28_type',
                        'map': {'g26': '2'}
                    },
                    {
                        'field': 'g26',
                        'caption': 'Код переработки/ сортировки РАО',
                        'col_num': '26',
                        'width': '10em',
                        'type': '17_type'
                    },
                    {
                        'field': 'g27',
                        'caption': 'Субсидия, %',
                        'col_num': '27',
                        'width': '9em',
                        'type': 'grant'
                    },
                    {
                        'field': 'g28',
                        'caption': 'Номер мероприятия ФЦП',
                        'col_num': '28',
                        'width': '9em',
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 1.8',
                'object_type': 'f1-8_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
