def init():
    return {
        'module_type': 'report_form',
        'form_name': '1.9: Сведения о результатах инвентаризации радиоактивных веществ не в составе закрытых радионуклидных источников на основе радионуклидов с периодом полураспада до 60 (шестидесяти) суток, включая йод-125',
        'form_num': '1.9',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: Должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            }
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    {
                        'Операция': [
                            'g2', 'g3'
                        ]
                    },
                    {
                        'Документ': [
                            'g4', 'g5', 'g6'
                        ]
                    },
                    'g7',
                    {
                        'Сведения о радиоактивных веществах': [
                            'g8', 'g9'
                        ]
                    }
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'код',
                        'type': '11_type',
                        'width': '5em',
                        'help': 'в графе 2 указывается код операции'
                    },
                    {
                        'field': 'g3',
                        'caption': 'дата',
                        'type': 'date',
                        'width': '7em',
                        'help': 'в графе 3 указывается дата операции'
                    },
                    {
                        'field': 'g4',
                        'caption': 'вид',
                        'type': '12_type',
                        'width': '5em',
                        'help': 'в графе 4 указывается вид документа'
                    },
                    {
                        'field': 'g5',
                        'caption': 'номер',
                        'type': 'str',
                        'help': 'в графе 5 указывается номер документа'
                    },
                    {
                        'field': 'g6',
                        'caption': 'дата',
                        'type': 'date',
                        'width': '7em',
                        'help': 'в графе 6 указывается дата документа'
                    },
                    {
                        'field': 'g7',
                        'caption': 'Код типа объектов учета',
                        'type': '112_type',
                        'width': '9em',
                        'help': 'в графе 7 указыается код типа объектов учета'
                    },
                    {
                        'field': 'g8',
                        'caption': 'радионуклиды',
                        'type': 'radionuclide_voc_type',
                        'width': '12em',
                        'help': 'в графе 8 указываются радионуклиды'
                    },
                    {
                        'field': 'g9',
                        'caption': 'активность, Бк',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 9 указывается активность, Бк'
                    },
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 1.9 (версия 1)',
                'object_type': 'f1-9_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
