def init():
    return {
        'module_type': 'report_form',
        'form_name': '2.10: Территории, загрязненные радионуклидами',
        'form_num': '2.10',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    ['g2', 'g3', 'g4', 'g5', 'g6'],
                    {
                        'Мощность дозы гамма-излучения, мкЗв/час ': [
                            'g7', 'g8'
                        ]
                    },
                    {
                        'Плотность загрязнения (средняя), Бк/кв.м ': [
                            'g9', 'g10'
                        ]
                    },
                    ['g11']
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Наименование показателя',
                        'type': 'naim_pokaz_voc_type',
                        'width': '10em',
                        'help': 'Наименование показателя'
                    },
                    {
                        'field': 'g3',
                        'caption': 'Наименование участка',
                        'width': '10em',
                        'help': 'Наименование участка'
                    },
                    {
                        'field': 'g4',
                        'caption': 'Кадастровый номер участка',
                        'type': 'g4_type_210',
                        'width': '10em',
                        'help': 'Кадастровый номер участка'
                    },
                    {
                        'field': 'g5',
                        'caption': 'Код участка',
                        'type': 'CalcCodeTerritory',
                        'width': '8em',
                        'help': 'Код участка'
                    },
                    {
                        'field': 'g6',
                        'caption': 'Площадь загрязненной территории, кв.м',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Площадь загрязненной территории, м2'
                    },
                    {
                        'field': 'g7',
                        'caption': 'средняя',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Мощность дозы гамма-излучения средняя, мкЗв/час'
                    },
                    {
                        'field': 'g8',
                        'caption': 'максимальная',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Мощность дозы гамма-излучения максимальная, мкЗв/час'
                    },
                    {
                        'field': 'g9',
                        'caption': 'альфа-излучающие радионуклиды',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Плотность загрязнения (средняя) альфа-изл. нуклидами, Бк/м2'
                    },
                    {
                        'field': 'g10',
                        'caption': 'бета-излучающие радионуклиды',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Плотность загрязнения (средняя) бета-изл. нуклидами, Бк/м2'
                    },
                    {
                        'field': 'g11',
                        'width': '9em',
                        'caption': 'Номер мероприятия ФЦП'
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 2.10',
                'object_type': 'f2-10_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
