def init():
    return {
        'module_type': 'report_form',
        'form_name': '2.11: Радионуклидный состав загрязненных участков территорий',
        'form_num': '2.11',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: Должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'

            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            }
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    'g2', 'g3', 'g4', 'square', 'g5',
                    {
                        'Удельная активность, Бк/г': [
                            'g6',
                            {
                                'водный объект': [
                                    'g7', 'g8'
                                ]
                            }
                        ]
                    }
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Наименование участка',
                        'help': 'в графе 2 указывается наименование участка'
                    },
                    {
                        'field': 'g3',
                        'caption': 'Кадастровый номер участка',
                        'type': 'g4_type_210',
                        'help': 'в графе 3 указывается кадастровый номер участка'
                    },
                    {
                        'field': 'g4',
                        'caption': 'Код участка',
                        'type': 'CalcCodeTerritory',
                        'help': 'в графе 4 указывается код участка'
                    },
                    {
                        'field': 'square',
                        'caption': 'Площадь загрязненной территории, кв.м',
                        'type': 'float',
                        'help': 'в графе 5 указывается Площадь загрязненной территории, кв.м'
                    },
                    {
                        'field': 'g5',
                        'caption': 'Наименование радионуклида',
                        'type': 'radionuclide_voc_type',
                        'help': 'в графе 6 указывается наименование радионуклида'
                    },
                    {
                        'field': 'g6',
                        'caption': 'земельный участок',
                        'type': 'exponential',
                        'help': 'в графе 7 указыается удельная активность (земельный участок), Бк/г'
                    },
                    {
                        'field': 'g7',
                        'caption': 'жидкая фаза',
                        'type': 'exponential',
                        'help': 'в графе 8 указывается удельная активность (жидкая фаза), Бк/г'
                    },
                    {
                        'field': 'g8',
                        'caption': 'донные отлжения',
                        'type': 'exponential',
                        'help': 'в графе 9 указывается удельная активность (донные оложения), Бк/г'
                    },
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 2.11 (версия 1)',
                'object_type': 'f2-11_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
