def init():
    return {
        'module_type': 'report_form',
        'form_name': '2.12: Суммарные сведения о радиоактивных веществах не в составе закрытых радионуклидных источников на основе радионуклидов с периодом полураспада до 60 (шестидесяти) суток, включая йод-125',
        'form_num': '2.12',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    ['g2', 'g3'],
                    {
                        'Сведения о радионуклидных источниках': [
                            'g4', 'g5'
                        ]
                    },
                    ['g6']
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Код операции',
                        'type': '11_type',
                        'help': 'Код операции'
                    },
                    {
                        'field': 'g3',
                        'caption': 'Код типа объекта учета',
                        'type': '112_type'
                    },
                    {
                        'field': 'g4',
                        'caption': 'Радионуклиды',
                        'type': 'radionuclide_voc_type'
                    },
                    {
                        'field': 'g5',
                        'caption': 'активность, Бк',
                        'type': 'exponential'
                    },
                    {
                        'field': 'g6',
                        'caption': 'ОКПО поставщика/ получателя',
                        'type': 'OKPO_type'
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 2.12',
                'object_type': 'f2-12_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
