def init():
    return {
        'module_type': 'report_form',
        'form_name': '2.1: Сортировка, переработка и кондиционирование радиоактивных отходов на установках за отчетный год',
        'form_num': '2.1',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: Должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            }
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    {
                        'Установка переработки': [
                            'g2', 'g3', 'g19', 'g4'
                        ]
                    },
                    {
                        'Поступило РАО на переработку, кондиционирование': [
                            'g5', 'g6',
                            {
                                'количество': [
                                    'g7', 'g8', 'g9'
                                ]
                            },
                            {
                                'суммарная активность, Бк': [
                                    'g20', 'g21', 'g10', 'g11',
                                ]
                            }
                        ]
                    },
                    {
                        'Образовалось РАО после переработки, кондиционирования': [
                            'g12', 'g13',
                            {
                                'количество': [
                                    'g14', 'g15', 'g16'
                                ],
                            },
                            {
                                'суммарная активность, Бк': [
                                    'g22', 'g23',  'g17', 'g18'
                                ]
                            }
                        ]
                    }
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'наименование',
                        'type': '28_type',
                        'width': '12em',
                        'help': 'в графе 2 указывается наименование установки переработки',
                        'map': {
                            'g3': '2',
                            'g19': '3',
                        }
                    },
                    {
                        'field': 'g3',
                        'caption': 'код',
                        'type': 'auto',
                        'width': '5em',
                        'help': 'в графе 3 указывается код установки переработки'
                    },
                    {
                        'field': 'g19',
                        'caption': 'мощность, куб/год',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 4 указывается мощность установки переработки, куб/год'
                    },
                    {
                        'field': 'g4',
                        'caption': 'количество часов работы за год',
                        'type': 'str',
                        'width': '10em',
                        'help': 'в графе 5 указывается количество часов работы установки переработки за год'
                    },
                    {
                        'field': 'g5',
                        'caption': 'код РАО',
                        'type': 'CalcCodeRao',
                        'width': '8em',
                        'help': 'в графе 6 указывается код РАО'
                    },
                    {
                        'field': 'g6',
                        'caption': 'статус РАО',
                        'type': '16_type',
                        'width': '10em',
                        'help': 'в графе 7 указывается статус РАО'
                    },
                    {
                        'field': 'g7',
                        'caption': 'куб.м',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 8 указывается количество РАО в куб.м'
                    },
                    {
                        'field': 'g8',
                        'caption': 'т',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 9 указывается количество РАО в тоннах'
                    },
                    {
                        'field': 'g9',
                        'caption': 'ОЗИИИ, шт',
                        'type': 'str',
                        'width': '10em',
                        'help': 'в графе 10 указывается количество отработавших закрытых источников ионизирующего излучения'
                    },
                    {
                        'field': 'g20',
                        'caption': 'тритий',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 11 указывается суммарная активност трития, Бк',
                    },
                    {
                        'field': 'g21',
                        'caption': 'бета-, гамма- излучающие радионуклиды (исключая тритий)',
                        'type': 'exponential',
                        'width': '11em',
                        'help': 'в графе 12 указывается суммарная активность бета-, гамма- излучающих радионуклидов (исключая тритий), Бк'
                    },
                    {
                        'field': 'g10',
                        'caption': 'альфа-излучающие радионуклиды (исключая трансурановые)',
                        'type': 'exponential',
                        'width': '11em',
                        'help': 'в графе 13 указывается суммарная активность альфа-излучающих радионуклидов (исключая трансурановые), Бк'
                    },
                    {
                        'field': 'g11',
                        'caption': 'трансурановые радионуклиды',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 14 указывается суммарная активность трансурановых радионуклидов, Бк',
                    },
                    {
                        'field': 'g12',
                        'caption': 'код РАО',
                        'type': 'CalcCodeRao',
                        'width': '8em',
                        'help': 'в графе 15 указывается код РАО'
                    },
                    {
                        'field': 'g13',
                        'caption': 'статус РАО',
                        'type': '16_type',
                        'width': '7em',
                        'help': 'в графе 16 указывается статус РАО'
                    },
                    {
                        'field': 'g14',
                        'caption': 'куб.м',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 17 указывается количество РАО в куб.м'
                    },
                    {
                        'field': 'g15',
                        'caption': 'т',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 18 указывается количество РАО в тоннах'
                    },
                    {
                        'field': 'g16',
                        'caption': 'ОЗИИИ, шт',
                        'type': 'str',
                        'width': '10em',
                        'help': 'в графе 19 указывается количество отработавших закрытых источников ионизирующего излучения'
                    },
                    {
                        'field': 'g22',
                        'caption': 'тритий',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 20 указывается суммарная активност трития, Бк'
                    },
                    {
                        'field': 'g23',
                        'caption': 'бета-, гамма- излучающие радионуклиды (исключая тритий)',
                        'type': 'exponential',
                        'width': '11em',
                        'help': 'в графе 21 указывается суммарная активность бета-, гамма- излучающих радионуклидов (исключая тритий), Бк'
                    },
                    {
                        'field': 'g17',
                        'caption': 'альфа-излучающие радионуклиды (исключая трансурановые)',
                        'type': 'exponential',
                        'width': '11em',
                        'help': 'в графе 22 указывается суммарная активность альфа-излучающих радионуклидов (исключая трансурановые), Бк'
                    },
                    {
                        'field': 'g18',
                        'caption': 'трансурановые радионуклиды',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 23 указывается суммарная активность трансурановых радионуклидов, Бк'
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 2.1 (версия 1)',
                'object_type': 'f2-1_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
