def init():
    return {
        'module_type': 'report_form',
        'form_name': '2.2: Наличие радиоактивных отходов в пунктах хранения, местах сбора и/или временного хранения на конец отчетного года',
        'form_num': '2.2',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone',
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email',
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    {
                        'Пункт хранения': [
                            'g2', 'g3'
                        ]
                    },
                    {
                        'УКТ, упаковка или иная учетная еденица': [
                            'g11', 'g12', 'g13'
                        ]
                    },
                    ['g4', 'g5'],
                    {
                        'Объем, куб.м': [
                            'g6', 'g7'
                        ]
                    },
                    {
                        'Масса, т': [
                            'g8', 'g9'
                        ]
                    },
                    ['g10'],
                    {
                        'Сумарная активность, Бк': [
                            'g19', 'g15', 'g14', 'g20'
                        ]
                    },
                    'g16',
                    # {
                    #    'Основные радионуклиды': [
                    #        'g16', 'g17', 'g18'
                    #    ]
                    # },
                    ['g21', 'g22']
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'наименование',
                        'type': '21_type',
                        'width': '12em',
                        'help': 'Пункт хранения РАО. Наименование, №',
                        'map': {
                            'g3': '7',
                        }
                    },
                    {
                        'field': 'g3',
                        'caption': 'код',
                        'type': 'CalcCodeStorage',
                        'width': '7em',
                        'help': 'Код пункта хранения'
                    },
                    {
                        'field': 'g11',
                        'caption': 'наименование',
                        'width': '12em',
                        'type': '27_type',
                        'map': {
                            'g12': '2',
                        }
                        #
                    },
                    {
                        'field': 'g12',
                        'caption': 'тип',
                        'width': '12em',
                        'type': 'auto'
                    },
                    {
                        'field': 'g13',
                        'caption': 'количество, шт.',
                        'width': '10em',
                        'type': 'int'
                    },
                    {
                        'field': 'g4',
                        'caption': 'Код РАО',
                        'type': 'CalcCodeRao',
                        'width': '9em',
                        'help': 'Код РАО'
                    },
                    {
                        'field': 'g5',
                        'caption': 'Статус РАО',
                        'type': '16_type',
                        'width': '10em',
                        'help': 'Статус РАО'
                    },
                    {
                        'field': 'g6',
                        'caption': 'РАО без упаковки',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Объем РАО, м3'
                    },
                    {
                        'field': 'g7',
                        'caption': 'РАО с упаковкой',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Объем РАО с упаковкой, м3'
                    },
                    {
                        'field': 'g8',
                        'caption': 'РАО без упаковки (нетто)',
                        'type': 'exponential',
                        'help': 'Масса РАО нетто, т'
                    },
                    {
                        'field': 'g9',
                        'caption': 'РАО с упаковкой (брутто)',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Масса РАО с упаковкой, т'
                    },
                    {
                        'field': 'g10',
                        'caption': 'Количество ОЗИИИ, шт.',
                        'width': '10em',
                        'type': 'str',
                    },
                    {
                        'field': 'g19',
                        'caption': 'тритий',
                        'width': '10em',
                        'type': 'exponential',
                    },
                    {
                        'field': 'g15',
                        'caption': 'бета-, гамма- излучающие радионуклиды (исключая тритий)',
                        'type': 'exponential',
                        'width': '11em',
                        'help': 'Суммарная активность бета, гамма-излучающих нуклидов, Бк'
                    },
                    {
                        'field': 'g14',
                        'caption': 'альфа-излучающие радионуклиды (исключая трансурановые)',
                        'type': 'exponential',
                        'width': '11em',
                        'help': 'Суммарная активность альфа-излучающих нуклидов, Бк'
                    },
                    {
                        'field': 'g20',
                        'caption': 'трансурановые радионуклиды',
                        'type': 'exponential',
                        'width': '10em',
                    },
                    {
                        'field': 'g16',
                        #        'caption': 'с наибольшей активностью',
                        'caption': 'Основные радионуклиды',
                        'type': 'radionuclide_voc_type',
                        'width': '10em',
                    },
                    #    {
                    #        'field': 'g17',
                    #        'caption': 'определяющие категорию РАО',
                    #        'type': 'radionuclide_voc_type'
                    #    },
                    #    {
                    #        'field': 'g18',
                    #        'caption': 'определяющие период потенциальной опасности РАО',
                    #        'type': 'radionuclide_voc_type'
                    #    },
                    {
                        'field': 'g21',
                        'caption': 'Субсидия, %',
                        'type': 'grant',
                        'width': '9em',
                    },
                    {
                        'field': 'g22',
                        'caption': 'Номер мероприятия ФЦП',
                        'width': '9em',
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 2.2',
                'object_type': 'f2-2_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
