def init():
    return {
        'module_type': 'report_form',
        'form_name': '2.3: Разрешение на размещение радиоактивных отходов в пунктах хранения, местах сбора и/или временного хранения',
        'form_num': "2.3",
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: Должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            }
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    {
                        'Пункт хранения РАО': [
                            'g2', 'g3', 'g13'
                        ]
                    },
                    {
                        'Разрешено к размещению': [
                            'g4',
                            {
                                'количество РАО': [
                                    'g5', 'g6'
                                ]
                            },
                            'g7', 'g8'
                        ]
                    },
                    {
                        'Наименование и реквизиты документа на размещение РАО': [
                            'g9', 'g10', 'g11', 'g12'
                        ]
                    }
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'наименование',
                        'type': '21_type',
                        'width': '12em',
                        'help': 'в графе 2 указывается наименование пункта хранения РАО',
                        'map': {
                            'g3': '7',
                            'g13': '17',
                        }
                    },
                    {
                        'field': 'g3',
                        'caption': 'код',
                        'type': 'CalcCodeStorage',
                        'width': '7em',
                        'help': 'в графе 3 указывается код пункта хранения РАО'
                    },
                    {
                        'field': 'g13',
                        'caption': 'проектный объем, куб.м',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 4 указывается проектный объём пункта хранения РАО, куб.м'
                    },
                    {
                        'field': 'g4',
                        'caption': 'код РАО',
                        'type': 'CalcCodeRao',
                        'width': '7em',
                        'help': 'в графе 5 указывается код РАО'
                    },
                    {
                        'field': 'g5',
                        'caption': 'куб.м',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 6 указываетс объём РАО, куб.м'
                    },
                    {
                        'field': 'g6',
                        'caption': 'т',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 7 указывается масса РАО, т'
                    },
                    {
                        'field': 'g7',
                        'caption': 'количество ОЗИИИ, шт.',
                        'type': 'str',
                        'width': '10em',
                        'help': 'в графе 8 указывается количество отработавших закрытых источников ионизирующего излучения, шт'
                    },
                    {
                        'field': 'g8',
                        'caption': 'суммарная активность, Бк',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 9 указывается суммарная активность, Бк'
                    },
                    {
                        'field': 'g9',
                        'caption': 'номер',
                        'type': 'str',
                        'width': '10em',
                        'help': 'в графе 10 указывается номер документа на размещение РАО'
                    },
                    {
                        'field': 'g10',
                        'caption': 'дата',
                        'type': 'date',
                        'width': '7em',
                        'help': 'в графе 11 указывается дата документа на размещение РАО'
                    },
                    {
                        'field': 'g11',
                        'caption': 'срок действия',
                        'type': 'date',
                        'width': '7em',
                        'help': 'в графе 12 указывается срок действия документа на размещение РАО'
                    },
                    {
                        'field': 'g12',
                        'caption': 'наименование документа',
                        'type': 'str',
                        'width': '10em',
                        'help': 'в графе 13 указывается наименование документа на размещение РАО'
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 2.3 (версия 1)',
                'object_type': 'f2-3_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
