def init():
    return {
        'module_type': 'report_form',
        'form_name': '2.4: Постанвка на учет и снятие с учета радиоактивных веществ, содержащихся в отработавшем ядерном топливе, за отчетный год',
        'form_num': '2.4',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email',
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    ['g2', 'g17'],
                    {
                        'Поставлено на учет в организации': [
                            {
                                'Образовалось': [
                                    'g3', 'g4'
                                ],
                            },
                            {
                                'поступило от сторонних организаций': [
                                    {
                                        'всего': [
                                            'g5', 'g6'
                                        ],
                                    },
                                    {
                                        'в том числе по импорту': [
                                            'g7', 'g8'
                                        ]
                                    }
                                ],
                            },
                            {
                                'поставлено на учет по другим причинам': [
                                    'g9', 'g10'
                                ]
                            }
                        ]
                    },
                    {
                        'Снято с учета в организации': [
                            {
                                'передано сторонним организациям': [
                                    'g11', 'g12'
                                ],
                            },
                            {
                                'переработано': [
                                    'g13', 'g14'
                                ],
                            },
                            {
                                'снято с учета по другим причинам': [
                                    'g15', 'g16'
                                ]
                            }
                        ]
                    }
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Код ОЯТ',
                        'type': 'CalcCodeOyat',
                        'width': '6em',
                        'help': 'Код ОЯТ'
                    },
                    {
                        'field': 'g17',
                        'width': '12em',
                        'caption': 'Номер мероприятия ФЦП '
                    },
                    {
                        'field': 'g3',
                        'caption': 'масса, т',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Поставлено на учет в организации. Oбразовалось. Масса, т'
                    },
                    {
                        'field': 'g4',
                        'caption': 'количество, шт.',
                        'type': 'int',
                        'width': '10em',
                        'help': 'Поставлено на учет в организации. Oбразовалось, шт.'
                    },
                    {
                        'field': 'g5',
                        'caption': 'масса, т',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Поставлено на учет за год. Поступило всего. Масса, т'
                    },
                    {
                        'field': 'g6',
                        'caption': 'количество, шт.',
                        'type': 'int',
                        'width': '10em',
                        'help': 'Поставлено на учет за год. Поступило всего, шт.'
                    },
                    {
                        'field': 'g7',
                        'caption': 'масса, т',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Поставлено на учет за год. Поступило в т.ч. по импорту. Масса, т'
                    },
                    {
                        'field': 'g8',
                        'caption': 'количество, шт.',
                        'type': 'int',
                        'width': '10em',
                        'help': 'Поставлено на учет за год. Поступило в т.ч. по импорту, шт.'
                    },
                    {
                        'field': 'g9',
                        'caption': 'масса, т',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Поставлено на учет за год. Поставлено на учет по другим причинам. Масса, т'
                    },
                    {
                        'field': 'g10',
                        'caption': 'количество, шт.',
                        'type': 'int',
                        'width': '10em',
                        'help': 'Поставлено на учет за год. ПНУ по другим причинам, шт.'
                    },
                    {
                        'field': 'g11',
                        'caption': 'масса, т',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Снято с учета за отчетный год. Передано сторонним организациям. Масса, т'
                    },
                    {
                        'field': 'g12',
                        'caption': 'количество, шт.',
                        'type': 'int',
                        'width': '10em',
                        'help': 'Снято с учета за год. Передано сторонним организациям, шт'
                    },
                    {
                        'field': 'g13',
                        'caption': 'масса, т',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Снято с учета за год. Переработано. Масса, т'
                    },
                    {
                        'field': 'g14',
                        'caption': 'количество, шт.',
                        'type': 'int',
                        'width': '10em',
                        'help': 'Снято с учета за год. Переработано, шт'
                    },
                    {
                        'field': 'g15',
                        'caption': 'масса, т',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'Снято с учета за год. Снято с учета по другим причинам. Масса, т'
                    },
                    {
                        'field': 'g16',
                        'caption': 'количество, шт.',
                        'type': 'int',
                        'width': '10em',
                        'help': 'Снято с учета за год. Снято с учета по другим причинам, шт.'
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 2.4',
                'object_type': 'f2-4_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
