def init():
    return {
        'module_type': 'report_form',
        'form_name': '2.5: Наличие радиоактивных веществ, содержащихся в отработавшем ядерном топливе, в пунктах хранения на конец отчетного года',
        'form_num': "2.5",
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: Должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            }
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    {
                        'Пункт хранения ОЯТ': [
                            'g2', 'g3'
                        ]
                    },
                    {
                        'Наличие на конец отчетного года': [
                            'g4', 'g10',
                            {
                                'масса ОЯТ, т': [
                                    'g5', 'g6'
                                ]
                            },
                            'g7',
                            {
                                'суммарная активность, Бк': [
                                    'g8', 'g9'
                                ]
                            }
                        ]
                    }
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'наименование, номер',
                        'type': '21_type',
                        'width': '12em',
                        'help': 'в графе 2 указывается наименование и номер пункта хранения ОЯТ',
                        'map': {
                            'g3': '7',
                        }
                    },
                    {
                        'field': 'g3',
                        'caption': 'код',
                        'type': 'auto',
                        'width': '6em',
                        'help': 'в графе 3 указывается код пункта хранения ОЯТ'
                    },
                    {
                        'field': 'g4',
                        'caption': 'код ОЯТ',
                        'type': 'CalcCodeOyat',
                        'width': '6em',
                        'help': 'в графе 4 указывается код ОЯТ'
                    },
                    {
                        'field': 'g10',
                        'caption': 'номер мероприяти ФЦП',
                        'width': '12em',
                        'help': 'в графе 5 указывается номер мероприятия ФЦП'
                    },
                    {
                        'field': 'g5',
                        'caption': 'топлива (нетто)',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 6 указывается масса ОЯТ (топлива нетто), т.'
                    },
                    {
                        'field': 'g6',
                        'caption': 'ОТВС (ТВЭЛ, выемной части реактора) брутто',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 7 указывается масса ОЯТ (ОТВС) брутто, т'
                    },
                    {
                        'field': 'g7',
                        'caption': 'количество, шт.',
                        'type': 'int',
                        'width': '10em',
                        'help': 'в графе 8 указывается количество, шт.'
                    },
                    {
                        'field': 'g8',
                        'caption': 'альфа-излучающих нуклидов',
                        'type': 'exponential',
                        'width': '10em',
                        'help': 'в графе 9 указывается суммарная активность альфа-излучающих нуклидов, Бк'
                    },
                    {
                        'field': 'g9',
                        'caption': 'бета-, гамма-излучающих нуклидов',
                        'type': 'exponential',
                        'width': '11em',
                        'help': 'в графе 10 указывается суммарная активность бета-, гамма-излучающих нуклидов, Бк'
                    },
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 2.5 (версия 1)',
                'object_type': 'f2-5_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
