def init():
    return {
        'module_type': 'report_form',
        'form_name': '2.6: Контроль загрязнения подземных вод радиоактивными веществами',
        'form_num': '2.6',
        'form_main_attrs': [
            {
                'field': 'quantity',
                'caption': 'Количество наблюдательных скважин, принадлежащих организации (шт.)',
                'type': 'int'
            },
            {
                'field': 'position',
                'caption': 'Исполнитель: должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: фамилия, имя, отчество (при наличии)'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    ['num_s', 'zone', 'ist', 'rust', 'gl', 'nuk', 'radio']
                ],
                'model': [
                    {
                        'field': 'num_s',
                        'caption': 'Номер наблюдательной скважины (условное обозначение)',
                        'type': 'str',
                        'help': 'В графе 2 указывается номер (условное обозначение) наблюдательной скважины'  # текст подсказка. смотреть в приложении 1. для данной формы пункт 44.
                    },
                    {
                        'field': 'zone',
                        'caption': 'Наименование зоны контроля',
                        'type': '113_type',
                        'help': 'В графе 3 указывается наименование зоны контроля, для чего выбирается из справочника одно из следующих обозначений: «ПП» (промплощадка), «СЗЗ» (санитарно-защитная зона) или «ЗН» (зона наблюдения)'
                    },
                    {
                        'field': 'ist',
                        'caption': 'Предполагаемый источник поступления радиоактивных веществ, наименование, номер (условное обозначение)',
                        'help': 'В графе 4 указывается наименование наиболее вероятного источника поступления радионуклидов в подземные воды. Если предполагается, что таким источником является пункт хранения твердых или жидких РАО, участок загрязненной территории, то в графе следует указывать наименование источника поступления радионуклидов в подземные воды в соответствии с ранее представленной отчетностью в СГУК РВ и РАО'
                    },
                    {
                        'field': 'rust',
                        'caption': 'Расстояние от источника поступления радиоактивных веществ до наблюдательной скважины, м',
                        'type': 'str',
                        'help': 'В графе 5 указывается наименьшее расстояние от наиболее вероятного источника поступления радионуклидов в подземные воды до наблюдательной скважины'
                    },
                    {
                        'field': 'gl',
                        'caption': 'Глубина отбора проб, м',
                        'type': 'str',
                        'help': 'В графе 6 указывается глубина отбора проб из наблюдательной скважины (глубина залегания водоносного горизонта, из которого отбираются пробы). В примечании к ячейке при необходимости указывается глубина отбора пробы в интервале фильтра при использовании пробоотборника в метрах'
                    },
                    {
                        'field': 'nuk',
                        'caption': 'Наименование радионуклида',
                        'type': 'radionuclide_voc_type',
                        'help': 'В графе 7 указываются наименования всех радионуклидов, контролируемых в скважине'
                    },
                    {
                        'field': 'radio',
                        'caption': 'Среднегодовое содержание радионуклида, Бк/кг',
                        'type': 'exponential',
                        'help': 'В графе 8 для каждого из перечисленных в графе 7 радионуклидов указываются данные по среднегодовому содержанию радионуклида в подземных водах'
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 2.6 (версия 1)',
                'object_type': 'f2-6_2021_exp',
                'output_ext': ['docx','xlsx','pdf']
            }
        ]
    }
