def init():
    return {
        'module_type': 'report_form',
        'form_name': '2.7: Поступление радионуклидов в атмосферный воздух',
        'form_num': "2.7",
        'form_main_attrs': [
            {
                'field': 'g7',
                'caption': 'Разрешение на допустимые выбросы радионуклидов в атмосферу №'
            },
            {
                'field': 'g8',
                'caption': 'от',
                'type': 'date',
            },
            {
                'field': 'per_from',
                'caption': 'Срок действия с',
                'type': 'date'
            },
            {
                'field': 'per_to',
                'caption': 'до',
                'type': 'date'
            },
            {
                'field': 'g9',
                "caption": 'Наименование разрешительного документа на допустимые выбросы радионуклидов в атмосферу'
            },
            {
                'field': 'position',
                'caption': 'Исполнитель: Должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            }
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    'g2', 'g3',
                    {
                        'Выброс радионуклида в атмосферу за отчетный год, Бк': [
                            'g4', 'g5'
                        ]
                    },
                    {
                        'Выброс радионуклида в атмосферу за предыдущий год, Бк': [
                            'g6'
                        ]
                    }
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Наименование, номер источника выбросов',
                        'help': 'в графе 2 указывается наименование и номер источника выбросов'
                    },
                    {
                        'field': 'g3',
                        'caption': 'Наименование радионуклида',
                        'type': 'radionuclide_voc_type',
                        'help': 'в графе 3 указывается наименование радионуклида'
                    },
                    {
                        'field': 'g4',
                        'caption': 'разрешенный',
                        'type': 'exponential',
                        'help': 'в графе 4 указывается разрешенный выброс радионуклида в атмосферу за отчетный год, Бк'
                    },
                    {
                        'field': 'g5',
                        'caption': 'фактический',
                        'type': 'exponential',
                        'help': 'в графе 5 указывается фактический выброс радионуклида в атмосферу за отчетный год, Бк'
                    },
                    {
                        'field': 'g6',
                        'caption': 'фактический',
                        'type': 'exponential',
                        'help': 'в графе 6 указывается фактический выброс радионуклида в атмосферу за предыдущий год, Бк'
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 2.7 (версия 1)',
                'object_type': 'f2-7_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
