def init():
    return {
        'module_type': 'report_form',
        'form_name': '2.8: Отведение сточных вод, содержащих радионуклиды',
        'form_num': '2.8',
        'form_main_attrs': [
            {
                'field': 'g11',
                'caption': '№ разрешения на сброс радионуклидов отходов в водные объекты',
                'type': 'str'
            },
            {
                'field': 'g12',
                'caption': 'Дата выдачи разрешения',
                'type': 'date'
            },
            {
                'field': 'per1',
                'caption': 'Срок действия разрешения на сброс радионуклидов отходов в водные объекты: с',
                'type': 'date'
            },
            {
                'field': 'to1',
                'caption': 'Срок действия разрешения на сброс радионуклидов отходов в водные объекты: по',
                'type': 'date'
            },
            {
                'field': 'g13',
                'caption': 'Наименование разрешительного документа на сброс радионуклидов отходов в водные объекты, орган выдавший разрешение на сброс радионуклидов отходов в водные объекты'
            },
            {
                'field': 'g21',
                'caption': '№ разрешения на сброс радионуклидов на рельеф местности',
                'type': 'str'
            },
            {
                'field': 'g22',
                'caption': 'Дата выдачи разрешения',
                'type': 'date',
            },
            {
                'field': 'g23',
                'caption': 'Наименование разрешительного документа на сброс радионуклидов на рельеф местности и орган выдавший разрешения на сброс радионуклидов на рельеф местности'
            },
            {
                'field': 'per2',
                'caption': 'Срок действия разрешения на сброс радионуклидов на рельеф местности: с',
                'type': 'date'
            },
            {
                'field': 'to2',
                'caption': 'Срок действия разрешения на сброс радионуклидов на рельеф местности: по',
                'type': 'date'
            },
            {
                'field': 'g31',
                'caption': 'Номер договора на передачу сточных вод в сети канализации'
            },
            {
                'field': 'per3',
                'caption': 'Срок действия договора на передачу сточных вод в сети канализации: с',
                'type': 'date'
            },
            {
                'field': 'to3',
                'caption': 'Срок действия договора на передачу сточных вод в сети канализации: по',
                'type': 'date'
            },
            {
                'field': 'g32',
                'caption': 'Дата договора',
                'type': 'date',
            },
            {
                'field': 'g33',
                'caption': 'Организация, осуществляющая прием сточных вод'
            },
            {
                'field': 'position',
                'caption': 'Исполнитель: должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            }
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    ['g2'],
                    {
                        'Приемник отведенных вод': [
                            'g3', 'g4', 'g5'
                        ]
                    },
                    ['g6', 'g7']
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Наименование, номер выпуска сточных вод',
                        'help': '№, наименование выпуска сточных вод'
                    },
                    {
                        'field': 'g3',
                        'caption': 'наименование',
                        'type': 'str',
                        'help': 'Наименование приемника сточных вод'
                    },
                    {
                        'field': 'g4',
                        'caption': 'код типа приемника',
                        'type': 'CalcCodeWasteWaterReceiver',
                        'help': 'Код типа приемника'
                    },
                    {
                        'field': 'g5',
                        'caption': 'наименование бассейнового округа',
                        'type': '110_type',
                        'help': 'код водного объекта (приемника вод)'
                    },
                    {
                        'field': 'g6',
                        'caption': 'Допустимый объем водоотведения за год, тыс. куб.м',
                        'type': 'exponential',
                        'help': 'Допустимый объем водоотведения за год, тыс.м3'
                    },
                    {
                        'field': 'g7',
                        'caption': 'Отведено за отчетный год, тыс. куб.м',
                        'type': 'exponential',
                        'help': 'Отведено вод, содержащих радионуклиды, тыс.м3'
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 2.8',
                'object_type': 'f2-8_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
