def init():
    return {
        'module_type': 'report_form',
        'form_name': '2.9: Активность радионуклидов, отведенных со сточными водами',
        'form_num': '2.9',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: Должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            }
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    'g2', 'g3',
                    {
                        'Активность радионуклида, Бк': [
                            'g4', 'g5'
                        ]
                    }
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Наименование, номер выпуска сточных вод',
                        'help': 'в графе 2 указывается наименование, номер выпуска сточных вод'
                    },
                    {
                        'field': 'g3',
                        'caption': 'Наименование радионуклида',
                        'type': 'radionuclide_voc_type',
                        'help': 'в графе 3 указывается наименование радионуклида'
                    },
                    {
                        'field': 'g4',
                        'caption': 'допустимая',
                        'type': 'exponential',
                        'help': 'в графе 4 указывается допустимая активность радионуклида, Бк'
                    },
                    {
                        'field': 'g5',
                        'caption': 'фактический',
                        'type': 'exponential',
                        'help': 'в графе 5 указывается фактическая активность радионуклида, Бк'
                    },
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 2.9 (версия 1)',
                'object_type': 'f2-9_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
