def init():
    return {
        'module_type': 'report_form',
        'form_num': '3.1.i',
        'form_name': 'Предварительное уведомление по 3.1',
        'form_main_attrs': [
            # {
            #     'field': 'uniq_numb',
            #     'caption': 'Уникальный идентификационный номер запроса на согласие'
            # },
        ],
        'tables': {
            'main_table': {
                'convert_to_main_attrs': True,
                'tab_name': 'Пункт связи импортёра',
                'headers': [
                    'con_name', 'con_country', 'con_address', 'con_boss_position', 'con_boss_name', 'con_phone', 'con_post'
                ],
                'model': [
                    {
                        'field': 'con_name',
                        'caption': 'Наименование пункта связи',
                        'type': 'con_points_type',
                        'map':	{
                            'con_country': 'con_country',
                            'con_address': 'con_address',
                            'con_boss_position': 'con_boss_position',
                            'con_boss_name': 'con_boss_name',
                            'con_phone': 'con_phone',
                            'con_post': 'con_post'
                        },
                    },
                    {
                        'field': 'con_country',
                        'caption': 'Страна',
                        # 'type': 'str'
                        'type': '119_dop_type',
                    },
                    {
                        'field': 'con_address',
                        'caption': 'Адрес пункта связи',
                        'type': 'str'
                    },
                    {
                        'field': 'con_boss_position',
                        'caption': 'Должность контактного лица',
                        'type': 'str'
                    },
                    {
                        'field': 'con_boss_name',
                        'caption': 'Имя контактного лица',
                        'type': 'str'
                    },
                    {
                        'field': 'con_phone',
                        'caption': 'Телефон',
                        'type': 'str'
                    },
                    {
                        'field': 'con_post',
                        'caption': 'Почта',
                        'type': 'str'
                    },
                ]
            },
            'second_table': {
                'convert_to_main_attrs': True,
                'tab_name': 'Пункт связи экспортёра',
                'headers': [
                    'con_name_exp', 'con_boss_name_exp', 'con_phone_exp', 'con_post_exp',
                ],
                'model': [
                    {
                        'field': 'con_name_exp',
                        'caption': 'Наименование пункта связи',
                        'type': 'con_points_type',
                        'map':	{
                            'con_boss_name_exp': 'con_boss_name',
                            'con_phone_exp': 'con_phone',
                            'con_post_exp': 'con_post',
                        },
                    },
                    {
                        'field': 'con_boss_name_exp',
                        'caption': 'ФИО руководителя',
                        'type': 'str'
                    },
                    {
                        'field': 'con_phone_exp',
                        'caption': 'Телефон',
                        'type': 'str'
                    },
                    {
                        'field': 'con_post_exp',
                        'caption': 'Почта',
                        'type': 'str'
                    },
                ]
            },
            'third_table': {
                'convert_to_main_attrs': True,
                'tab_name': 'Сведения о поставщике и получателе',
                'headers': [
                    'g2', 'g5', 'g6', 'g4', 'q7', 'q8', 'q10', 'q11', 'q12', 'q13', 'q14', 'q15', 'q16', 'q17',
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Наименование получателя',
                        'type': 'str'
                    },
                    {
                        'field': 'g5',
                        'caption': '№ лицензий:',
                        'type': 'str'
                    },
                    {
                        'field': 'g6',
                        'caption': 'Срок действия лицензии:',
                        'type': 'date'
                    },
                    {
                        'field': 'g4',
                        'caption': 'Место нахождения получателя с указанием юридического адреса или адреса, по которому осуществляется деятельность, контактные данные получателя',
                        'type': 'str'
                    },
                    {
                        'field': 'q7',
                        'caption': 'Предлагаемые сроки для принятия решения по запросу',
                        'type': 'date'
                    },
                    {
                        'field': 'q8',
                        'caption': 'Наименование и контактные данные конечного пользователя, область применения',
                        'height': '300'
                    },
                    {
                        'field': 'q10',
                        'caption': 'Адрес осуществления деятельности',
                        'height': '300'
                    },
                    {
                        'field': 'q11',
                        'caption': 'Тел., Факс конечного пользователя',
                        'height': '300'
                    },
                    {
                        'field': 'q12',
                        'caption': 'Почта конечного пользователя',
                        'height': '300'
                    },
                    {
                        'field': 'q13',
                        'caption': 'Область применения ЗРИ',
                        'type': '211_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': 'q14',
                        'caption': 'Сведения о контракте на поставку источников/возврат источников, изъятых из употребления: №',
                        'type': 'str'
                    },
                    {
                        'field': 'q15',
                        'caption': 'Сведения о контракте на поставку источников/возврат источников, изъятых из употребления: дата',
                        'type': 'date'
                    },
                    {
                        'field': 'q16',
                        'caption': 'Страна изготовитель источников',
                        'type': '119_type_value_id_2'
                    },
                    {
                        'field': 'q17',
                        'caption': 'Наименование экспортирующего субъекта',
                    },
                ]
            },
            'fourth_table': {
                'convert_to_main_attrs': True,
                'tab_name': 'Сведения о ЗРИ',
                'headers': [
                    'g17', 'g18', 'min_activ', 'g19',
                ],
                'model': [
                    {
                        'field': 'g17',
                        'caption': 'Изотоп',
                        'type': 'radionuclide_voc_type',
                        'voc_filter': """["or",
                                       ["=", "attrs.Name_RN", "америций-241"],
                                       ["=", "attrs.Name_RN", "калифорний-252"],
                                       ["=", "attrs.Name_RN", "кюрий-244"],
                                       ["=", "attrs.Name_RN", "кобальт-60"],
                                       ["=", "attrs.Name_RN", "цезий-137"],
                                       ["=", "attrs.Name_RN", "гадолиний-153"],
                                       ["=", "attrs.Name_RN", "иридий-192"],
                                       ["=", "attrs.Name_RN", "прометий-147"],
                                       ["=", "attrs.Name_RN", "плутоний-238"],
                                       ["=", "attrs.Name_RN", "плутоний-239"],
                                       ["=", "attrs.Name_RN", "радий-226"],
                                       ["=", "attrs.Name_RN", "селен-75"],
                                       ["=", "attrs.Name_RN", "стронций-90"],
                                       ["=", "attrs.Name_RN", "иттрий-90"],
                                       ["=", "attrs.Name_RN", "тулий-170"],
                                       ["=", "attrs.Name_RN", "иттербий-169"],
                                       ["=", "attrs.Name_RN", "золото-198"],
                                       ["=", "attrs.Name_RN", "кобальт-57"],
                                       ["=", "attrs.Name_RN", "железо-55"],
                                       ["=", "attrs.Name_RN", "германий-68"],
                                       ["=", "attrs.Name_RN", "никель-63"],
                                       ["=", "attrs.Name_RN", "палладий-103"],
                                       ["=", "attrs.Name_RN", "полоний-210"],
                                       ["=", "attrs.Name_RN", "рутений-106"],
                                       ["=", "attrs.Name_RN", "родий-106"],
                                       ["=", "attrs.Name_RN", "таллий-204"]
                                       ]"""
                    },
                    {
                        'field': 'g18',
                        'caption': 'Кол-во источников',
                        'type': 'int'
                    },
                    {
                        'field': 'min_activ',
                        'caption': 'Минимальная номинальная активность на 1 источник, Бк',
                        'type': 'exponential'
                    },
                    {
                        'field': 'g19',
                        'caption': 'Общая номинальная активность источников, Бк',
                        'type': 'exponential'
                    },
                ]
            },
        },
        'export': [
            {
                'form_name': 'Предварительное уведомление по 3.1',
                'object_type': 'f3-1_inform',
                'output_ext': ['docx']
            }

        ]
    }
