def init():
    return {
        'module_type': 'report_form',
        'form_num': '3.2.i',
        'form_name': 'Предварительное уведомление по 3.2',
        'form_main_attrs': [],
        'tables': {
            'main_table': {
                'convert_to_main_attrs': True,
                'tab_name': 'Пункт связи импортёра',
                'headers': [
                    'con_name', 'con_country', 'con_address', 'con_boss_position', 'con_boss_name', 'con_phone', 'con_post'
                ],
                'model': [
                    {
                        'field': 'con_name',
                        'caption': 'Наименование пункта связи',
                        'type': 'con_points_type',
                        'map':	{
                            'con_country': 'con_country',
                            'con_address': 'con_address',
                            'con_boss_position': 'con_boss_position',
                            'con_boss_name': 'con_boss_name',
                            'con_phone': 'con_phone',
                            'con_post': 'con_post'
                        },
                    },
                    {
                        'field': 'con_country',
                        'caption': 'Страна',
                        'type': 'str'
                    },
                    {
                        'field': 'con_address',
                        'caption': 'Адрес пункта связи',
                        'type': 'str'
                    },
                    {
                        'field': 'con_boss_position',
                        'caption': 'Должность контактного лица',
                        'type': 'str'
                    },
                    {
                        'field': 'con_boss_name',
                        'caption': 'Имя контактного лица',
                        'type': 'str'
                    },
                    {
                        'field': 'con_phone',
                        'caption': 'Телефон',
                        'type': 'str'
                    },
                    {
                        'field': 'con_post',
                        'caption': 'Почта',
                        'type': 'str'
                    },
                ]
            },
            'second_table': {
                'convert_to_main_attrs': True,
                'tab_name': 'Пункт связи экспортёра',
                'headers': [
                    'con_name_exp', 'con_boss_name_exp', 'con_phone_exp', 'con_post_exp',
                ],
                'model': [
                    {
                        'field': 'con_name_exp',
                        'caption': 'Наименование пункта связи',
                        'type': 'con_points_type',
                        'map':	{
                            'con_boss_name_exp': 'con_boss_name',
                            'con_phone_exp': 'con_phone',
                            'con_post_exp': 'con_post',
                        },
                    },
                    {
                        'field': 'con_boss_name_exp',
                        'caption': 'ФИО руководителя',
                        'type': 'str'
                    },
                    {
                        'field': 'con_phone_exp',
                        'caption': 'Телефон',
                        'type': 'str'
                    },
                    {
                        'field': 'con_post_exp',
                        'caption': 'Почта',
                        'type': 'str'
                    },
                ]
            },
            'third_table': {
                'convert_to_main_attrs': True,
                'tab_name': 'Сведения о поставщике и получателе',
                'headers': [
                    'q2', 'export_sub', 'q3', 'q10', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9', 'q11', 'q12', 'q13'
                ],
                'model': [
                    {
                        'field': 'q2',
                        'caption': 'Самая ранняя дата поставки',
                        'type': 'date'
                    },
                    {
                        'field': 'export_sub',
                        'caption': 'Наименование экспортирующего субъекта',
                        'type': 'str'
                    },
                    {
                        'field': 'q3',
                        'caption': 'Наименование получателя, которому осуществляется поставка',
                        'type': 'str'
                    },
                    {
                        'field': 'q10',
                        'caption': 'Адрес, по которому осуществляется поставка',
                        'type': 'str'
                    },
                    {
                        'field': 'q4',
                        'caption': 'Вид деятельности получателя (РВ):',
                        'type': 'type_of_activity_type'
                    },
                    {
                        'field': 'q5',
                        'caption': 'Вид деятельности получателя (РАО):',
                        'type': 'type_of_activity_type'
                    },
                    {
                        'field': 'q6',
                        'caption': 'Лицензия получателя на вид деятельности (РВ)',
                        'type': 'str'
                    },
                    {
                        'field': 'q7',
                        'caption': 'Лицензия получателя на вид деятельности (РАО)',
                        'type': 'str'
                    },
                    {
                        'field': 'q8',
                        'caption': 'Срок действия лицензии (РВ)',
                        'type': 'date'
                    },
                    {
                        'field': 'q9',
                        'caption': 'Срок действия лицензии (РАО)',
                        'type': 'date'
                    },
                    {
                        'field': 'q11',
                        'caption': 'Радионуклидный состав',
                        'type': 'radionuclide_voc_type',
                        'voc_filter': """["or",
                            ["=", "attrs.Name_RN", "америций-241"],
                            ["=", "attrs.Name_RN", "калифорний-252"],
                            ["=", "attrs.Name_RN", "кюрий-244"],
                            ["=", "attrs.Name_RN", "кобальт-60"],
                            ["=", "attrs.Name_RN", "цезий-137"],
                            ["=", "attrs.Name_RN", "гадолиний-153"],
                            ["=", "attrs.Name_RN", "иридий-192"],
                            ["=", "attrs.Name_RN", "прометий-147"],
                            ["=", "attrs.Name_RN", "плутоний-238"],
                            ["=", "attrs.Name_RN", "плутоний-239"],
                            ["=", "attrs.Name_RN", "радий-226"],
                            ["=", "attrs.Name_RN", "селен-75"],
                            ["=", "attrs.Name_RN", "стронций-90"],
                            ["=", "attrs.Name_RN", "иттрий-90"],
                            ["=", "attrs.Name_RN", "тулий-170"],
                            ["=", "attrs.Name_RN", "иттербий-169"],
                            ["=", "attrs.Name_RN", "золото-198"],
                            ["=", "attrs.Name_RN", "кобальт-57"],
                            ["=", "attrs.Name_RN", "железо-55"],
                            ["=", "attrs.Name_RN", "германий-68"],
                            ["=", "attrs.Name_RN", "никель-63"],
                            ["=", "attrs.Name_RN", "палладий-103"],
                            ["=", "attrs.Name_RN", "полоний-210"],
                            ["=", "attrs.Name_RN", "рутений-106"],
                            ["=", "attrs.Name_RN", "родий-106"],
                            ["=", "attrs.Name_RN", "таллий-204"]
                        ]"""
                    },
                    {
                        'field': 'q12',
                        'caption': 'Суммарная активность',
                        'type': 'exponential'
                    },
                    {
                        'field': 'q13',
                        'caption': 'Общее количество радиоактивных источников и доступные для контроля однозначные идентификаторы (упаковки/контейнера)',
                        'type': 'int'
                    },
                    
                ]
            },
            'fourth_table': {
                'tab_name': 'Сведения о ЗРИ',
                'headers': [
                    'q13', 'q14', 'q15', 'q16', 'q17', 'q18', 'q19', 'q20', 'q21', 'q22', 'q23'
                ],
                'model': [
                    {
                        'field': 'q13',
                        'caption': 'Номер паспорта (сертификата)',
                        'type': 'str'
                    },
                    {
                        'field': 'q14',
                        'caption': 'Тип (модель, тип капсулы)',
                        'type': '23_type'
                    },
                    {
                        'field': 'q15',
                        'caption': 'Заводской номер',
                        'type': 'str'
                    },
                    {
                        'field': 'q16',
                        'caption': 'Радионуклидный состав',
                        'type': 'radionuclide_voc_type',
                        'voc_filter': """["or",
                            ["=", "attrs.Name_RN", "америций-241"],
                            ["=", "attrs.Name_RN", "калифорний-252"],
                            ["=", "attrs.Name_RN", "кюрий-244"],
                            ["=", "attrs.Name_RN", "кобальт-60"],
                            ["=", "attrs.Name_RN", "цезий-137"],
                            ["=", "attrs.Name_RN", "гадолиний-153"],
                            ["=", "attrs.Name_RN", "иридий-192"],
                            ["=", "attrs.Name_RN", "прометий-147"],
                            ["=", "attrs.Name_RN", "плутоний-238"],
                            ["=", "attrs.Name_RN", "плутоний-239"],
                            ["=", "attrs.Name_RN", "радий-226"],
                            ["=", "attrs.Name_RN", "селен-75"],
                            ["=", "attrs.Name_RN", "стронций-90"],
                            ["=", "attrs.Name_RN", "иттрий-90"],
                            ["=", "attrs.Name_RN", "тулий-170"],
                            ["=", "attrs.Name_RN", "иттербий-169"],
                            ["=", "attrs.Name_RN", "золото-198"],
                            ["=", "attrs.Name_RN", "кобальт-57"],
                            ["=", "attrs.Name_RN", "железо-55"],
                            ["=", "attrs.Name_RN", "германий-68"],
                            ["=", "attrs.Name_RN", "никель-63"],
                            ["=", "attrs.Name_RN", "палладий-103"],
                            ["=", "attrs.Name_RN", "полоний-210"],
                            ["=", "attrs.Name_RN", "рутений-106"],
                            ["=", "attrs.Name_RN", "родий-106"],
                            ["=", "attrs.Name_RN", "таллий-204"]
                        ]"""
                    },
                    {
                        'field': 'q17',
                        'caption': 'Дата выпуска',
                        'type': 'date'
                    },
                    {
                        'field': 'q18',
                        'caption': 'Активность на дату выпуска, Бк',
                        'type': 'exponential'
                    },
                    {
                        'field': 'q19',
                        'caption': 'Содержание ядерных материалов, г',
                        'type': 'float'
                    },
                    {
                        'field': 'q20',
                        'caption': 'Категория',
                        'type': 'CalcCategoryZri'
                    },
                    {
                        'field': 'q21',
                        'caption': 'Наименование, адрес изготовителя',
                        'type': 'str'
                    },
                    {
                        'field': 'q22',
                        'caption': 'Номер сертификата-разрешения на РВ особого вида',
                        'type': 'str'
                    },
                    {
                        'field': 'q23',
                        'caption': 'Срок действия сертификата-разрешенияна РВ особого вида',
                        'type': 'date'
                    },
                    
                ]
            },
            'fifth_table': {
                'tab_name': 'Сведения об ассоциированном оборудовании',
                'headers': [
                    'q24', 'q25', 'q26', 'q27', 'q28'
                ],
                'model': [
                    {
                        'field': 'q24',
                        'caption': 'Ниаменование',
                        'type': '27_type',
                        'map': {
                            'q25': '2',
                        }
                    },
                    {
                        'field': 'q25',
                        'caption': 'Тип',
                        'type': 'str'
                    },
                    {
                        'field': 'q26',
                        'caption': 'Идентификационный номер',
                        'type': 'str'
                    },
                    {
                        'field': 'q27',
                        'caption': 'Год выпуска',
                        'type': 'int'
                    },
                    {
                        'field': 'q28',
                        'caption': 'Масса обедненного урана в конструкции, кг',
                        'type': 'exponential'
                    },
                ]
            },
        },
        'export': [
            {
                'form_name': 'Предварительное уведомление по 3.2',
                'object_type': 'f3-2_inform',
                'output_ext': ['docx']
            }

        ]
    }
