def init():
    return {
        'module_type': 'report_form',
        'form_num': '3.0',
        'form_name': '3.0: Титульный лист отчета организации-экспортера радиоактивных источников 1 и 2 категории (включая отработавшие закрытые источники ионизирующего излучения) в государства-участники СНГ',
        'form_main_attrs': [
            {
                'field': 'reg_num',
                'caption': 'Регистрационный №'
            },
            {
                'field': 'date',
                'caption': 'Дата приказа утверждающего форму',
                'type': 'date'
            },
            {
                'field': 'pr_num',
                'caption': '№ приказа утверждающего форму'
            },
            {
                'field': 'g2',
                'caption': 'Орган управления использованием атомной энергии',
                'type': '114_type'
            },
            {
                'field': 'g3',
                'caption': 'Субъект Российской Федерации',
                'type': '115_type'
            },
            {
                'field': 'g4',
                'caption': 'Наименование юридического лица'
            },
            {
                'field': 'g5',
                'caption': 'Сокращенное наименование юридического лица (при наличии)'
            },
            {
                'field': 'g6',
                'caption': 'Адрес места нахождения юридического лица'
            },
            {
                'field': 'g7',
                'caption': 'Адрес фактического места нахождения юридического лица'
            },
            {
                'field': 'g8',
                'caption': 'Должность, фамилия, имя, отчество (при наличии) руководителя'
            },
            {
                'field': 'phone',
                'caption': 'Телефон',
                'type': 'phone'
            },
            {
                'field': 'fax',
                'caption': 'Факс'
            },
            {
                'field': 'email',
                'caption': 'Адрес электронной почты',
                'type': 'email'
            },
            {
                'field': 'g9',
                'caption': 'Субъект Российской Федерации'
            },
            {
                'field': 'g10',
                'caption': 'Наименование юридического лица'
            },
            {
                'field': 'g11',
                'caption': 'Сокращенное наименование юридического лица (при наличии)'
            },
            {
                'field': 'g12',
                'caption': 'Адрес места нахождения юридического лица'
            },
            {
                'field': 'g13',
                'caption': 'Адрес фактического места нахождения юридического лица'
            },
            {
                'field': 'g14',
                'caption': 'Должность, фамилия, имя, отчество (при наличии) руководителя'
            },
            {
                'field': 'phone2',
                'caption': 'Телефон',
                'type': 'phone'
            },
            {
                'field': 'fax2',
                'caption': 'Факс'
            },
            {
                'field': 'email2',
                'caption': 'Адрес электронной почты',
                'type': 'email'
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Коды проставляет отчитывающаяся организация',
                'headers': [
                    't2', 't3', 't4', 't5', 't6', 't7', 't8', 't9'
                ],
                'model': [
                    {
                        'field': 't2',
                        'caption': 'ОКПО'
                    },
                    {
                        'field': 't3',
                        'caption': 'ОКВЭД'
                    },
                    {
                        'field': 't4',
                        'caption': 'ОКОГУ',
                        'type': '116_type'
                    },
                    {
                        'field': 't5',
                        'caption': 'ОКТМО'
                    },
                    {
                        'field': 't6',
                        'caption': 'ИНН'
                    },
                    {
                        'field': 't7',
                        'caption': 'КПП'
                    },
                    {
                        'field': 't8',
                        'caption': 'ОКОПФ',
                        'type': '117_type'
                    },
                    {
                        'field': 't9',
                        'caption': 'ОКФС',
                        'type': '118_type'
                    },
                ]
            }
        },
        'export': [
            {
                'form_name': 'Титульный лист (Форма 3.0)',
                'object_type': 'f3-0_2021_exp',
                'output_ext': ['docx']
            }
        ]
    }
