def init():
    return {
        'module_type': 'report_form',
        'form_num': '3.1',
        'form_name': '3.1: Отчет о намерении экспортировать радиоактивные источники 1 и 2 категории (включая отработавшие закрытые источники ионизирующего излучения) в государства-участники СНГ',
        'form_main_attrs': [
            {
                'field': 'g2',
                'caption': 'Наименование (получателя)',
                'type': 'str'
            },
            {
                'field': 'g3',
                'caption': 'Адрес места нахождения (получателя)',
                'type': 'str'
            },
            {
                'field': 'g4',
                'caption': 'Адрес фактического места нахождения (получателя)',
                'type': 'str'
            },
            {
                'field': 'g5',
                'caption': 'Номер лицензии (разрешения)',
                'type': 'str'
            },
            {
                'field': 'g6',
                'caption': 'Срок действия лицензии (разрешения)',
                'type': 'date'
            },
            {
                'field': 'g7',
                'caption': 'Предполагаемый срок для принятия решения по запросу',
                'type': 'date'
            },
            {
                'field': 'g8',
                'caption': 'Наименование (конечного пользователя)',
                'height': '300'
            },
            {
                'field': 'g9',
                'caption': 'Адрес места нахождения (конечного пользователя)',
                'height': '300'
            },
            {
                'field': 'g10',
                'caption': 'Адрес фактического места нахождения (конечного пользователя)',
                'height': '300'
            },
            {
                'field': 'g11',
                'caption': 'Телефон, факс (конечного пользователя)',
                'height': '300'
            },
            {
                'field': 'g12',
                'caption': 'Адрес электронной почты (конечного пользователя)',
                'height': '300'
            },
            {
                'field': 'g13',
                'caption': 'Область применения ЗРИ',
                'type': '211_type',
                'selection_mode': 'multiple',
            },
            {
                'field': 'g14',
                'caption': 'Сведения о контракте (заказе/спецификации) на поставку ЗРИ / возврат ЗРИ, изъятых из употребления (ОЗИИИ), №',
                'type': 'str'
            },
            {
                'field': 'g15',
                'caption': 'Сведения о контракте (заказе/спецификации) на поставку ЗРИ / возврат ЗРИ, изъятых из употребления (ОЗИИИ), Дата',
                'type': 'date'
            },
            {
                'field': 'g16',
                'caption': 'Сведения о контракте (заказе/спецификации) на поставку ЗРИ / возврат ЗРИ, изъятых из употребления (ОЗИИИ), Страна-изготовитель ЗРИ',
                'type': '119_dop_type'
            },
            {
                'field': 'position',
                'caption': 'Исполнитель: должность',
                'type': 'str'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО',
                'type': 'str'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'str'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'str'
            },
        ],
        'tables': {
            'main_table': {
                'convert_to_main_attrs': True,
                'tab_name': 'Таблица',
                'headers': [
                    'g17', 'g18', 'g19'
                ],
                'model': [
                    {
                        'field': 'g17',
                        'caption': 'Радионуклидный состав',
                        'type': 'radionuclide_voc_type',
                        'voc_filter': """["or",
                            ["=", "attrs.Name_RN", "америций-241"],
                            ["=", "attrs.Name_RN", "калифорний-252"],
                            ["=", "attrs.Name_RN", "кюрий-244"],
                            ["=", "attrs.Name_RN", "кобальт-60"],
                            ["=", "attrs.Name_RN", "цезий-137"],
                            ["=", "attrs.Name_RN", "гадолиний-153"],
                            ["=", "attrs.Name_RN", "иридий-192"],
                            ["=", "attrs.Name_RN", "прометий-147"],
                            ["=", "attrs.Name_RN", "плутоний-238"],
                            ["=", "attrs.Name_RN", "плутоний-239"],
                            ["=", "attrs.Name_RN", "радий-226"],
                            ["=", "attrs.Name_RN", "селен-75"],
                            ["=", "attrs.Name_RN", "стронций-90"],
                            ["=", "attrs.Name_RN", "иттрий-90"],
                            ["=", "attrs.Name_RN", "тулий-170"],
                            ["=", "attrs.Name_RN", "иттербий-169"],
                            ["=", "attrs.Name_RN", "золото-198"],
                            ["=", "attrs.Name_RN", "кобальт-57"],
                            ["=", "attrs.Name_RN", "железо-55"],
                            ["=", "attrs.Name_RN", "германий-68"],
                            ["=", "attrs.Name_RN", "никель-63"],
                            ["=", "attrs.Name_RN", "палладий-103"],
                            ["=", "attrs.Name_RN", "полоний-210"],
                            ["=", "attrs.Name_RN", "рутений-106"],
                            ["=", "attrs.Name_RN", "родий-106"],
                            ["=", "attrs.Name_RN", "таллий-204"]
                        ]"""
                    },
                    {
                        'field': 'g18',
                        'caption': 'Количество, шт',
                        'type': 'int'
                    },
                    {
                        'field': 'g19',
                        'caption': 'Суммарная активность, Бк',
                        'type': 'exponential',
                    },
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 3.1',
                'object_type': 'f3-1_2021_exp',
                'output_ext': ['docx', 'pdf']
            }
        ]
    }
