def init():
    return {
        'module_type': 'report_form',
        'form_num': '3.2',
        'form_name': '3.2: Отчет об отправке радиоактивных источников 1 и 2 категории (включая отработавшие закрытые источники ионизирующего излучения) в государства-участники СНГ',
        'form_main_attrs': [
            {
                'field': 'q2',
                'caption': 'Дата поставки (первого этапа поставки)',
                'type': 'date'
            },
            {
                'field': 'q3',
                'caption': 'Наименование получателя',
                'type': 'str'
            },
            {
                'field': 'q4',
                'caption': 'Сведения о получателе: Вид деятельности, виды работ (услуг), выполняемых (оказываемых) в составе вида деятельности. Обращение с радиоактивными веществами при',
                'type': 'type_of_activity_type'
            },
            {
                'field': 'q5',
                'caption': 'Сведения о получателе: Вид деятельности, виды работ (услуг), выполняемых (оказываемых) в составе вида деятельности. Обращение с радиоактивными отходами при',
                'type': 'type_of_activity_type'
            },
            {
                'field': 'q6',
                'caption': 'Номер лицензии (разрешения) на обращение с радиоактивными веществами',
                'type': 'str'
            },
            {
                'field': 'q7',
                'caption': 'Номер лицензии (разрешения) на обращение с радиоактивными отходами',
                'type': 'str'
            },
            {
                'field': 'q8',
                'caption': 'Срок действия лицензии (разрешения) на обращение с радиоактивными веществами до:',
                'type': 'date'
            },
            {
                'field': 'q9',
                'caption': 'Срок действия лицензии (разрешения) на обращение с радиоактивными отходами до:',
                'type': 'date'
            },
            {
                'field': 'q10',
                'caption': 'Адрес поставки',
                'type': 'str'
            },
            {
                'field': 'q11',
                'caption': 'Радионуклидный состав ЗРИ',
                'type': 'radionuclide_voc_type',
                'voc_filter': """["or",
                            ["=", "attrs.Name_RN", "америций-241"],
                            ["=", "attrs.Name_RN", "калифорний-252"],
                            ["=", "attrs.Name_RN", "кюрий-244"],
                            ["=", "attrs.Name_RN", "кобальт-60"],
                            ["=", "attrs.Name_RN", "цезий-137"],
                            ["=", "attrs.Name_RN", "гадолиний-153"],
                            ["=", "attrs.Name_RN", "иридий-192"],
                            ["=", "attrs.Name_RN", "прометий-147"],
                            ["=", "attrs.Name_RN", "плутоний-238"],
                            ["=", "attrs.Name_RN", "плутоний-239"],
                            ["=", "attrs.Name_RN", "радий-226"],
                            ["=", "attrs.Name_RN", "селен-75"],
                            ["=", "attrs.Name_RN", "стронций-90"],
                            ["=", "attrs.Name_RN", "иттрий-90"],
                            ["=", "attrs.Name_RN", "тулий-170"],
                            ["=", "attrs.Name_RN", "иттербий-169"],
                            ["=", "attrs.Name_RN", "золото-198"],
                            ["=", "attrs.Name_RN", "кобальт-57"],
                            ["=", "attrs.Name_RN", "железо-55"],
                            ["=", "attrs.Name_RN", "германий-68"],
                            ["=", "attrs.Name_RN", "никель-63"],
                            ["=", "attrs.Name_RN", "палладий-103"],
                            ["=", "attrs.Name_RN", "полоний-210"],
                            ["=", "attrs.Name_RN", "рутений-106"],
                            ["=", "attrs.Name_RN", "родий-106"],
                            ["=", "attrs.Name_RN", "таллий-204"]
                        ]"""
            },
            {
                'field': 'q12',
                'caption': 'Суммарная активность, Бк',
                'type': 'exponential'
            },
            {
                'field': 'q13',
                'caption': 'Общее количество ЗРИ, шт.',
                'type': 'int'
            },
            {
                'field': 'position',
                'caption': 'Исполнитель: должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО',
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Сведения о поставляемых ЗРИ',
                'headers': [
                    'q13', 'q14', 'q15', 'q16', 'q17', 'q18', 'q19', 'q20', 'q21', 'q22', 'q23'
                ],
                'model': [
                    {
                        'field': 'q13',
                        'width': '12em',
                        'caption': 'Номер паспорта (сертификата)',
                        'type': 'str'
                    },
                    {
                        'field': 'q14',
                        'caption': 'Тип (модель, тип капсулы)',
                        'type': '23_type',
                        'width': '11em',
                        'map': {'q16': '4'}
                    },
                    {
                        'field': 'q15',
                        'width': '11em',
                        'caption': 'Заводской номер',
                        'type': 'str'
                    },
                    {
                        'field': 'q16',
                        'caption': 'Радионуклидный состав',
                        'width': '12em',
                        'type': 'radionuclide_voc_type',
                        'voc_filter': """["or",
                            ["=", "attrs.Name_RN", "америций-241"],
                            ["=", "attrs.Name_RN", "калифорний-252"],
                            ["=", "attrs.Name_RN", "кюрий-244"],
                            ["=", "attrs.Name_RN", "кобальт-60"],
                            ["=", "attrs.Name_RN", "цезий-137"],
                            ["=", "attrs.Name_RN", "гадолиний-153"],
                            ["=", "attrs.Name_RN", "иридий-192"],
                            ["=", "attrs.Name_RN", "прометий-147"],
                            ["=", "attrs.Name_RN", "плутоний-238"],
                            ["=", "attrs.Name_RN", "плутоний-239"],
                            ["=", "attrs.Name_RN", "радий-226"],
                            ["=", "attrs.Name_RN", "селен-75"],
                            ["=", "attrs.Name_RN", "стронций-90"],
                            ["=", "attrs.Name_RN", "иттрий-90"],
                            ["=", "attrs.Name_RN", "тулий-170"],
                            ["=", "attrs.Name_RN", "иттербий-169"],
                            ["=", "attrs.Name_RN", "золото-198"],
                            ["=", "attrs.Name_RN", "кобальт-57"],
                            ["=", "attrs.Name_RN", "железо-55"],
                            ["=", "attrs.Name_RN", "германий-68"],
                            ["=", "attrs.Name_RN", "никель-63"],
                            ["=", "attrs.Name_RN", "палладий-103"],
                            ["=", "attrs.Name_RN", "полоний-210"],
                            ["=", "attrs.Name_RN", "рутений-106"],
                            ["=", "attrs.Name_RN", "родий-106"],
                            ["=", "attrs.Name_RN", "таллий-204"]
                        ]"""
                    },
                    {
                        'field': 'q17',
                        'caption': 'Дата выпуска',
                        'width': '7em',
                        'type': 'date'
                    },
                    {
                        'field': 'q18',
                        'caption': 'Активность на дату выпуска, Бк',
                        'width': '10em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'q19',
                        'caption': 'Содержание ядерных материалов, г',
                        'width': '10em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'q20',
                        'caption': 'Категория',
                        'width': '6em',
                        'type': 'CalcCategoryZri',
                    },
                    {
                        'field': 'q21',
                        'caption': 'Код ОКПО изготовителя',
                        'width': '9em',
                        'type': 'str'
                    },
                    {
                        'field': 'q22',
                        'width': '14em',
                        'caption': 'Номер сертификата-разрешения на РВ особого вида',
                        'type': 'str'
                    },
                    {
                        'field': 'q23',
                        'caption': 'Срок действия сертификата-разрешения на РВ особого вида',
                        'width': '7em',
                        'type': 'date'
                    },
                ]
            },
            'second_table': {
                'tab_name': 'Сведения о контейнере, приборе, установке',
                'headers': [
                    'q24', 'q25', 'q26', 'q27', 'q28'
                ],
                'model': [
                    {
                        'field': 'q24',
                        'caption': 'Наименование',
                        'type': '27_type',
                        'map': {
                            'q25': '2'
                        }
                    },
                    {
                        'field': 'q25',
                        'caption': 'Тип',
                        'type': 'str'
                    },
                    {
                        'field': 'q26',
                        'caption': 'Идентификационный номер',
                        'type': 'str'
                    },
                    {
                        'field': 'q27',
                        'caption': 'Год выпуска',
                        'type': 'int'
                    },
                    {
                        'field': 'q28',
                        'caption': 'Масса обедненного урана в конструкции, кг',
                        'type': 'exponential'
                    }
                ]
            },
            'third_table': {
                'tab_name': 'Идентификаторы',
                'headers': [
                    'q29', 'q30'
                ],
                'model': [
                    {
                        'field': 'q29',
                        'caption': 'Наименование идентификатора',
                        'type': 'str'
                    },
                    {
                        'field': 'q30',
                        'caption': 'Значение',
                        'type': 'str'
                    }
                ]
            },
        },
        'export': [
            {
                'form_name': 'Отчетная форма 3.2',
                'object_type': 'f3-2_2021_exp',
                'output_ext': ['docx', 'pdf']
            }
        ]
    }
