def init():
    return {
        'module_type': 'report_form',
        'form_name': '4.1: Перечень организаций, зарегистрированных в СГУК РВ и РАО на региональном уровне',
        'form_num': '4.1',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: Должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта'
            }
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    'g2', 'g3', 'g4', 'g5', 'g6', 'g7', 'g8', 'g9'
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Регистрационный номер',
                        'width': '12em',
                        'help': 'в графе 2 указывается регистрационный номер'
                    },
                    {
                        'field': 'g3',
                        'caption': 'Код ОКПО',
                        'type': 'OKPO_OKSM_type',
                        'width': '9em',
                        'help': 'в графе 3 указывается код ОКПО'
                    },
                    {
                        'field': 'g4',
                        'caption': 'Наименование организации (сокращенное наименование при наличии)',
                        'width': '12em',
                        'help': 'в графе 4 указывается наименование организации (сокращенное наименование при наличии)'
                    },
                    {
                        'field': 'g5',
                        'caption': 'Сведения о лицензии (лицензиях) и/или решении о регистрации',
                        'width': '12em',
                        'help': 'в графе 5 указывается сведения о лицензии (лицензиях) и/или решении о регистрации'
                    },
                    {
                        'field': 'g6',
                        'caption': 'Количество отчетных форм по инвентаризации',
                        'type': 'int',
                        'width': '10em',
                        'help': 'в графе 5 указывается количество отчетных форм по инвентаризации'
                    },
                    {
                        'field': 'g7',
                        'caption': 'Количество форм оперативных отчетов (кроме инвентаризации)',
                        'type': 'int',
                        'width': '10em',
                        'help': 'в графе 5 указывается количество форм оперативных отчетов (кроме инвентаризации)'
                    },
                    {
                        'field': 'g8',
                        'caption': 'Количество форм годового отчета',
                        'type': 'int',
                        'width': '10em',
                        'help': 'в графе 5 указывается количество форм годового отчета'
                    },
                    {
                        'field': 'g9',
                        'caption': 'Примечание',
                        'width': '20em',
                        'help': 'в графе 5 указывается примечание'
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 4.1',
                'object_type': 'f4-1_2021_exp',
                'output_ext': ['docx', 'pdf']
            }
        ]
    }
