def init():
    return {
        'module_type': 'report_form',
        'form_name': '5.1: Сведения о закрытых радионуклидных источниках, полученных/переданных подведомственными организациями сторонним организациям и переведенных в радиоактивные отходы',
        'form_num': '5.1',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: Должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            }
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    'g2',
                    {
                        'Сведения о закрытых радионуклидных источниках': [
                            'g3', 'g4', 'g5', 'g6'
                        ]
                    },
                    'g7'
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Код операции',
                        'type': '11_type'
                    },
                    {
                        'field': 'g3',
                        'caption': 'категория',
                        'type': 'Kateg_type'
                    },
                    {
                        'field': 'g4',
                        'caption': 'радионуклиды',
                        'type': 'radionuclide_voc_type'
                    },
                    {
                        'field': 'g5',
                        'caption': 'количество, шт.',
                        'type': 'int'
                    },
                    {
                        'field': 'g6',
                        'caption': 'суммарная активность, Бк',
                        'type': 'exponential'
                    },
                    {
                        'field': 'g7',
                        'caption': 'ОКПО поставщика/получателя',
                        'type': 'OKPO_OKSM_type'
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 5.1 (версия 1)',
                'object_type': 'f5-1_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
