def init():
    return {
        'module_type': 'report_form',
        'form_name': '5.3: Сведения о поступлении/передаче в подведомственные организации от сторонних организаций, расходовании и переводе в радиоактивные отходы открытых радионуклидных источников',
        'form_num': '5.3',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: Должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон',
                'type': 'phone'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта',
                'type': 'email'
            }
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    'g2',
                    'g3',
                    'g4',
                    'g5',
                    'g6',
                    {
                        'Сведения об открытых радионуклидных источниках': [
                            'g7', 'g8', 'g9', 'g10', 'g11'
                        ]
                    }
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Код операции',
                        'width': '7em',
                        'type': '11_type',
                    },
                    {
                        'field': 'g3',
                        'caption': 'Тип учетных единиц',
                        'width': '8em',
                        'type': '121_type',
                    },
                    {
                        'field': 'g4',
                        'caption': 'Вид ОРИ',
                        'width': '2em',
                        'type': '13_type',
                    },
                    {
                        'field': 'g5',
                        'caption': 'Агрегатное состояние',
                        'width': '8em',
                        'type': '120_type',
                    },
                    {
                        'field': 'g6',
                        'caption': 'ОКПО поставщика/получателя',
                        'width': '12em',
                        'type': 'OKPO_OKSM_type',
                    },
                    {
                        'field': 'g7',
                        'caption': 'радионуклиды',
                        'width': '12em',
                        'type': 'radionuclide_voc_type',
                    },
                    {
                        'field': 'g8',
                        'caption': 'суммарная активность, Бк',
                        'width': '10em',
                        'type': 'exponential',
                    },
                    {
                        'field': 'g9',
                        'caption': 'масса, кг',
                        'width': '10em',
                        'type': 'exponential',
                    },
                    {
                        'field': 'g10',
                        'caption': 'объем, куб.м',
                        'width': '10em',
                        'type': 'exponential'
                    },
                    {
                        'field': 'g11',
                        'caption': 'количество, шт.',
                        'width': '10em',
                        'type': 'int'
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 5.3 (версия 1)',
                'object_type': 'f5-3_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
