def init():
    return {
        'module_type': 'report_form',
        'form_name': '5.4: Сведения о наличии в подведомственных организациях открытых радионуклидных источников на конец года',
        'form_num': '5.4',
        'form_main_attrs': [
            {
                'field': 'position',
                'caption': 'Исполнитель: должность'
            },
            {
                'field': 'full_name',
                'caption': 'Исполнитель: ФИО'
            },
            {
                'field': 'phone',
                'caption': 'Исполнитель: телефон'
            },
            {
                'field': 'email',
                'caption': 'Исполнитель: электронная почта'
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    ['g2', 'g3', 'g4'],
                    {
                        'Сведения об открытых радионуклидных источниках': [
                            'g5', 'g6', 'g7', 'g8', 'g9'
                        ]
                    }
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Тип учетных единиц',
                        'width': '8em',
                        'type': '121_type',
                    },
                    {
                        'field': 'g3',
                        'caption': 'Вид ОРИ',
                        'width': '5em',
                        'type': '13_type',
                    },
                    {
                        'field': 'g4',
                        'caption': 'Агрегатное состояние',
                        'width': '8em',
                        'type': '120_type',
                    },
                    {
                        'field': 'g5',
                        'caption': 'радионуклиды',
                        'width': '12em',
                        'type': 'radionuclide_voc_type',
                    },
                    {
                        'field': 'g6',
                        'caption': 'суммарная активность, Бк',
                        'width': '10em',
                        'type': 'exponential',
                    },
                    {
                        'field': 'g7',
                        'caption': 'масса, кг',
                        'width': '10em',
                        'type': 'exponential',
                    },
                    {
                        'field': 'g8',
                        'caption': 'объем, куб. м',
                        'width': '10em',
                        'type': 'exponential',
                    },
                    {
                        'field': 'g9',
                        'caption': 'количество, шт.',
                        'width': '10em',
                        'type': 'int',
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Отчетная форма 5.4',
                'object_type': 'f5-4_2021_exp',
                'output_ext': ['docx', 'xlsx', 'pdf']
            }
        ]
    }
