def init():
    return {
        'module_type': 'report_form',
        'form_name': 'П.1: Прогнозирование РАО',
        'form_num': 'form_6_0',
        'form_main_attrs': [
            {
                'field': 'op_codes',
                'caption': 'Коды операций -- мультивыбор',
                'selection_mode': 'multiple',
                'type': '11_type'
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    {
                        'Сведения о РАО': [
                            'OpCod', 'OpDate', 'RAOCod',
                            'BCod',
                            'Kbm',
                            'Tonne',
                            'Sht',
                            {
                                'Активность, Бк': [
                                    'ActTR',
                                    'ActBG',
                                    'ActA',
                                    'ActUR',
                                ]
                            },
                            {
                                'Документ': [
                                    'DocVid',
                                    'DocN',
                                    'DocDate',
                                ]
                            },
                            {
                                'Пункт хранения': [
                                    'PH_Name',
                                    'PH_Cod',
                                ]
                            },
                            {
                                'Сведения о переработке': [
                                    'factory',
                                    'UpCod',
                                ]
                            },
                            {
                                'Сведения об упаковке': [
                                    'PrName',
                                    'UktPrTyp',
                                    'UktPrN',
                                    'KbmGross',
                                    'MassGross',
                                    'Salinity',
                                ]
                            },
                            'Subsid',
                            'FCP',
                        ]
                    },
                    {
                        'Прогноз по фактическим данным': [
                            'Obligations',
                            'JobCod',
                            'PTCName',
                            'TechOp',
                            'Stage',
                            'KbmNetForecast',
                            'UktName',
                            'UktTyp',
                            'UktSht',
                            'MassGrossForecast',
                            'ClassRAO',
                        ]
                    },
                ],
                'model': [
                    {
                        'field': 'OpCod',
                        'caption': 'Код операции',
                        'type': '11_type',
                        'width': '6em',
                    },
                    {
                        'field': 'OpDate',
                        'caption': 'Дата операции',
                        'type': 'date',
                        'width': '8em',
                    },
                    {
                        'field': 'RAOCod',
                        'caption': 'Код РАО',
                        'type': 'CalcCodeRao',
                        'width': '8em',
                    },
                    {
                        'field': 'BCod',
                        'caption': 'Статус РАО',
                        'type': '16_type',
                        'width': '8em',
                    },
                    {
                        'field': 'Kbm',
                        'caption': 'Объем, куб.м.',
                        'type': 'exponential',
                        'width': '6em',
                    },
                    {
                        'field': 'Tonne',
                        'caption': 'Масса, т',
                        'type': 'exponential',
                        'width': '6em',
                    },
                    {
                        'field': 'Sht',
                        'caption': 'Кол-во ОЗИИИ',
                        'type': 'int',
                        'width': '6em',
                    },
                    {
                        'field': 'ActTR',
                        'caption': 'тритий',
                        'type': 'exponential',
                        'width': '6em',
                    },
                    {
                        'field': 'ActBG',
                        'caption': 'бетта и гамма',
                        'type': 'exponential',
                        'width': '6em',
                    },
                    {
                        'field': 'ActA',
                        'caption': 'альфа',
                        'type': 'exponential',
                        'width': '6em',
                    },
                    {
                        'field': 'ActUR',
                        'caption': 'трансурановые',
                        'type': 'exponential',
                        'width': '6em',
                    },
                    {
                        'field': 'DocVid',
                        'caption': 'вид',
                        'type': 'str',
                        'width': '8em',
                    },
                    {
                        'field': 'DocN',
                        'caption': 'номер',
                        'type': 'str',
                        'width': '8em',
                    },
                    {
                        'field': 'DocDate',
                        'caption': 'дата',
                        'type': 'date',
                        'width': '8em',
                    },
                    {
                        'field': 'PH_Name',
                        'caption': 'Наименование',
                        'type': '21_type',
                    },
                    {
                        'field': 'PH_Cod',
                        'caption': 'Код',
                    },
                    {
                        'field': 'factory',
                        'caption': 'Установка перреработки/сортировки',
                        'width': '8em',
                    },
                    {
                        'field': 'UpCod',
                        'caption': 'Код переработки/сортировки РАО',
                        'type': '17_type',
                        'width': '8em',
                        'selection_mode': 'multiple'
                    },
                    {
                        'field': 'PrName',
                        'caption': 'Наименование',
                        'type': 'str',
                        'width': '8em',
                    },
                    {
                        'field': 'UktPrTyp',
                        'caption': 'Тип',
                        'type': 'str',
                        'width': '8em',
                    },
                    {
                        'field': 'UktPrN',
                        'caption': 'Номер упаковки',
                        'type': 'str',
                        'width': '8em',
                    },
                    {
                        'field': 'KbmGross',
                        'caption': 'Объём РАО с упаковкой, куб. м',
                        'type': 'str',
                        'width': '8em',
                    },
                    {
                        'field': 'MassGross',
                        'caption': 'Масса РАО с упаковкой, т',
                        'type': 'str',
                        'width': '8em',
                    },
                    {
                        'field': 'Salinity',
                        'caption': 'Солесодержание, г/л',
                        'type': 'str',
                        'width': '8em',
                    },
                    {
                        'field': 'Subsid',
                        'caption': '% субсидии',
                        'type': 'grant',
                        'width': '6em',
                    },
                    {
                        'field': 'FCP',
                        'caption': 'номер мероприятия ФЦП',
                        'type': 'str',
                        'width': '8em',
                    },
                    {
                        'field': 'Obligations',
                        'caption': 'Обязательства по захоронению',
                        'type': 'yesno_type',
                        'width': '10em',
                    },
                    {
                        'field': 'JobCod',
                        'caption': 'Код деятельности',
                        'type': '124_type',
                        'width': '8em',
                    },
                    {
                        'field': 'PTCName',
                        'caption': 'Наименование ПТЦ',
                        'type': 'ptc_type',
                        'width': '8em',

                    },
                    {
                        'field': 'TechOp',
                        'caption': 'Технологическая операция',
                        'type': 'op_type',
                        'width': '8em',
                    },
                    {
                        'field': 'Stage',
                        'caption': 'Стадия',
                        'type': 'int',
                        'width': '8em',
                    },
                    {
                        'field': 'KbmNetForecast',
                        'caption': 'Прогнозируемый объём РАО без упаковки, куб. м',
                        'type': 'float',
                        'width': '8em',
                    },
                    {
                        'field': 'UktName',
                        'caption': 'Наименование контейнера',
                        'type': '27_type',
                        'width': '8em',
                        'map': {'UktTyp': '2'},
                    },
                    {
                        'field': 'UktTyp',
                        'caption': 'Тип контейнера',
                        'type': 'str',
                        'width': '8em',
                    },
                    {
                        'field': 'UktSht',
                        'caption': 'Кол-во контейнеров',
                        'type': 'int',
                        'width': '8em',
                    },
                    {
                        'field': 'MassGrossForecast',
                        'caption': 'Прогнозируемый объём РАО с упаковкой',
                        'type': 'float',
                        'width': '8em',
                    },
                    {
                        'field': 'ClassRAO',
                        'caption': 'Класс РАО',
                        'type': '28_voc_class_rao_type',
                        'width': '8em',
                    }
                ]
            }
        },
        'export': [
            {
                'form_name': 'Прогноз образования РАО',
                'object_type': 'f6-1_2021_exp',
                'output_ext': ['xlsx']
            }
        ]
    }
