def init():
    return {
        'module_type': 'report_form',
        'form_name': 'П.1: Прогноз на 10 лет',
        'form_num': 'form_6_2',
        'form_main_attrs': [
            {
                'field': 'op_codes',
                'caption': 'Коды операций -- мультивыбор',
                'selection_mode': 'multiple',
                'type': '11_type'
            },
            {
                'field': 'years',
                'caption': 'Отчетный год'
            },
            {
                'field': 'op_type',
                'caption': 'Тех. операции. -- мультивыбор',
                'selection_mode': 'multiple',
                'type': 'op_type'

            }
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                    'OpDate',
                    {
                            'Некондиционированные РАО (без учета изменения объема РАО при их приведении в соответствие с критериями приемлемости)': [
                                'RAOCod', 'volume', 'volume_pr']
                    },
                    {
                            'Кондиционированные РАО (с учетом изменения объема РАО при их приведении в соответствие с критериями приемлемости)': [
                                'RAOClass', 'Kbm_n', 'Kbm_n_pr']
                    }
                ],
                'model': [
                    {
                        'field': 'OpDate',
                        'caption': 'Год',
                        'type': 'int',
                        'width': '6em',
                    },
                    {
                        'field': 'RAOCod',
                        'caption': 'Код РАО',
                        'type': 'CalcCodeRao',
                        'width': '8em',
                    },
                    {
                        'field': 'volume',
                        'caption': 'Фактический (нарастающим итогом), куб.м',
                        'type': 'exponential',
                        'width': '6em',
                    },
                    {
                        'field': 'volume_pr',
                        'caption': 'Прогнозируемый объем образования РАО (нарастающим итогом), куб.м',
                        'type': 'exponential',
                        'width': '6em',
                    },
                    {
                        'field': 'RAOClass',
                        'caption': 'класс РАО',
                        'type': '28_voc_class_rao_type',
                        'width': '8em',
                    },
                    {
                        'field': 'Kbm_n',
                        'caption': 'Расчетный объем (нарастающим итогом), куб.м',
                        'type': 'exponential',
                        'width': '6em',
                    },
                    {
                        'field': 'Kbm_n_pr',
                        'caption': 'Прогнозируемый объем образования РАО, куб.м',
                        'type': 'exponential',
                        'width': '6em',
                    }
                ]
            }
        },
        'export': [
        ]
    }
