# Журнал оперативной отчётности
def init():
    return {
        'module_type': 'report_forms_journal',
        'journal_name': 'Оперативные отчёты',
        'query_condition': "form_no LIKE 'form\_1\_%'",
        'lazy_load_size': 50,
        'headers': [
             'author_name','form_name',
            {'Период': ['form_period_start', 'form_period_end']},
            'decree',
             'user',
            {'Обменный файл': ['form_export_ts', 'form_import_ts', 'log_id']},
            'adjustment_no', 'form_state', 'context_menu',
        ],
        'model': [
            {
                'field': 'author_name',
                'caption': 'Организация',
                'width': '200px',
                'filter': ['=', 'sql', 'like'],
                # 'type': 'organizations_voc_type',
                'type': 'organizations_voc_type_value_id_label',
            },
            {
                'field': 'form_name',
                'caption': 'Форма',
                'type': 'slot',
                'slot': 'form_name',
                'width': '400px',
                'filter': ['=', 'like', 'sql'],
            },
            {
                'field': 'form_period_start',
                'caption': 'с',
                'type': 'date',
                'width': '100px',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'form_period_end',
                'caption': 'по',
                'type': 'date',
                'width': '100px',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'decree',
                'caption': '№ приказа',
                'width': '150px',
                'type': 'decree_type',
                'filter': ['='],
            },
            {
                'field': 'form_export_ts',
                'caption': 'Выгружен',
                'width': '120px',
                'type': 'date',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'form_import_ts',
                'caption': 'Загружен',
                'width': '120px',
                'type': 'date',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'adjustment_no',
                'caption': 'Корректировка',
                'width': '80px',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'user',
                'caption': 'Автор',
                'width': '120px',
                'filter': ['=', 'like', 'sql']
            },
            {
                'field': 'form_state',
                'caption': 'Статус',
                'type': 'form_state',
                'width': '110px',
                'filter': ['=', 'sql'],
            },
            {
                'field': 'log_id',
                'caption': 'ID импорта',
                'type': 'users_logs_voc',
                'voc_filter': '["or", ["=", "attrs.action", "import_historical_data"], ["=", "attrs.action", "import_exchange_file"]]',
                'filter': ['='],
            }
        ],
        'presets': {
            '1': {
                'label': 'Формы 1.1',
                'query': "form_no LIKE 'form\_1\_1\_%'"
            },
            '2': {
                'label': 'Формы 1.2',
                'query': "form_no LIKE 'form\_1\_2\_%'"
            },
            '3': {
                'label': 'Формы 1.3',
                'query': "form_no LIKE 'form\_1\_3\_%'"
            },
            '4': {
                'label': 'Формы 1.4',
                'query': "form_no LIKE 'form\_1\_4\_%'"
            },
            '5': {
                'label': 'Формы 1.5',
                'query': "form_no LIKE 'form\_1\_5\_%'"
            },
            '6': {
                'label': 'Формы 1.6',
                'query': "form_no LIKE 'form\_1\_6\_%'"
            },
            '7': {
                'label': 'Формы 1.7',
                'query': "form_no LIKE 'form\_1\_7\_%'"
            },
            '8': {
                'label': 'Формы 1.8',
                'query': "form_no LIKE 'form\_1\_8\_%'"
            },
            '9': {
                'label': 'Формы 1.9',
                'query': "form_no LIKE 'form\_1\_9\_%'"
            }
        }
    }
