# Журнал годовой отчётности
def init():
    return {
        'module_type': 'report_forms_journal',
        'journal_name': 'Годовые отчеты',
        'query_condition': "form_no LIKE 'form\_2\_%'",
        'lazy_load_size': 50,
	'headers': [
             'author_name','form_name','reporting_year', 'user', 'decree',
            {'Обменный файл': ['form_export_ts', 'form_import_ts', 'log_id']},
	    'adjustment_no', 'form_state', 'context_menu'
        ],
        'model': [
            {
                'field': 'author_name',
                'caption': 'Организация',
                'width': '200px',
                'filter': ['=', 'sql', 'like'],
                # 'type': 'organizations_voc_type',
                'type': 'organizations_voc_type_value_id_label',
            },
            {
                'field': 'form_name',
                'caption': 'Форма',
                'type': 'slot',
                'slot': 'form_name',
                'width': '400px',
                'filter': ['=', 'like', 'sql'],
            },
            {
                'field': 'reporting_year',
                'caption': ' Год',
                'type': 'int',
                'width': '100px',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'decree',
                'caption': '№ приказа',
                'width': '150px',
                'type': 'decree_type',
                'filter': ['='],
            },
            {
                'field': 'user',
                'caption': 'Автор',
                'width': '120px',
                'filter': ['=', 'like', 'sql']
            },
            {
                'field': 'form_export_ts',
                'caption': 'Выгружен',
                'width': '120px',
                'type': 'date',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'form_import_ts',
                'caption': 'Загружен',
                'width': '120px',
                'type': 'date',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'adjustment_no',
                'caption': 'Корректировка',
                'width': '80px',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'form_state',
                'caption': 'Статус',
                'type': 'form_state',
                'width': '110px',
                'filter': ['=', 'sql']
            },
            {
                'field': 'log_id',
                'caption': 'ID импорта',
                'type': 'users_logs_voc',
                'voc_filter': '["or", ["=", "attrs.action", "import_historical_data"], ["=", "attrs.action", "import_exchange_file"]]',
                'filter': ['='],
            }
        ],
        'presets': {
            '1': {
                'label': 'Формы 2.1',
                'query': "form_no LIKE 'form\_2\_1\_%'"
            },
            '2': {
                'label': 'Формы 2.2',
                'query': "form_no LIKE 'form\_2\_2\_%'"
            },
            '3': {
                'label': 'Формы 2.3',
                'query': "form_no LIKE 'form\_2\_3\_%'"
            },
            '4': {
                'label': 'Формы 2.4',
                'query': "form_no LIKE 'form\_2\_4\_%'"
            },
            '5': {
                'label': 'Формы 2.5',
                'query': "form_no LIKE 'form\_2\_5\_%'"
            },
            '6': {
                'label': 'Формы 2.6',
                'query': "form_no LIKE 'form\_2\_6\_%'"
            },
            '7': {
                'label': 'Формы 2.7',
                'query': "form_no LIKE 'form\_2\_7\_%'"
            },
            '8': {
                'label': 'Формы 2.8',
                'query': "form_no LIKE 'form\_2\_8\_%'"
            },
            '9': {
                'label': 'Формы 2.9',
                'query': "form_no LIKE 'form\_2\_9\_%'"
            },
            '10': {
                'label': 'Формы 2.10',
                'query': "form_no LIKE 'form\_2\_10\_%'"
            },
            '11': {
                'label': 'Формы 2.11',
                'query': "form_no LIKE 'form\_2\_11\_%'"
            },
            '12': {
                'label': 'Формы 2.12',
                'query': "form_no LIKE 'form\_2\_12\_%'"
            }
        }
    }
