# Журнал отчётов Организаций-экспортёров
def init():
    return {
        'module_type': 'report_forms_journal',
        'journal_name': 'Отчёты организаций экспортёров',
        'query_condition': "form_no LIKE 'form\_3\_%'",
        'lazy_load_size': 50,
        'headers': [
            'author_name', 'form_name', 'notification_date', 'uniq_numb', 'user', 'decree',
            {'Обменный файл': ['form_export_ts', 'form_import_ts']},
            'adjustment_no', 'form_state', 'context_menu'
        ],
        'model': [
            {
                'field': 'author_name',
                'caption': 'Организация',
                'width': '200px',
                'filter': ['=', 'sql', 'like'],
                # 'type': 'organizations_voc_type',
                'type': 'organizations_voc_type_value_id_label',
            },
            {
                'field': 'form_name',
                'caption': 'Форма',
                'type': 'slot',
                'slot': 'form_name',
                'width': '400px',
                'filter': ['=', 'like', 'sql'],
            },
            {
                'field': 'notification_date',
                'caption': 'Дата уведомления',
                'type': 'date',
                'width': '100px',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'decree',
                'caption': '№ приказа',
                'width': '150px',
                'type': 'decree_type',
                'filter': ['='],
            },
            {
                'field': 'uniq_numb',
                'caption': 'Номер запроса',
                'width': '120px',
            },
            {
                'field': 'user',
                'caption': 'Автор',
                'width': '120px',
                'filter': ['=', 'like', 'sql'],
            },
            {
                'field': 'form_export_ts',
                'caption': 'Выгружен',
                'width': '120px',
                'type': 'date',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'form_import_ts',
                'caption': 'Загружен',
                'width': '120px',
                'type': 'date',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'adjustment_no',
                'caption': 'Корректировка',
                'width': '80px',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'form_state',
                'caption': 'Статус',
                'type': 'form_state',
                'width': '110px',
                'filter': ['=', 'sql']
            },
        ],
        'presets': {
            '1': {
                'label': 'Формы 3.1',
                'query': "form_no LIKE 'form\_3\_1\_%'"
            },
            '2': {
                'label': 'Формы 3.2',
                'query': "form_no LIKE 'form\_3\_2\_%'"
            }
        }
    }
