# Журнал Отчёты РИАЦ
def init():
    return {
        'module_type': 'report_forms_journal',
        'journal_name': 'Отчёты РИАЦ',
        'query_condition': "form_no LIKE 'form\_4\_%'",
        'riac_enabled': True,
        'lazy_load_size': 50,
        'headers': [
            'author_name', 'form_name', 'reporting_year', 'user', 'decree',
            {'Обменный файл': ['form_export_ts', 'form_import_ts']},
            'adjustment_no', 'form_state', 'context_menu'
        ],
        'model': [
            {
                'field': 'author_name',
                'caption': 'Организация',
                'width': '200px',
                'filter': ['=', 'sql', 'like'],
                # 'type': 'organizations_voc_type',
                'type': 'organizations_voc_type_value_id_label',
            },
            {
                'field': 'form_name',
                'caption': 'Форма',
                'type': 'slot',
                'slot': 'form_name',
                'width': '400px',
                'filter': ['=', 'like', 'sql'],
            },
            {
                'field': 'reporting_year',
                'caption': 'Год',
                'type': 'int',
                'width': '100px',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'user',
                'caption': 'Автор',
                'width': '120px',
                'filter': ['=', 'like', 'sql'],
            },
            {
                'field': 'decree',
                'caption': '№ приказа',
                'width': '150px',
                'type': 'decree_type',
                'filter': ['='],
            },
            {
                'field': 'form_export_ts',
                'caption': 'Выгружен',
                'width': '120px',
                'type': 'date',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'form_import_ts',
                'caption': 'Загружен',
                'width': '120px',
                'type': 'date',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'adjustment_no',
                'caption': 'Корректировка',
                'width': '80px',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'form_state',
                'caption': 'Статус',
                'type': 'form_state',
                'width': '110px',
                'filter': ['=', 'sql'],
            },
        ],
    }
