# Журнал отчётов ВИАЦ
def init():
    return {
        'module_type': 'report_forms_journal',
        'journal_name': 'Отчёты ВИАЦ',
        'query_condition': "form_no LIKE 'form\_5\_%'",
        'viac_enabled': True,
        'lazy_load_size': 50,
        'headers': [
            'author_name', 'form_name', 'reporting_year', 'user', 'decree',
            {'Обменный файл': ['form_export_ts', 'form_import_ts']},
            'adjustment_no', 'form_state', 'context_menu'
        ],
        'model': [
            {
                'field': 'author_name',
                'caption': 'Организация',
                'width': '200px',
                'filter': ['=', 'sql', 'like'],
                # 'type': 'organizations_voc_type',
                'type': 'organizations_voc_type_value_id_label',
            },
            {
                'field': 'form_name',
                'caption': 'Форма',
                'type': 'slot',
                'slot': 'form_name',
                'width': '400px',
                'filter': ['=', 'like', 'sql'],
            },
            {
                'field': 'reporting_year',
                'caption': 'Год',
                'type': 'int',
                'width': '100px',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'user',
                'caption': 'Автор',
                'width': '120px',
                'filter': ['=', 'like', 'sql']
            },
            {
                'field': 'decree',
                'caption': '№ приказа',
                'width': '150px',
                'type': 'decree_type',
                'filter': ['='],
            },
            {
                'field': 'form_export_ts',
                'caption': 'Выгружен',
                'width': '120px',
                'type': 'date',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'form_import_ts',
                'caption': 'Загружен',
                'width': '120px',
                'type': 'date',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'adjustment_no',
                'caption': 'Корректировка',
                'width': '80px',
                'filter': ['=', '>', '<', '>=', '<=', 'sql'],
            },
            {
                'field': 'form_state',
                'caption': 'Статус',
                'type': 'form_state',
                'width': '110px',
                'filter': ['=', 'sql'],
            },
        ],
        'presets': {
            '1': {
                'label': 'Формы 5.1',
                'query': "form_no LIKE 'form\_5\_1\_%'"
            },
            '2': {
                'label': 'Формы 5.2',
                'query': "form_no LIKE 'form\_5\_2\_%'"
            },
            '3': {
                'label': 'Формы 5.3',
                'query': "form_no LIKE 'form\_5\_3\_%'"
            },
            '4': {
                'label': 'Формы 5.4',
                'query': "form_no LIKE 'form\_5\_4\_%'"
            },
            '5': {
                'label': 'Формы 5.5',
                'query': "form_no LIKE 'form\_5\_5\_%'"
            },
            '6': {
                'label': 'Формы 5.6',
                'query': "form_no LIKE 'form\_5\_6\_%'"
            },
            '7': {
                'label': 'Формы 5.7',
                'query': "form_no LIKE 'form\_5\_7\_%'"
            }

        }
    }
