def init():
    return {
        'module_type': 'types',
        'types': {
            # 2.3 Справочник источников
            '23_type': {
                'value_id': '3',
                'base_type': 'VOC',
                'lazy_load_size': 50,
                'label': ['3'],
                'lazy_load_size': 100,
                'voc_type': '23_voc',
                'voc_type_db': '23_voc',
                'not_display_in_menu': True,
                'voc_name': 'Источники излучения',
                'selection_mode': 'single',
                'headers': [
                    '3', '4', 'status',
                ],
                'model': [
                    {
                        'field': '3',
                        'caption': 'Краткое наименование типа ЗРИ'
                    },
                    {
                        'field': '4',
                        'caption': 'Радионуклиды (русские наименования РН через разделитель)',
                        'type': 'radionuclide_voc_type'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            '23_type_extended': {
                'value_id': '3',
                'base_type': 'VOC',
                'lazy_load_size': 100,
                'label': ['3'],
                'voc_type_db': '23_voc',
                'voc_type': '23_voc_extended',
                'voc_name': 'Источники излучения',
                'selection_mode': 'single',
                'headers': [
                    '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12', 'status',
                    'code_OKPO_org', 'adding_date'
                ],
                'model': [
                    {
                        'field': '2',
                        'caption': 'Наименование типа ЗРИ'
                    },
                    {
                        'field': '3',
                        'caption': 'Краткое наименование типа ЗРИ'
                    },
                    {
                        'field': '4',
                        'caption': 'Радионуклиды (русские наименования РН через разделитель)',
                        'type': 'radionuclide_voc_type'
                    },
                    {
                        'field': '5',
                        'caption': 'Вид излучения ЗРИ (альфа,бета,гамма,нейтронн.,рентген.,ит.д. )',
                        'type': '23_5_podtype'
                    },
                    {
                        'field': '6',
                        'caption': 'Габаритные размеры, мм'
                    },
                    {
                        'field': '7',
                        'caption': 'Минимальная активность радионуклида, Бк',
                        'type': 'exponential'
                    },
                    {
                        'field': '8',
                        'caption': 'Максимальная активность радионуклида, Бк',
                        'type': 'exponential'
                    },
                    {
                        'field': '9',
                        'caption': 'Максимальная эффект.акт.радионуклида'
                    },
                    {
                        'field': '10',
                        'caption': 'Изготовитель источника (наименование)'
                    },
                    {
                        'field': '11',
                        'caption': 'Категория источника',
                        'type': 'CalcCategoryZri',
                    },
                    {
                        'field': '12',
                        'caption': 'Примечание'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    },
                    {
                        'field': 'code_OKPO_org',
                        'caption': 'Код ОКПО организации, добавившей значение',
                        'readonly': True,
                    },
                    {
                        'field': 'adding_date',
                        'caption': 'Дата добавления',
                        'type': 'date', 
                        'readonly': True,
                    }
                ]
            }
        }
    }
