def init():
    # Справочник 2.9.1, Технологические операции
    return {
        'module_type': 'types',
        'types': {
            'op_type': {
                'base_type': 'VOC',
                'voc_name': 'Технологические операции',
                'value_id': 'NameTechOp',
                'label': ['NameTechOp'],
                'lazy_load_size': 50,
                'voc_type': 'op_type',
                'selection_mode': 'single',
                'headers': [
                    'StageTechOp', 'NameTechOp', 'InfTechOp', 'CoefKbmRAO', 'CoefMass',
                    'Agr', 'KatRAO', 'Nuclid', 'Yam', 'HL', 'PerPotDang', 'ProcMet',
                    'ClassRAO', 'CodTypRAO', 'FireDang', 
                    'status'
                ],
                'model': [
                    {
                        'field': 'StageTechOp',
                        'caption': 'Стадия технологической операции',
                        'type': 'int',
                    },
                    {
                        'field': 'NameTechOp',
                        'caption': 'Наименование технологической операции',
                    },
                    {
                        'field': 'InfTechOp',
                        'caption': 'Описание технологической операции',
                    },
                    {
                        'field': 'CoefKbmRAO',
                        'caption': 'Коэффициент изменения объема РАО без упаковки',
                        'type': 'float',
                    },
                    {
                        'field': 'CoefMass',
                        'caption': 'Коэффициент изменения массы',
                        'type': 'float',
                    },
                    {
                        'field': 'Agr',
                        'caption': '1. Агрегатное состояние',
                        'type': '120_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': 'KatRAO',
                        'caption': '2. Категория РАО',
                        'type': 'kat_rao_voc_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': 'Nuclid',
                        'caption': '3. Радионуклидный состав',
                        'type': 'nuclid_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': 'Yam',
                        'caption': '4. Содержание ЯМ',
                        'type': '28_voc_yam_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': 'HL',
                        'caption': '5. Период полураспада',
                        'type': '28_voc_per_raspad_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': 'PerPotDang',
                        'caption': '6. Период потенциальной опасности РАО',
                        'type': '28_voc_per_op_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': 'ProcMet',
                        'caption': '7. Способ переработки',
                        'type': '28_voc_sposob_pererabotki_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': 'ClassRAO',
                        'caption': '8. Класс РАО',
                        'type': '28_voc_class_rao_type',
                    },
                    {
                        'field': 'CodTypRAO',
                        'caption': '9-10.. Код тип РАО',
                        'type': '28_voc_cod_type_rao_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': 'FireDang',
                        'caption': '11. Пожароопасность',
                        'type': '28_voc_pojar_op_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            'nuclid_type': {
                'base_type': 'VOC',
                'voc_type': 'nuclid_voc',
                'voc_name': 'Радионуклидный состав',
                'value_id': 'num_kod_rao',
                'label': ['caption'],
                'selection_mode': 'single',
                'headers': [],
                'model': [
                    {
                        'field': 'num_kod_rao',
                        'caption': 'Номер кода РАО',
                        'type': 'int',
                    },
                    {
                        'field': 'caption',
                        'caption': 'Описание',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            }
        }
    }
