def init():
    # Справочник 2.9, ПТЦ, Предприятия топливного цикла
    return {
        'module_type': 'types',
        'types': {
            'percent': {
                'base_type': 'BASE',
                'validation': {
                    'type': 'int',
                    'range': {
                        'start': 0,
                        'end': 100
                    },
                },
                'help': 'Значение % должно попадать в диапазон от 0 до 100'
            },
            'ptc_type': {
                'base_type': 'VOC',
                'voc_name': 'ПТЦ',
                'value_id': 'PTCName',
                'label': ['PTCName'],
                'lazy_load_size': 50,
                'voc_type': 'ptc_type',
                'selection_mode': 'single',
                'headers': [
                    'SubRF', 'Org', 'PTCNumb', 'PTCName', 'PTCInf', 'PTCClassRAO',
                    'UktTyp', 'KbmIn', 'KbmOut', 'MassCase', 'PTCCase', 'MassMatrix',
                    'PTCTechOp', 'CountPTC', 'OCoefKbm', 'OCoefMass',
                    'status'
                ],
                'model': [
                    {
                        'field': 'SubRF',
                        'caption': 'Субъект Российской Федерации',
                        'type': '115_type',
                    },
                    {
                        'field': 'Org',
                        'caption': 'Организация',
                        'type': 'organizations_voc_type',
                    },
                    {
                        'field': 'PTCNumb',
                        'caption': 'Номер ПТЦ',
                        'type': 'int',
                    },
                    {
                        'field': 'PTCName',
                        'caption': 'Наименование ПТЦ',
                    },
                    {
                        'field': 'PTCInf',
                        'caption': 'Описание ПТЦ',
                    },
                    {
                        'field': 'PTCClassRAO',
                        'caption': 'Класс РАО',
                        'type': '28_voc_class_rao_type',
                    },
                    {
                        'field': 'UktTyp',
                        'caption': 'Тип контейнера',
                        'type': '27_type',
                        'map': {
                            'KbmIn': '8',
                            'KbmOut': '7',
                            'MassCase': '6',
                        }
                    },
                    {
                        'field': 'KbmIn',
                        'caption': 'Внутренний (полезный) объем контейнера, куб. м',
                        'type': 'float',
                    },
                    {
                        'field': 'KbmOut',
                        'caption': 'Объем контейнера по внешним габаритам, куб. м',
                        'type': 'float',
                    },
                    {
                        'field': 'MassCase',
                        'caption': 'Масса контейнера, т',
                        'type': 'float',
                    },
                    {
                        'field': 'PTCCase',
                        'caption': 'Процент заполнения контейнера',
                        'type': 'int',
                    },
                    {
                        'field': 'MassMatrix',
                        'caption': 'Масса буферного материала, т',
                        'type': 'int',
                    },
                    {
                        'field': 'PTCTechOp',
                        'caption': 'Технологические операции',
                        'type': 'op_type',
                        'selection_mode': 'multiple'
                    },
                    {
                        'field': 'CountPTC',
                        'caption': 'Количество стадий ПТЦ',
                    },
                    {
                        'field': 'OCoefKbm',
                        'caption': 'Общий коэффициент изменения объема',
                    },
                    {
                        'field': 'OCoefMass',
                        'caption': 'Общий коэффициент изменения массы',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            }
        }
    }
