def init():
    return {
        'module_type': 'types',
        'types': {
            'bugreports_admin': {
                'base_type': 'VOC',
                'voc_name': 'Журнал ошибок и замечаний (Админ)',
                'voc_subtype': 'settings',
                'value_id': 'creator_id',
                'label': ['creator_id'],
                'lazy_load_size': 50,
                'voc_type': 'bugreports_admin',
                'selection_mode': 'single',
                'headers': [
                    'creator_id', 'creation_dt', 'type',
                    'description', 'user_priority', 'status',
                    'dev_response', 'bug_id', 'todo_date',
                    'fixed_in_version', 'jira_issue', 'dev_priority',
                    'environment',
                ],
                'model': [
                    {
                        'field': 'creator_id',
                        'caption': 'Пользователь',
                        'width': '345px',
                        'readonly': True,
                    },
                    {
                        'field': 'creation_dt',
                        'caption': 'Дата',
                        'type': 'date',
                        'readonly': True,
                        'width': '285px',
                    },
                    {
                        'field': 'type',
                        'caption': 'Тип обращения',
                        'type': 'bugreport_type_type',
                    },
                    {
                        'field': 'description',
                        'caption': 'Описание',
                        'height': 100,
                    },
                    {
                        'field': 'user_priority',
                        'caption': 'Приоритет пользователя',
                        'type': 'bugreport_priority_type',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'bugreport_status_type',
                    },
                    {
                        'field': 'dev_response',
                        'caption': 'Ответ разработчиков',
                        'height': 100,
                    },
                    {
                        'field': 'bug_id',
                        'caption': 'Код ошибки',
                        'readonly': True,
                    },
                    {
                        'field': 'todo_date',
                        'caption': 'Срок устранения замечания',
                        'type': 'date',
                    },
                    {
                        'field': 'fixed_in_version',
                        'caption': 'Исправлено в версии',
                    },
                    {
                        'field': 'jira_issue',
                        'caption': 'Код ошибки в JIRA',
                    },
                    {
                        'field': 'dev_priority',
                        'caption': 'Приоритет на разработку',
                        'type': 'bugreport_priority_type',
                    },
                    {
                        'field': 'environment',
                        'caption': 'Окружение',
                        'height': 100,
                        'readonly': True,
                    }
                ]
            },
            'bugreport_status_type': {
                'base_type': 'DICT',
                'data_source': {
                    'review': 'На рассмотрении',
                    'todo': 'К выполнению',
                    'done': 'Выполнена',
                    'closed': 'Закрыта',
                },
                'default': 'review',
            },
            'bugreport_priority_type': {
                'base_type': 'DICT',
                'data_source': {
                    'low': 'Низкий',
                    'medium': 'Средний',
                    'high': 'Высокий',
                },
            },
            'bugreport_type_type': {
                'base_type': 'DICT',
                'data_source': {
                    'Ошибка отображения': 'Ошибка отображения',
                    'Ошибка функциональная': 'Функциональная ошибка',
                    'Улучшение функциональное': 'Улучшение функциональное',
                }
            },
            'bugreports': {
                'base_type': 'VOC',
                'voc_name': 'Журнал ошибок и замечаний',
                'voc_subtype': 'settings',
                'value_id': 'creator_id',
                'label': ['creator_id'],
                'lazy_load_size': 50,
                'voc_type': 'bugreports',
                'selection_mode': 'single',
                'headers': [
                    'creator_id', 'creation_dt', 'type',
                    'description', 'user_priority', 'status',
                    'dev_response',
                ],
                'model': [
                    {
                        'field': 'creator_id',
                        'caption': 'Пользователь (заполняется автоматически)',
                        'width': '345px',
                        'readonly': True,
                    },
                    {
                        'field': 'creation_dt',
                        'caption': 'Дата (заполняется автоматически)',
                        'type': 'date',
                        'readonly': True,
                        'width': '285px',
                    },
                    {
                        'field': 'type',
                        'caption': 'Тип обращения',
                        'type': 'bugreport_type_type',
                    },
                    {
                        'field': 'description',
                        'caption': 'Описание',
                        'height': 100,
                    },
                    {
                        'field': 'user_priority',
                        'caption': 'Приоритет',
                        'type': 'bugreport_priority_type',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус (заполняется автоматически)',
                        'type': 'bugreport_status_type',
                        'readonly': True,
                    },
                    {
                        'field': 'dev_response',
                        'caption': 'Ответ разработчиков (заполняется автоматически)',
                        'height': 100,
                        'readonly': True,
                    }
                ]
            }
        }
    }
