def init():
    return {
        'module_type': 'types',
        'types': {
            'radionuclide_voc_type': {
                'value_id': 'Name_RN',
                'base_type': 'VOC',
                'voc_subtype': 'system',
                'not_display_in_menu': True,
                'label': ['Name_RN'],
                'voc_type': 'radionuclide_voc',
                'voc_type_db': 'radionuclide_voc1',
                'voc_name': 'Справочник радионуклидов',
                'selection_mode': 'multiple',
                'lazy_load_size': 100,
                'headers': [
                    'Name_RN', 'status'
                ],
                'model': [
                    {
                        'field': 'Name_RN',
                        'caption': 'Наименование',
                        'type': 'Name_RN'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # Не комментировать, используется в  калькуляторах
            'radionuclide_voc_type1': {
                'value_id': 'Name_RN',
                'lazy_load_size': 30,
                'sort': ['Num_TM', 'AM'],
                'voc_subtype': 'system',
                'headers': [],
                'base_type': 'VOC',
                'label': ['Name_RN'],
                'voc_type': 'radionuclide_voc1',
                'voc_type_db': 'radionuclide_voc1',
                'voc_name': 'Справочник радионуклидов',
                'selection_mode': 'multiple',
                'model': [
                    # {
                    #     'field': 'label',
                    #     'caption': 'Наименование',
                    #     'type': 'Name_RN_type'
                    # },
                    # Name_RN_type использовать при выборе из справочника в формах.
                    # В самом справочнике не отображать
                    {
                        'field': 'Name_RN',
                        'caption': 'Название радионуклида'
                    },
                    {
                        'field': 'Kod_RN',
                        'caption': 'Код радионуклида'
                    },
                    {
                        'field': 'KodGSumm_RN',
                        'caption': 'Код группы суммации'
                    },
                    {
                        'field': 'Name_RN_Lat',
                        'caption': 'Символ радионуклида'
                    },
                    {
                        'field': 'Period_p_r',
                        'caption': 'Период полураспада'
                    },
                    {
                        'field': 'Edinica_izmer_p_r',
                        'caption': 'Единица измерения периода полураспада'
                        # Выпадающий список
                        # Варианты для выбора: сек, мин, час, сут, лет;
                        # Учесть преобразование периода полураспада для расчёта
                    },
                    {
                        'field': 'Vid_izluch',
                        'caption': 'Вид излучения'
                        # Выпадающий список
                        # Варианты: бета, гамма
                    },
                    {
                        'field': 'Kod_gruppy',
                        'caption': 'Код группы'
                        # Выпадающий список
                        # Варианты: a, б, NULL
                    },
                    {
                        'field': 'Num_TM',
                        'caption': 'Порядковый номер хим. элемента (число протонов)',
                        'type': 'int'
                    },
                    {
                        'field': 'AM',
                        'caption': 'Aтомная масса',
                        'type': 'int'
                    },
                    {
                        'field': 'Osn_vid_raspad_text',
                        'caption': 'Основной тип радиоактивных превращений, текст'
                    },
                    {
                        'field': 'Osn_vid_raspad_symb',
                        'caption': 'Основной тип радиоактивных превращений, обозначение'
                        # Выпадающий список
                        # Варианты: a, b-, b+, b=, g, d, h
                    },
                    {
                        'field': 'D_val',
                        'caption': 'Значение D-величины, ТБк'
                    },
                    {
                        'field': 'MZUA',
                        'caption': 'МЗУА, Бк/кг'
                    },
                    {
                        'field': 'MZA',
                        'caption': 'МЗА, Бк'
                    },
                    {
                        'field': 'A_GRO',
                        'caption': 'РАО жидкие, Бк/кг'
                    },
                    {
                        'field': 'A_TRO',
                        'caption': 'РАО твёрдые, Бк/кг'
                    },
                    {
                        'field': 'UdA_GRO',
                        'caption': 'Предельные значения удельной активности ЖРО, Бк/г'
                    },
                    {
                        'field': 'UdA_TRO',
                        'caption': 'Предельные значения удельной активности ТРО, Бк/г'
                    },
                    {
                        'field': 'ObA_GaRO',
                        'caption': 'Предельные значения объёмной активности газообразных РАО, Бк/м^3'
                    },
                    {
                        'field': 'MOI',
                        'caption': 'Удельные активности техногенных радионуклидов, при которых допускается неограниченное использование материалов, Бк/г'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            }
        }
    }


###
