def init():
    return{
        # имя, номер справочника
        # первоначальный тег, новый в формате ХУ_type
        # код справочника


        # 1.1 Коды операций
        # OpCod_type - 11_type
        'module_type': 'types',
        'types': {
            '11_type': {
                'value_id': 'Op_Cod',
                'base_type': 'VOC',
                'label': ['Op_Cod'],
                'voc_type': '11_voc',
                'voc_name': 'Коды операций и сроки представления отчета о них',
                'translate_value_id': False,
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['Op_Cod'],
                'headers': [
                    'Op_Cod', 'Op_Name', 'deadline', 'prim', 'status'
                ],
                'model': [
                    {
                        'field': 'Op_Cod',
                        'caption': 'Код'
                    },
                    {
                        'field': 'Op_Name',
                        'caption': 'Наименование операции'
                    },
                    {
                        'field': 'deadline',
                        'caption': 'Срок представления отчета (количество рабочих дней после осуществления операции), не более',
                    },
                    {
                        'field': 'prim',
                        'caption': 'Пояснение',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 1.2 Виды документов, сопровождающих операцию
            # DocVid_type - 12_type
            '12_type': {
                'value_id': 'DocCod',
                'base_type': 'VOC',
                'label': ['DocCod'],
                'voc_type': '12_voc',
                'voc_name': 'Виды документов, сопровождающих операцию',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['DocCod'],
                'headers': [
                    'DocCod', 'DocName', 'status'
                ],
                'model': [
                    {
                        'field': 'DocCod',
                        'caption': 'Код',
                        'type': 'int'
                    },
                    {
                        'field': 'DocName',
                        'caption': 'Наименование'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 1.3 Виды ОРИ
            # ORI_type - 13_type
            '13_type': {
                'value_id': 'ORICod',
                'base_type': 'VOC',
                'label': ['ORICod', 'ORI_ty'],
                'voc_type': '13_voc',
                'voc_name': 'Виды ОРИ',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['ORICod'],
                'headers': [
                    'ORICod', 'ORI_ty', 'status'
                ],
                'model': [
                    {
                        'field': 'ORICod',
                        'caption': 'Код',
                        'type': 'int'
                    },
                    {
                        'field': 'ORI_ty',
                        'caption': 'Вид'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 1.6 Код Статус РАО
            # BCod_type - 16_type
            '16_type': {
                'value_id': 'BCodCod',
                'base_type': 'VOC',
                'voc_type': '16_voc',
                'label': ['BCodCod'],
                'voc_name': 'Код "Статус РАО"',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['BCodCod'],
                'headers': [
                    'BCodCod', 'BCod_Name', 'BCod_Clarif', 'status'
                ],
                'model': [
                    {
                        'field': 'BCodCod',
                        'caption': 'Код'
                    },
                    {
                        'field': 'BCod_Name',
                        'caption': 'Значение'
                    },
                    {
                        'field': 'BCod_Clarif',
                        'caption': 'Пояснение'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 1.7 Перечень кодов переработки/сортировки РАО
            # CodRAO_type - 17_type
            '17_type': {
                'value_id': 'c1',
                'base_type': 'VOC',
                'label': ['c1'],
                'lazy_load_size': 50,
                'voc_type': '17_voc',
                'voc_name': 'Перечень кодов переработки/сортировки РАО',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['c1'],
                'headers': [
                    'c1', 'c11', 'status'
                ],
                'model': [
                    {
                        'field': 'c1',
                        'caption': 'Код'
                    },
                    {
                        'field': 'c11',
                        'caption': 'Наименование способа переработки/сортировки РАО'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 1.10.1 Наименование бассейнового округа
            # g5_type_28 - 110_type Используется в форме 2.8
            '110_type': {
                'value_id': 'PolName',
                'base_type': 'VOC',
                'label': ['PolCod', 'PolName'],
                'voc_type': '110_voc',
                'voc_name': 'Наименование бассейнового округа',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['PolCod'],
                'headers': [
                    'PolCod', 'PolName', 'status'
                ],
                'model': [
                    {
                        'field': 'PolCod',
                        'caption': 'Код бассейнового округа'
                    },
                    {
                        'field': 'PolName',
                        'caption': 'Наименование бассейнового округа'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 1.12 Код типа объектов учета РВ на основе радионуклидов с периодом полураспада до 60 (шестидесяти) суток, включая йод-125
            # g7_type_RV - 112_type
            '112_type': {
                'value_id': 'g1_cod',
                'base_type': 'VOC',
                'label': ['g1_cod'],
                'voc_type': '112_voc',
                'voc_name': 'Коды типа РВ не в составе ЗРИ на основе радионуклидов с периодом полураспада до 60 (шестидесяти) суток, включая йод-125',
                'voc_subtype': 'system',
                'sort': ['g1_cod'],
                # 'selection_mode': 'multiple',
                'headers': [
                    'g1_cod', 'g1_types', 'prim', 'status'
                ],
                'model': [
                    {
                        'field': 'g1_cod',
                        'caption': 'Код'
                    },
                    {
                        'field': 'g1_types',
                        'caption': 'Типы объектов учёта'
                    },
                    {
                        'field': 'prim',
                        'caption': 'Пояснение'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 1.13 Наименование зоны контроля
            # g2_type_210 - 113_type
            '113_type': {
                'value_id': 'Name',
                'base_type': 'VOC',
                'label': ['Name'],
                'voc_type': '113_voc',
                'voc_name': 'Наименование зоны контроля',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'headers': [
                    'Name', 'Clarif', 'status'
                ],
                'model': [
                    {
                        'field': 'Name',
                        'caption': 'Наименование зоны контроля'
                    },
                    {
                        'field': 'Clarif',
                        'caption': 'Пояснение'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 1.14 Орган управления использованием атомной энергии (ОУИАЭ)
            # ouiae_type - 114_type
            '114_type': {
                'value_id': 'a',
                'base_type': 'VOC',
                'label': ['a', '2'],
                'voc_type': '114_voc',
                'voc_name': 'Орган управления использованием атомной энергии (ОУИАЭ)',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['a'],
                'headers': [
                    'a', '2', '3', '4', 'status'
                ],
                'model': [
                    {
                        'field': 'a',
                        'caption': 'Код ОУИАЭ'
                    },
                    {
                        'field': '2',
                        'caption': 'ОУИАЭ'
                    },
                    {
                        'field': '3',
                        'caption': 'Дата начала действия',
                        'type': 'date'
                    },
                    {
                        'field': '4',
                        'caption': 'Дата окончания действия',
                        'type': 'date'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            '114_label_2_type': {
                'override_type': '114_type',
                'voc_type': '114_label_2_voc',
                'voc_type_db': '114_voc',
                'translate_value_id': True,
                'label': ['2'], 
                'refresh_label': True,
            },
            # 1.15 Субъект Российской Федерации
            # subRF_type - 115_type
            '115_type': {
                'value_id': 's',
                'translate_value_id': True,
                'base_type': 'VOC',
                'label': ['2'],
                'voc_type': '115_voc',
                'voc_name': 'Субъект Российской Федерации',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['s'],
                'headers': [
                    's', '2', '3', 'status'
                ],
                'model': [
                    {
                        'field': 's',
                        'caption': 'Код субъекта'
                    },
                    {
                        'field': '2',
                        'caption': 'Субъект РФ'
                    },
                    {
                        'field': '3',
                        'caption': 'Код ФО',
                        # 'type': '115_3_podtype'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 1.16 Общероссийский Классификатор Органов Государственной власти и Управления (ОКОГУ)
            # okogu_type - 116_type
            '116_type': {
                'value_id': 'm',
                'base_type': 'VOC',
                'label': ['m', '2'],
                'voc_type': '116_voc',
                'voc_name': 'Общероссийский  Классификатор Органов Государственной власти и Управления (ОКОГУ)',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['m'],
                'headers': [
                    'm', '2', '3', '4', 'status'
                ],
                'model': [
                    {
                        'field': 'm',
                        'caption': 'Код ОКОГУ'
                    },
                    {
                        'field': '2',
                        'caption': 'Описание кода'
                    },
                    {
                        'field': '3',
                        'caption': 'Дата начала действия',
                        'type': 'date'
                    },
                    {
                        'field': '4',
                        'caption': 'Дата окончания действия',
                        'type': 'date'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 1.17 Общероссийский Классификатор Организационно-Правовых Форм (ОКОПФ)
            # okopf_type - 117_type
            '117_type': {
                'value_id': 'n',
                'base_type': 'VOC',
                'label': ['n', '2'],
                'voc_type': '117_voc',
                'voc_name': 'Общероссийский Классификатор Организационно-Правовых Форм (ОКОПФ)',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['n'],
                'headers': [
                    'n', '2', '3', '4', 'status'
                ],
                'model': [
                    {
                        'field': 'n',
                        'caption': 'Код ОКОПФ'
                    },
                    {
                        'field': '2',
                        'caption': 'Описание кода'
                    },
                    {
                        'field': '3',
                        'caption': 'Дата начала действия',
                        'type': 'date'
                    },
                    {
                        'field': '4',
                        'caption': 'Дата окончания действия',
                        'type': 'date'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 1.18 Общероссийский Классификатор Организационно-Правовых Форм (ОКФС)
            # okfs_type - 118_type
            '118_type': {
                'value_id': 'b',
                'base_type': 'VOC',
                'label': ['b', '2'],
                'voc_type': '118_voc',
                'voc_name': 'Общероссийский Классификатор Форм Собственности (ОКФС)',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['b'],
                'headers': [
                    'b', '2', '3', '4', 'status'
                ],
                'model': [
                    {
                        'field': 'b',
                        'caption': 'Код ОКФС'
                    },
                    {
                        'field': '2',
                        'caption': 'Описание кода'
                    },
                    {
                        'field': '3',
                        'caption': 'Дата начала действия',
                        'type': 'date'
                    },
                    {
                        'field': '4',
                        'caption': 'Дата окончания действия',
                        'type': 'date'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 1.19 Общероссийский Классификатор Стран Мира (ОКСМ)
            # oksm_type - 119_type
            '119_type': {
                'value_id': 'v',
                'translate_value_id': True,
                'base_type': 'VOC',
                'label': ['2'],
                'voc_type': '119_voc',
                'voc_name': 'Общероссийский Классификатор Стран Мира (ОКСМ)',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['v'],
                'headers': [
                    'v', '2', '3', 'status'
                ],
                'model': [
                    {
                        'field': 'v',
                        'caption': 'Код ОКСМ'
                    },
                    {
                        'field': '2',
                        'caption': 'Описание кода'
                    },
                    {
                        'field': '3',
                        'caption': 'Страна СНГ'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            '119_type_value_id_2': {
                'override_type': '119_type',
                'voc_type': '119_voc_value_id_2',
                'voc_type_db': '119_voc',
                'translate_value_id': True,
                'refresh_label': True,
                'refresh_label_to_export_forms': True,
            },
            # 1.19 Общероссийский Классификатор Стран Мира (ОКСМ) ДУБЛИКАТ
            # oksm_type - 119_type
            '119_dop_type': {
                'value_id': 'v',
                'translate_value_id': True,
                'base_type': 'VOC',
                'label': ['2'],
                'lazy_load_size': 50,
                'refresh_label': True,
                'refresh_label_to_export_forms': True,
                'voc_type': '119_dop_voc',
                'voc_type_db': '119_voc',
                'voc_name': 'Общероссийский Классификатор Стран Мира (ОКСМ)',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['v'],
                'not_display_in_menu': True,
                'headers': [
                    'v', '2', '3', 'status'
                ],
                'model': [
                    {
                        'field': 'v',
                        'caption': 'Код ОКСМ'
                    },
                    {
                        'field': '2',
                        'caption': 'Описание кода'
                    },
                    {
                        'field': '3',
                        'caption': 'Страна СНГ'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 1.20 Агрегатное состояние
            # Agr_type - 120_type
            '120_type': {
                'value_id': 'cifra',
                'base_type': 'VOC',
                'label': ['cifra'],
                'voc_type': '120_voc',
                'voc_name': 'Агрегатное состояние',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['cifra'],
                'headers': [
                    'cifra', 'Agr_name', 'status'
                ],
                'model': [
                    {
                        'field': 'cifra',
                        'caption': 'Агрегатное состояние'
                    },
                    {
                        'field': 'Agr_name',
                        'caption': 'Пояснение'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 1.21 Тип ОРИ
            '121_type': {
                'value_id': 'c',
                'base_type': 'VOC',
                'label': ['c', '2'],
                'voc_type': '121_voc',
                'voc_name': 'Тип ОРИ',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['c'],
                'headers': [
                    'c', '2', 'status'
                ],
                'model': [
                    {
                        'field': 'c',
                        'caption': 'Тип ОРИ'
                    },
                    {
                        'field': '2',
                        'caption': 'Пояснение'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # Организации, входящие в контур ГК «Росатом»
            '122_type': {
                'value_id': 'okpo',
                'base_type': 'VOC',
                'label': ['okpo'],
                'lazy_load_size': 50,
                'voc_type': '122_voc',
                'voc_name': 'Организации, входящие в контур ГК «Росатом»',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'headers': [
                    'kontur', 'comments', 'okpo', 'deviz', 'status'
                ],
                'model': [
                    {
                        'field': 'kontur',
                        'caption': 'Организации, входящие в контур ГК «Росатом»'
                    },
                    {
                        'field': 'comments',
                        'caption': 'Пояснение',
                        'help': '1 - входит, 2- не входит'
                    },
                    {
                        'field': 'okpo',
                        'caption': 'ОКПО организации'
                    },
                    {
                        'field': 'deviz',
                        'caption': 'Дивизион'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            '123_type': {
                'value_id': 'g2',
                'base_type': 'VOC',
                'label': ['g2', 'g3'],
                'lazy_load_size': 50,
                'voc_type': '123_voc',
                'voc_name': 'Организации ЯРОО',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'headers': [
                    'g2', 'g3', 'status'
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Принадлежность к организации ЯРОО'
                    },
                    {
                        'field': 'g3',
                        'caption': 'Пояснение'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            '124_type': {
                'value_id': 'g2',
                'base_type': 'VOC',
                'label': ['g2', 'g3'],
                'voc_type': '124_voc',
                'voc_name': 'Справочник кодов деятельности',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['g2'],
                'headers': [
                    'g2', 'g3', 'status'
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Код'
                    },
                    {
                        'field': 'g3',
                        'caption': 'Наименование вида деятельности'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # Формы собственности Таблица 2 Приложения 1
            'FormSobst_type': {
                'is_system': True,
                'value_id': 'FSCod',
                'base_type': 'VOC',
                'label': ['FSCod', 'FSName'],
                'voc_type': 'FormSobst_voc',
                'voc_name': 'Форма собственности',
                'voc_subtype': 'system',
                'selection_mode': 'single',
                'sort': ['FSCod'],
                'headers': [
                    'FSCod', 'FSName', 'prim', 'status'
                ],
                'model': [
                    {
                        'field': 'FSCod',
                        'caption': 'Код'
                    },
                    {
                        'field': 'FSName',
                        'caption': 'Наименование'
                    },
                    {
                        'field': 'prim',
                        'caption': 'Пояснение',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # Доп. справочник "Национальный оператор" RVRAO-1012
            'no_voc_type': {
                'base_type': 'VOC',
                'voc_type': 'no_voc',
                'voc_name': 'Национальный оператор',
                'value_id': 'Subdiv',
                'label': ['Subdiv'],
                'lazy_load_size': 50,
                'selection_mode': 'single',
                'headers': [
                    'Subdiv', 'Subdiv_OKPO', 'status',
                ],
                'model': [
                    {
                        'field': 'Subdiv',
                        'caption': 'Наименование филиала, отделения'
                    },
                    {
                        'field': 'Subdiv_OKPO',
                        'caption': 'Код ОКПО получателя',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            }
        }
    }
