def init():
    return{
        # 2.1 Справочник Пунктов хранения
        'module_type': 'types',
        'types': {
            '21_type': {
                'value_id': '6',
                'base_type': 'VOC',
                'translate_value_id': True,
                'label': ['6'],
                'voc_type': '21_voc',
                'voc_name': 'Пункты хранения',
                'selection_mode': 'single',
                'lazy_load_size': 100,
                'headers': [
                    'a', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12',
                    '13', '14', '15', '16', '17', '18', '19', '20', '21', '22',
                    '23', '24', '25', '26', '27', '28', '29', '30', '31', '32', '33', '34',
                    'status', 'code_OKPO_org', 'adding_date'],
                'model': [
                    {
                        'field': 'a',
                        'caption': 'Вид объектов',
                        'type': '211_type_vsp',
                    },
                    {
                        'field': '2',
                        'caption': 'Наименование пункта хранения согласно проектой документации'
                    },
                    {
                        'field': '3',
                        'caption': 'Наименование пункта хранения согласно правоустанавливающим документам'
                    },
                    {
                        'field': '4',
                        'caption': 'Наименование пункта хранения мест сбора и/или временного хранения РАО согласно лицензии'
                    },
                    {
                        'field': '5',
                        'caption': 'Наименование пункта хранения согласно акту первичной регистрации'
                    },
                    {
                        'field': '6',
                        'caption': 'Наименование пункта хранения в отчетности СГУК РВ и РАО'
                    },
                    {
                        'field': '7',
                        'caption': 'Код пункта хранения',
                        'type': 'CalcCodeStorage'
                    },
                    {
                        'field': '8',
                        'caption': 'Отложенное решение'
                    },
                    {
                        'field': '9',
                        'caption': 'Кадастровый номер объекта'
                    },
                    {
                        'field': '10',
                        'caption': 'Дата ввода в эксплуатацию',
                        'type': 'date'
                    },
                    {
                        'field': '11',
                        'caption': 'Планируемая дата вывода из эксплуатации',
                        'type': 'date'
                    },
                    {
                        'field': '12',
                        'caption': 'Субъект права собственности'
                    },
                    {
                        'field': '13',
                        'caption': 'Реквизиты документа, определяющего право собственности'
                    },
                    {
                        'field': '14',
                        'caption': 'Субъект права хозяйственного ведения'
                    },
                    {
                        'field': '15',
                        'caption': 'Реквизиты документа, определяющего право хозяйственного ведения'
                    },
                    {
                        'field': '16',
                        'caption': 'Проектная вместимость по площади, кв.м',
                        'type': 'int'
                    },
                    {
                        'field': '17',
                        'caption': 'Проектная вместимость по объему, куб.м',
                        'type': 'int'
                    },
                    {
                        'field': '18',
                        'caption': 'Проектная вместимость по массе, т',
                        'type': 'int'
                    },
                    {
                        'field': '19',
                        'caption': 'Проектная вместимость по активности, Бк',
                        'type': 'exponential'
                    },
                    {
                        'field': '20',
                        'caption': 'Установленный лимит размещения РАО по объему без упаковки, куб.м',
                        'type': 'int'
                    },
                    {
                        'field': '21',
                        'caption': 'Установленный лимит размещения РАО по объему с упаковкой, куб.м',
                        'type': 'int'
                    },
                    {
                        'field': '22',
                        'caption': 'Установленный лимит размещения РАО по массе, т',
                        'type': 'int'
                    },
                    {
                        'field': '23',
                        'caption': 'Установленный лимит размещения РАО по брутто, т',
                        'type': 'int'
                    },
                    {
                        'field': '24',
                        'caption': 'Установленный лимит размещения РАО по активности, Бк',
                        'type': 'exponential'
                    },
                    {
                        'field': '25',
                        'caption': 'По категории РАО',
                        'type': 'kat_rao_voc_type',
                        'selection_mode': 'multiple',
                        # 'type': '21_25_podtype'
                    },
                    {
                        'field': '26',
                        'caption': 'Включен в кадастр пунктов хранения',
                        # 'type': '21_26_podtype'
                    },
                    {
                        'field': '27',
                        'caption': 'Номер акта первичной регистрации'
                    },
                    {
                        'field': '28',
                        'caption': 'Дата акта первичной регистрации',
                        'type': 'date'
                    },
                    {
                        'field': '29',
                        'caption': 'Номер документа на размещение РАО'
                    },
                    {
                        'field': '30',
                        'caption': 'Срок действия документа на размещение РАО до',
                        'type': 'date'
                    },
                    {
                        'field': '31',
                        'caption': 'Изменение реквизитов ПХ. Наименование ПХ'
                    },
                    {
                        'field': '32',
                        'caption': 'Изменение реквизитов ПХ. Код ПХ'
                    },
                    {
                        'field': '33',
                        'caption': 'Изменение реквизитов ПХ. Дата изменения',
                        'type': 'date'
                    },
                    {
                        'field': '34',
                        'caption': 'Изменение реквизитов ПХ. Номер сопроводительного документа'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    },
                    {
                        'field': 'code_OKPO_org',
                        'caption': 'Код ОКПО организации, добавившей значение',
                        'readonly': True,
                    },
                    {
                        'field': 'adding_date',
                        'caption': 'Дата добавления',
                        'type': 'date', 
                        'readonly': True,
                    }
                ]
            },
            # Скрытый справочник для справочника ПХ
            '211_type_vsp': {
                'base_type': 'VOC',
                'voc_name': 'Вспомогательный справочник к справочнику пунктов хранения РАО',
                'voc_type': '211_voc_vsp',
                'not_display_in_menu': True,
                'sort': ['kod_obj'],
                'value_id': 'vid_obj',
                'label': '{vid_obj}',
                'lazy_load_size': 50,
                'headers': ['kod_obj', 'vid_obj', 'description', 'status'],
                'model': [
                    {
                        'field': 'kod_obj',
                        'caption': 'Код объекта',
                        'type': 'int',
                    },
                    {
                        'field': 'vid_obj',
                        'caption': 'Вид объекта',
                    },
                    {
                        'field': 'description',
                        'caption': 'Пояснение',
                        'height': '100',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # Скрытый справочник категорий РАО
            'kat_rao_voc_type': {
                'base_type': 'VOC',
                'voc_type': 'kat_rao_voc',
                'voc_name': 'Категории РАО',
                'voc_subtype': 'system',
                'not_display_in_menu': True,
                'value_id': 'kat_rao',
                'label': '{kat_rao}',
                'lazy_load_size': 50,
                'headers': ['kat_rao', 'prim', 'status'],
                'model': [
                    {
                        'field': 'znach_rao',
                        'caption': 'Значение в коде РАО',
                    },
                    {
                        'field': 'kat_rao',
                        'caption': 'Категория РАО',
                    },
                    {
                        'field': 'prim',
                        'caption': 'Пояснение',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 2.3 Справочник источников В файле 23_type.py
            # 2.4 Справочник изделий из обедненного урана (ИОУ)
            '24_type': {
                'value_id': '6',
                'base_type': 'VOC',
                'label': ['6'],
                'lazy_load_size': 50,
                'voc_type': '24_voc',
                'voc_name': 'Изделия из обедненного урана (ИОУ)',
                'selection_mode': 'single',
                'headers': [
                    '2', '3', '4', '5', '6', '7', '8', '9', 'status',
                    'code_OKPO_org', 'adding_date'
                ],
                'model': [
                    {
                        'field': '2',
                        'caption': 'Наименование оборудования'
                    },
                    {
                        'field': '3',
                        'caption': 'Тип оборудования'
                    },
                    {
                        'field': '4',
                        'caption': 'Габаритные размеры, ДхВ/ШхГхВ, мм'
                    },
                    {
                        'field': '5',
                        'caption': 'Масса оборудования, кг',
                        'type': 'exponential'
                    },
                    {
                        'field': '6',
                        'caption': 'Наименование ИОУ'
                    },
                    {
                        'field': '7',
                        'caption': 'Индекс ИОУ'
                    },
                    {
                        'field': '8',
                        'caption': 'Масса обедненного урана в изделии',
                        'type': 'exponential'
                    },
                    {
                        'field': '9',
                        'caption': 'Сертификат'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    },
                    {
                        'field': 'code_OKPO_org',
                        'caption': 'Код ОКПО организации, добавившей значение',
                        'readonly': True,
                    },
                    {
                        'field': 'adding_date',
                        'caption': 'Дата добавления',
                        'type': 'date', 
                        'readonly': True,
                    }
                ]
            },
            # 2.6 Справочник приборов (установок), УКТ или иной упаковки
            # '26_type': {
            #    'value_id': '2',
            #    'base_type': 'VOC',
            #    'label': ['2'],
            #    'voc_type': '26_voc',
            #    'voc_name': 'Приборы (установки), УКТ или иные упаковки',
            #    'selection_mode': 'single',
            #    'headers': [
            #        '2', '3'
            #    ],
            #    'model': [
            #        {
            #            'field': '2',
            #            'caption': 'Наименование прибора УКТ, контейнера или иной упаковки'
            #        },
            #        {
            #            'field': '3',
            #            'caption': 'Тип упаковки, УКТ'
            #        }
            #    ]
            # 2.7 Справочник упаковок
            '27_type': {
                'value_id': 'x',
                'base_type': 'VOC',
                'label': ['x'],
                'lazy_load_size': 50,
                'voc_type': '27_voc',
                'voc_name': 'Приборы (установки), УКТ или иные упаковки',
                'selection_mode': 'single',
                'headers': [
                    'x', '2', '3', '4', '5', '6', '7', '8', '9', '10', 'status',
                    'code_OKPO_org', 'adding_date'
                ],
                'model': [
                    {
                        'field': 'x',
                        'caption': 'Наименование прибора УКТ, контейнера или иной упаковки'
                    },
                    {
                        'field': '2',
                        'caption': 'Тип упаковки, УКТ'
                    },
                    {
                        'field': '3',
                        'caption': 'Отношение к сертификации',
                        'type': '27_voc_sert_type',
                    },
                    {
                        'field': '4',
                        'caption': 'Назначение упаковки, контейнера',
                        'type': '27_voc_function_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '5',
                        'caption': 'Класс РАО'
                    },
                    {
                        'field': '6',
                        'caption': 'Масса прибора, контейнера, т',
                        'type': 'int'
                    },
                    {
                        'field': '7',
                        'caption': 'Объем прибора, контейнера по внешним габаритам, куб.м',
                        'type': 'int'
                    },
                    {
                        'field': '8',
                        'caption': 'Внутренний (полезный) объем, куб.м',
                        'type': 'int'
                    },
                    {
                        'field': '9',
                        'caption': 'Максимальный процент заполнения, %',
                        'type': 'int'
                    },
                    {
                        'field': '10',
                        'caption': 'Материал упаковки, контейнера'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    },
                    {
                        'field': 'code_OKPO_org',
                        'caption': 'Код ОКПО организации, добавившей значение',
                        'readonly': True,
                    },
                    {
                        'field': 'adding_date',
                        'caption': 'Дата добавления',
                        'type': 'date', 
                        'readonly': True,
                    }
                ]
            },
            '27_voc_function_type': {
                'value_id': 'function',
                'base_type': 'VOC',
                'label': '{function}',
                'lazy_load_size': 50,
                'voc_type': '27_voc_function',
                'voc_name': 'Назначение упаковки/контейнера',
                'not_display_in_menu': True,
                'headers': ['function', 'status'],
                'model': [
                    {
                        'field': 'function',
                        'caption': 'Назначение',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # Справочник видос сертификации для упаковок
            '27_voc_sert_type': {
                'base_type': 'VOC',
                'voc_type': '27_voc_sert',
                'voc_name': 'Отношение к сертификации упаковки/контейнера',
                'voc_subtype': 'system',
                'value_id': 'short_sert',
                'label': '{short_sert}',
                'lazy_load_size': 50,
                'not_display_in_menu': True,
                'sort': ['short_sert'],
                'headers': ['short_sert', 'full_sert', 'status'],
                'model': [
                    {
                        'field': 'short_sert',
                        'caption': 'Краткое',
                    },
                    {
                        'field': 'full_sert',
                        'caption': 'Полное',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # 2.8 Справочник установок переработки
            '28_type': {
                'value_id': '1',
                'base_type': 'VOC',
                'label': ['1'],
                'lazy_load_size': 50,
                'voc_type': '28_voc',
                'voc_name': 'Установки переработки',
                'selection_mode': 'single',
                'headers': [
                    '1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11',
                    '12', '13', '14', '15', '16', '17', '18', '19', '20',
                    '21', '22', '23', '24', '25', '26', '27',
                    'status', 'code_OKPO_org', 'adding_date'
                ],
                'model': [
                    {
                        'field': '1',
                        'caption': 'Наименование установки переработки'
                    },
                    {
                        'field': '2',
                        'caption': 'Код установки переработки',
                        'type': '17_type'
                    },
                    {
                        'field': '3',
                        'caption': 'Мощность, куб.м/год',
                        'type': 'exponential'
                    },
                    {
                        'field': '4',
                        'caption': 'Максимальное количество часов работы за год',
                        'type': 'int'
                    },
                    {
                        'field': '5',
                        'caption': 'Коэффициент изменения объема',
                        'type': 'int'
                    },
                    {
                        'field': '6',
                        'caption': 'Коэффициент изменения массы',
                        'type': 'int'
                    },
                    {
                        'field': '7',
                        'caption': 'Солесодержание, г/л',
                        'type': 'int'
                    },
                    {
                        'field': '8',
                        'caption': 'Агрегатное состояние 1',
                        'type': '120_type',
                    },
                    {
                        'field': '9',
                        'caption': 'Категория РАО 1',
                        'type': 'kat_rao_voc_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '10',
                        'caption': 'Радионуклидный состав 1',
                        'type': 'nuclid_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '11',
                        'caption': 'Содержание ЯМ 1',
                        'type': '28_voc_yam_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '12',
                        'caption': 'Период полураспада 1',
                        'type': '28_voc_per_raspad_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '13',
                        'caption': 'Период потенциальной опасности РАО 1',
                        'type': '28_voc_per_op_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '14',
                        'caption': 'Способ переработки 1',
                        'type': '28_voc_sposob_pererabotki_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '15',
                        'caption': 'Класс РАО 1',
                        'type': '28_voc_class_rao_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '16',
                        'caption': 'Код тип РАО 1',
                        'type': '28_voc_cod_type_rao_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '17',
                        'caption': 'Пожароопасность 1',
                        'type': '28_voc_pojar_op_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '18',
                        'caption': 'Агрегатное состояние 2',
                        'type': '120_type',
                    },
                    {
                        'field': '19',
                        'caption': 'Категория РАО 2',
                        'type': 'kat_rao_voc_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '20',
                        'caption': 'Радионуклидный состав 2',
                        'type': 'nuclid_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '21',
                        'caption': 'Содержание ЯМ 2',
                        'type': '28_voc_yam_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '22',
                        'caption': 'Период полураспада 2',
                        'type': '28_voc_per_raspad_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '23',
                        'caption': 'Период потенциальной опасности РАО 2',
                        'type': '28_voc_per_op_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '24',
                        'caption': 'Способ переработки 2',
                        'type': '28_voc_sposob_pererabotki_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '25',
                        'caption': 'Класс РАО 2',
                        'type': '28_voc_class_rao_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '26',
                        'caption': 'Код тип РАО 2',
                        'type': '28_voc_cod_type_rao_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': '27',
                        'caption': 'Пожароопасность 2',
                        'type': '28_voc_pojar_op_type',
                        'selection_mode': 'multiple',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    },
                    {
                        'field': 'code_OKPO_org',
                        'caption': 'Код ОКПО организации, добавившей значение',
                        'readonly': True,
                    },
                    {
                        'field': 'adding_date',
                        'caption': 'Дата добавления',
                        'type': 'date', 
                        'readonly': True,
                    }
                ]
            },
            # Скрытый справочник "Содержание ЯМ"
            '28_voc_yam_type': {
                'base_type': 'VOC',
                'voc_type': '28_voc_yam',
                'voc_name': 'Содержание ядерных материалов',
                'voc_subtype': 'system',
                'value_id': 'number',
                'label': '{number}',
                'lazy_load_size': 50,
                'not_display_in_menu': True,
                'sort': ['number'],
                'headers': ['number', 'prim', 'status'],
                'model': [
                    {
                        'field': 'number',
                        'caption': 'Значение',
                        'type': 'int',
                    },
                    {
                        'field': 'prim',
                        'caption': 'Пояснение',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # Скрытый справочник периодов полураспада
            '28_voc_per_raspad_type': {
                'base_type': 'VOC',
                'voc_type': '28_voc_per_raspad',
                'voc_name': 'Период полураспада РАО для установки переработки',
                'voc_subtype': 'system',
                'not_display_in_menu': True,
                'value_id': 'number',
                'label': '{number}',
                'lazy_load_size': 50,
                'sort': ['number'],
                'headers': ['number', 'prim', 'status'],
                'model': [
                    {
                        'field': 'number',
                        'caption': 'Значение',
                        'type': 'int',
                    },
                    {
                        'field': 'prim',
                        'caption': 'Пояснение',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # Скрытый справочник периодов потенциальной опасности
            '28_voc_per_op_type': {
                'base_type': 'VOC',
                'voc_type': '28_voc_per_op',
                'voc_name': 'Период потенциальной опасности РАО для установок переработки',
                'voc_subtype': 'system',
                'not_display_in_menu': True,
                'value_id': 'number',
                'label': '{number}',
                'lazy_load_size': 50,
                'sort': ['number'],
                'headers': ['number', 'prim', 'status'],
                'model': [
                    {
                        'field': 'number',
                        'caption': 'Значение',
                        'type': 'int',
                    },
                    {
                        'field': 'prim',
                        'caption': 'Пояснение',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # Скрытый справочник способов переработки
            '28_voc_sposob_pererabotki_type': {
                'base_type': 'VOC',
                'voc_type': '28_voc_sposob_pererabotki',
                'voc_name': 'Способ переработки РАО для установки переработки',
                'voc_subtype': 'system',
                'not_display_in_menu': True,
                'value_id': 'number',
                'label': '{number}',
                'lazy_load_size': 50,
                'sort': ['number'],
                'headers': ['number', 'prim', 'status'],
                'model': [
                    {
                        'field': 'number',
                        'caption': 'Значение',
                        'type': 'int',
                    },
                    {
                        'field': 'prim',
                        'caption': 'Пояснение',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # Скрытый справочник классов РАО
            '28_voc_class_rao_type': {
                'base_type': 'VOC',
                'voc_type': '28_voc_class_rao',
                'voc_name': 'Классы РАО для установки переработки',
                'voc_subtype': 'system',
                'not_display_in_menu': True,
                'value_id': 'number',
                'label': '{number}',
                'lazy_load_size': 50,
                'sort': ['number'],
                'headers': ['number', 'prim', 'typ_RAO', 'status'],
                'model': [
                    {
                        'field': 'number',
                        'caption': 'Значение',
                        'type': 'int',
                    },
                    {
                        'field': 'typ_RAO',
                        'caption': 'Тип РАО',
                    },
                    {
                        'field': 'prim',
                        'caption': 'Пояснение',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # Скрытый справочник кодов типов РАО
            '28_voc_cod_type_rao_type': {
                'base_type': 'VOC',
                'voc_type': '28_voc_cod_type_rao',
                'voc_name': 'Коды типов РАО',
                'voc_subtype': 'system',
                'not_display_in_menu': True,
                'value_id': 'number',
                'label': '{number}',
                'lazy_load_size': 50,
                'sort': ['number'],
                'headers': ['number', 'typ_RAO', 'prim', 'status'],
                'model': [
                    {
                        'field': 'number',
                        'caption': 'Код',
                        'type': 'int',
                    },
                    {
                        'field': 'typ_RAO',
                        'caption': 'Тип РАО',
                    },
                    {
                        'field': 'prim',
                        'caption': 'Пояснение',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            # Скрытый справочник пожароопасности
            '28_voc_pojar_op_type': {
                'base_type': 'VOC',
                'voc_type': '28_voc_pojar_op',
                'voc_name': 'Пожароопасность РАО',
                'voc_subtype': 'system',
                'not_display_in_menu': True,
                'value_id': 'number',
                'label': '{number}',
                'lazy_load_size': 50,
                'sort': ['number'],
                'headers': ['number', 'prim', 'status'],
                'model': [
                    {
                        'field': 'number',
                        'caption': 'Значение',
                        'type': 'int',
                    },
                    {
                        'field': 'prim',
                        'caption': 'Пояснение',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            '25_type': {
                'value_id': 'g2',
                'base_type': 'VOC',
                'label': ['g2', 'g3'],
                'lazy_load_size': 50,
                'voc_type': '25_voc',
                'voc_name': 'Справочник кодов ОКПО зарегистрированных организаций',
                'selection_mode': 'single',
                'sort': ['g2'],
                'headers': [
                    'g2', 'g3', 'status'
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Код ОКПО'
                    },
                    {
                        'field': 'g3',
                        'caption': 'Наименование организации'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            '210_type': {
                'value_id': 'g2',
                'base_type': 'VOC',
                'label': ['g2', 'g3'],
                'lazy_load_size': 50,
                'voc_type': '210_voc',
                'voc_name': 'Справочник ПТЦ специализированных организаций, доступных сторонним организациям',
                'selection_mode': 'single',
                'headers': [
                    'g2', 'g3', 'g4', 'g5', 'g6', 'g7', 'g8', 'g9',
                    'g10', 'g11', 'g12', 'g13', 'g14', 'g15', 'g16',
                    'status'
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Субъект Российской Федерации'
                    },
                    {
                        'field': 'g3',
                        'caption': 'Специализированная организация'
                    },
                    {
                        'field': 'g4',
                        'caption': 'Номер ПТЦ'
                    },
                    {
                        'field': 'g5',
                        'caption': 'Наименование ПТЦ'
                    },
                    {
                        'field': 'g6',
                        'caption': 'Список установок переработки'
                    },
                    {
                        'field': 'g7',
                        'caption': 'Код РАО, поступающих на переработку'
                    },
                    {
                        'field': 'g8',
                        'caption': 'Общий коэффициент изменения объема РАО без упаковки'
                    },
                    {
                        'field': 'g9',
                        'caption': 'Общий коэффициент изменения массы РАО нетто'
                    },
                    {
                        'field': 'g10',
                        'caption': 'Класс РАО'
                    },
                    {
                        'field': 'g11',
                        'caption': 'Тип контейнера'
                    },
                    {
                        'field': 'g12',
                        'caption': 'Внутренний полезный объем, куб.м',
                        'type': 'int'
                    },
                    {
                        'field': 'g13',
                        'caption': 'Объем контейнера по внешним габаритам, куб.м',
                        'type': 'int'
                    },
                    {
                        'field': 'g14',
                        'caption': 'Процент заполнения контейнера'
                    },
                    {
                        'field': 'g15',
                        'caption': 'Масса буферного материала, т',
                        'type': 'int'
                    },
                    {
                        'field': 'g16',
                        'caption': 'Выбрать ПТЦ'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            '211_type': {
                'value_id': 'g2',
                'base_type': 'VOC',
                'label': ['g3'],
                'translate_value_id': True,
                'refresh_label': True,
                'refresh_label_to_export_forms': True,
                'lazy_load_size': 50,
                'voc_type': '211_voc',
                'voc_name': 'Область применения ЗРИ',
                'selection_mode': 'single',
                'sort': ['g2'],
                'headers': [
                    'g2', 'g3', 'status'
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Код применения'
                    },
                    {
                        'field': 'g3',
                        'caption': 'Описание области применения'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            '211_g3_label_type': {
                'override_type': '211_type',
                'voc_type': '211_g3_label_voc',
                'voc_type_db': '211_voc',
                'translate_value_id': True,
                'label': ['g3'], 
                'refresh_label': True,
                'refresh_label_to_export_forms': True,
            },
            '212_type': {
                'value_id': 'g2',
                'base_type': 'VOC',
                'label': ['g2', 'g3'],
                'lazy_load_size': 50,
                'voc_type': '212_voc',
                'voc_name': 'Справочник лицензий ВЭД',
                'selection_mode': 'single',
                'headers': [
                    'g2', 'g3', 'g4', 'g5', 'g6', 'status'
                ],
                'model': [
                    {
                        'field': 'g2',
                        'caption': 'Сведения о заявителе',
                        'type': 'organizations_voc_type'
                    },
                    {
                        'field': 'g3',
                        'caption': 'Номер лицензии (разрешения)'
                    },
                    {
                        'field': 'g4',
                        'caption': 'Срок действия лицензии (разрешения)'
                    },
                    {
                        'field': 'g5',
                        'caption': 'Единица измерения (Активности)'
                    },
                    {
                        'field': 'g6',
                        'caption': 'Количество (Активность)'
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            'type_of_activity_type': {
                'base_type': 'VOC',
                'voc_type': 'type_of_activity',
                'voc_name': 'Вид деятельности, виды работ (услуг), выполняемых (оказываемых) в составе вида деятельности',
                'selection_mode': 'multiple',
                'voc_subtype': 'system',
                'not_display_in_menu': True,
                'value_id': 'activity',
                'label': '{activity}',
                'lazy_load_size': 50,
                'headers': ['activity'],
                'model': [
                    {
                        'field': 'activity',
                        'caption': 'Вид деятельности',
                    },
                ]
            },
            #
            'voc_status_type': {
                'base_type': 'DICT',
                'data_source': {
                    '0': 'Черновик',
                    '1': 'Активна',
                    '2': 'Архивирована',
                }
            },
            'kateg_zri_type': {
                'base_type': 'VOC',
                'voc_type': 'zri_voc',
                'voc_name': 'Категории ЗРИ',
                'value_id': 'kateg',
                'label': 'kateg',
                'selection_mode': 'multiple',
                'headers': [
                    'kateg', 'prim', 'status'
                ],
                'model': [
                    {
                        'field': 'kateg',
                        'caption': 'Категория ЗРИ',
                    },
                    {
                        'field': 'prim',
                        'caption': 'Описание',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            'form_voc_type': {
                'base_type': 'VOC',
                'voc_type': 'form_voc',
                'voc_name': 'Формы отчетов',
                'value_id': 'form_type',
                'label': 'form_type',
                'selection_mode': 'multiple',
                'headers': [
                    'form_type', 'prim', 'status'
                ],
                'model': [
                    {
                        'field': 'form_type',
                        'caption': 'Номер формы',
                    },
                    {
                        'field': 'prim',
                        'caption': 'Описание',
                    },
                    {
                        'field': 'status',
                        'caption': 'Статус',
                        'type': 'voc_status_type',
                        'readonly': True,
                        'hide_selection': True,
                        'filter': ['=']
                    }
                ]
            },
            '17_type_multi': {
                'override_type': '17_type',
                'selection_mode': 'multiple',
            },
            '119_type_multi': {
                'override_type': '119_type',
                'selection_mode': 'multiple',
            },
            'no_voc_type_multi': {
                'override_type': 'no_voc_type',
                'selection_mode': 'multiple',
            },
            '21_type_multi': {
                'override_type': '21_type',
                'selection_mode': 'multiple',
            },
            'naim_pokaz_voc_type': {
                'base_type': 'VOC',
                'voc_name': 'Наименование показателя',
                'value_id': 'val',
                'label': ['description'],
                'lazy_load_size': 50,
                'voc_type': 'naim_pokaz_voc',
                'voc_subtype': 'system',
                'not_display_in_menu': True,
                'headers': [],
                'model': [
                    {
                        'field': 'val',
                        'caption': 'Значение',
                    },
                    {
                        'field': 'description',
                        'caption': 'Описание',
                    }
                ]
            }
        }
    }
