def init():
    return {
        'module_type': 'types',
        'types': {
            'agreement': {
                'base_type': 'DICT',
                'data_source': {
                    'Согласовано': 'Согласовано',
                    'Согласовано в исключительных обстоятельствах': 'Согласовано в исключительных обстоятельствах',
                    'Не согласовано': 'Не согласовано',
                },
                'default': 'Согласовано'
            },

            'auto': {
                'base_type': 'BASE',
                'validation': {
                    'type': 'str'
                }
            },
            'date': {
                'base_type': 'DATE',
                'validation': {
                    'type': 'date',
                },
            },
            'date_time': {
                'base_type': "DATE",
                'validation': {
                    'type': "date",
                    'date_format': "YYYY-MM-DD HH:mm:ss.SSSSSS"
                },
                'display': {
                    'date_format': "DD.MM.YYYY HH:mm",
                },
            },
            'ist_dict': {
                'base_type': 'DICT',
                'data_source': {
                    'ПП': 'промплощадка',
                    'СЗЗ': 'санитарно-защитная зона',
                    'ЗН': 'зона наблюдения',
                },
                'default': 'ПП'
            },
            'year_radio': {
                'base_type': 'BASE',
                'validation': {
                    'type': 'int',
                    'range': {
                        'start': 1,
                        'end': 100
                    },
                },
                'help': 'Значение должно попадать в диапазон от 1 до 100'
            },
            'int': {
                'base_type': 'BASE',
                'validation': {
                    'type': 'int',
                },
                'help': 'Значение должно быть целочисленным'
                # 'readonly': False
            },
            'str': {
                'base_type': 'BASE',
                'validation': {
                    'type': 'str'
                }
            },
            'float': {
                'base_type': 'BASE',
                'validation': {
                    'type': 'float',
                },
                'help': 'Значение должно быть вещественным'
                # 'readonly': False
            },
            #        'male': {
            #            'base_type': 'LIST',
            #            'strict': True,
            #            'data_source': [
            #                'Женский', 'Мужской'
            #            ],
            #            'default': 'Мужской',
            #            'help': 'Неверный формат пола'
            #        },
            #        'city': {
            #            'base_type': 'LIST',
            #            'strict': False,
            #            'data_source': [
            #                'Москва', 'Питер'
            #            ],
            #            'default': ''
            #        },
            'email': {
                'base_type': 'BASE',
                'validation': {
                    'type': 'str',
                    # 'regex': r'[^@]+@[^@]+\.[^@]+',  # regex,
                    # help: '''''
                    # 'min', 'max',
                },
                #    'help': 'Неверный формат email'
            },
            'state': {
                'base_type': 'DICT',
                'data_source': {
                    'active': 'Активная запись',
                    'inactive': 'Неактивная запись',
                },
                'default': 'active'
            },
            'phone': {
                'base_type': 'BASE',
                'validation': {
                    'type': 'str',
                    #        'regex': r'/\(?([0-9]{3})\)?([ .-]?)([0-9]{3})\2([0-9]{4})/',
                },
                #    'help': 'Неверный формат телефона'
            },
            'reg_num_type': {
                'base_type': 'BASE',
                'validation': {
                    'type': 'int',
                    'range': {
                        'start': 1,
                        'end': 20
                    },
                    # 'error_message': 'Значение должно попадать в диапазон от 1 до 20'
                },
                'help': 'Значение должно попадать в диапазон от 1 до 20',
            }
        }
    }


# def init():
#     return {
#         'types': {
#             # 'reporting_forms': {
#             #     'base_type': 'VOC',
#             #     # 'tr_query': 'SELECT * FROM persons WHERE person_id=:id',  # написать заглушку
#             #     # 'select_form': 'select_person',  # to system_select.py

#             #     # 'data_source': 'SELECT person_id, person_fio FROM persons;',
#             #     # 'data_source': 'select report_form_id, form_no, form_name from reportforms;'

#             #     # имя справочника
#             #     "code": "code_1", # partner
#             #     # ""

#             #     # 'data_cache': True,
#             # },

#             # 'partner_type': {
#             #     'code': 'partner'
#             # },

#             # 'obj_1_type': {
#             #     'data_source': ... # select query,
#             #     # хранить описание полей здесь, которые не описаны в описании формы репозитория
#             #     # (например смежные запросы к нескольким таблицам базы данных)
#             # },

#             'organizations_voc': {
#                 'base_type': 'VOC',
#                 'voc_type': 'organizations'
#             },

#             'male': {
#                 'base_type': 'LIST',
#                 'strict': True,
#                 'data_source': [
#                     'Женский', 'Мужской'
#                 ],
#                 'default': 'Мужской',
#                 'help': 'Неверный формат пола'
#             },
#             'city': {
#                 'base_type': 'LIST',
#                 'strict': False,
#                 'data_source': [
#                     'Москва', 'Питер'
#                 ],
#                 'default': ''
#             },
#             'email': {
#                 'base_type': 'BASE',
#                 'validation': {
#                     'type': 'str',
#                     'regex': r'[^@]+@[^@]+\.[^@]+',  # regex,
#                     # help: '''''
#                     # 'min', 'max',
#                 },
#                 'help': 'Неверный формат email'
#             },
#             'state': {
#                 'base_type': 'DICT',
#                 'data_source': {
#                     'active': 'Активная запись',
#                     'inactive': 'Неактивная запись',
#                 },
#                 'default': 'active'
#             },
#             'date': {
#                 'base_type': 'BASE',
#                 'validation': {
#                     'type': 'str',
#                     # 'regex': r'(?P<day>\d{1,2})\.(?P<month>\d{1,2})\.(?P<year>\d{4})$',
#                     # 'regex': r'/^(0?[1-9]|[12][0-9]|3[01])[\/\-](0?[1-9]|1[012])[\/\-]\d{4}$/',
#                     # 'regex': '/^(0?[1-9]|[12][0-9]|3[01])[\/\-](0?[1-9]|1[012])[\/\-]\d{4}$/',
#                     'regex': r'^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[13-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$'
#                 },
#                 'help': 'Неверный формат даты'
#             },
#             'phone': {
#                 'base_type': 'BASE',
#                 'validation': {
#                     'type': 'str',
#                     'regex': r'/\(?([0-9]{3})\)?([ .-]?)([0-9]{3})\2([0-9]{4})/',
#                 },
#                 'help': 'Неверный формат телефона'
#             }
#         }
#     }
