def init():
    return {
        'module_type': 'types',
        'types': {
            'users_logs_voc': {
                'base_type': 'VOC',
                'voc_name': 'Журнал действий пользователя',
                'voc_subtype': 'settings',
                'value_id': 'ip',
                'label': ['login'],
                'lazy_load_size': 50,
                'voc_type': 'users_logs',
                'selection_mode': 'single',
                'headers': [
                    'ip', 'user_agent', 'date_time', 'login', 'action', 'info',
                ],
                'model': [
                    {
                        'field': 'ip',
                        'caption': 'IP адрес'
                    },
                    {
                        'field': 'user_agent',
                        'caption': 'Информация о пользователе',
                        'height': 100,
                    },
                    {
                        'field': 'date_time',
                        'caption': 'Дата и время',
                        'type': 'date_time',
                    },
                    {
                        'field': 'login',
                        'caption': 'Логин пользователя',
                    },
                    {
                        'field': 'action',
                        'caption': 'Действие',
                        'type': 'user_logs_action_type',
                    },
                    {
                        'field': 'info',
                        'caption': 'Дополнительная информация',
                        'height': 100,
                    },
                ]
            },
            'user_logs_action_type': {
                'base_type': 'DICT',
                'data_source': {
                    'login': 'Вход в систему',
                    'logout': 'Выход из системы',
                    'export': 'Экспорт',
                    'import_historical_data': 'Импорт исторических данных',
                    'import_exchange_file': 'Импорт обменного файла АЧ'
                }
            }
        }
    }
