def init():
    return {
        'module_type': 'types',
        'types': {
            'users_type': {
                'base_type': 'VOC',
                'voc_name': 'Пользователи',
                'voc_subtype': 'settings',
                'value_id': 'login',
                'label': ['login'],
                'lazy_load_size': 50,
                'voc_type': 'users',
                'selection_mode': 'single',
                'headers': [
                    'fio', 'login', 'user_role', 'org_id2', 'organizations_ids2'
                ],
                'model': [
                    {
                        'field': 'fio',
                        'caption': 'ФИО'
                    },
                    {
                        'field': 'login',
                        'caption': 'Логин',
                    },
                    {
                        'field': 'password',
                        'caption': 'Пароль',
                        'type': 'users_voc_password_type',
                    },
                    {
                        'field': 'user_role',
                        'caption': 'Роль',
                        'type': 'voc_users_role_type',
                        'width': '150px'
                    },
                    {
                        'field': 'org_id2',
                        'caption': 'Основная организация',
                        'type': 'organizations_voc_type',
                        'filter': ['=']
                    },

                    {
                        'field': 'organizations_ids2',
                        'caption': 'Доступные организации',
                        'type': 'organizations_voc_type',
                        'selection_mode': 'multiple',
                        'filter': ['=']
                    }
                ]
            },
            'voc_users_role_type': {
                'base_type': 'DICT',
                'data_source': {
                    'operator': 'Оператор',
                    'chief_operator': 'Главный оператор',
                    'administrator': 'Администратор',
                    'voc_operator': 'Оператор справочников',
                    'analyst': 'Аналитик'
                }
            },
            'users_voc_password_type': {
                'base_type': 'BASE',
                'validation': {
                    'type': 'str',
                    'regex': r'^(?=.*[A-Za-z])(?=.*[A-Za-z])(?=.*\d)(?=.)[A-Za-z\d@$!#%*?&_]{6,}$',
                },
                'help': 'Пароль должен содержать минимум 1 букву, 1 цифру и состоять из 6 и более символов'
            }
        }
    }
