/* Динамически подгружаемый компонент, получает интерфейс к API*/

export default {
  inject: ["api", "api2"],
  props: ["context", "form", "route"],
  template: `
    <TBoxContainer
      :form-context="formContext"
      max-width="1100"
      padding="20"
      width="calc(100vw - 40px)"
      @change="onChangeField"
    >

    <TCollapse caption="Поля ввода калькуляторы:">
      <TBoxColumnContainer>
        <TBoxColumn t-caption-width="100">
          <TCaptionInput name="exponential" />
          <TCaptionInput name="date" />
        </TBoxColumn>
        <TBoxColumn t-caption-width="100">
          <TCaptionInput name="calc_cod_rao" />
          <TCaptionInput name="calc_ph_cod" />
        </TBoxColumn>
      </TBoxColumnContainer>
    </TCollapse>

    <TCollapse caption="Выбор из таблицы">
      <TBoxContainer>
        <TCaptionInput name="org" />
      </TBoxContainer>
    </TCollapse>

    <TCollapse caption="Выбор из списка">
      <TBoxColumnContainer>
        <TBoxColumn t-caption-width="100">
          <TCaptionInput name="doc_vid" />
          <TCaptionInput name="form_own" />
          <TCaptionInput name="op_cod" />
          <TCaptionInput name="ouae" />
          <TCaptionInput name="pack_type" />
          <TCaptionInput name="pack" />
          <TCaptionInput name="plant_cod" />
          <TCaptionInput name="plant" />
        </TBoxColumn>

        <TBoxColumn t-caption-width="100">
          <TCaptionInput name="radionuclides" />
          <TCaptionInput name="sector" />
          <TCaptionInput name="status_rao" />
          <TCaptionInput name="storage_place" />
          <TCaptionInput name="sub_rf" />
          <TCaptionInput name="subdiv" />
          <TCaptionInput name="ukt_type" />
        </TBoxColumn>
      </TBoxColumnContainer>
    </TCollapse>

    <TCollapse caption="Действия:">
      <TFlex gap justify-content="flex-end" wrap>
        <ButtonComponent @click="onTest">Тест</ButtonComponent>
        <ButtonComponent class="form-button" @click="onCommit">Сохранить</ButtonComponent>
      </TFlex>
    </TCollapse>


    </TBoxContainer>
  `,

  data() {
    return {
      formContext: null,
    };
  },

  methods: {
    onCommit() {
      this.docsApi.formCommit(this);
    },

    onClose() {
      this.docsApi.formClose(this);
    },

    onChangeField(event) {
      console.log(event);
    },

    onTest(event) {
      this.formContext.assignData({
        org: "12345",
        exponential: 2,
      });
      console.log(event);
    },
  },

  async mounted() {
    this.docsApi = (await import("/app_static/docs.js"))["default"];
    await this.docsApi.formLoad(this);
  },
};
