/* Динамически подгружаемый компонент, получает интерфейс к API*/

export default {
  inject: ["api", "api2"],
  props: ["context", "form", "route"],
  template: `
    <TBoxContainer
      :form-context="formContext"
      max-width="1100"
      padding="20"
      width="calc(100vw - 40px)"
    >
    <TCollapse caption="Операция образование после переработки:">
      <TFlex gap justify-content="flex-end" wrap>
        <ButtonComponent>Кнопка 1</ButtonComponent>
        <ButtonComponent>Кнопка 2</ButtonComponent>
        <ButtonComponent>Кнопка 3</ButtonComponent>
      </TFlex>
    </TCollapse>
    <TCollapse caption="Сведения об операции:">
      <TBoxContainer>
        <TBoxColumnContainer>
          <TBoxColumn caption="Описание операции" t-caption-width="200">
            <TCaptionInput name="Образование" />
            <TCaptionInput name="OpDate" />
            <TCaptionInput name="DescriptionCod" />
          </TBoxColumn>
          <TBoxColumn caption="Место образования:" t-caption-width="200">
            <TCaptionInput name="Subdiv" />
            <TCaptionInput name="Sector" />
          </TBoxColumn>
        </TBoxColumnContainer>
        <TBoxColumnContainer>
          <TBoxColumn caption="Документ:" t-caption-width="200">
            <TCaptionInput name="DocVid" />
            <TCaptionInput name="DocN" />
            <TCaptionInput name="DocDate" />
          </TBoxColumn>
          <TBoxColumn caption="Сведения о переработке/сортировке:" t-caption-width="200">
            <TCaptionInput name="Plant" />
            <TCaptionInput name="DescriptionCodPlant" />
          </TBoxColumn>
        </TBoxColumnContainer>
      </TBoxContainer>
    </TCollapse>
    <TCollapse caption="Сведения о РАО:">
      <TBoxContainer>
        <TBoxColumnContainer>
          <TBoxColumn caption="Сведения об упаковке:" t-caption-width="200">
            <TCaptionInput name="UktTyp" />
            <TCaptionInput name="UktNumb" />
            <TCaptionInput name="UktName" />
            <ButtonComponent>Создать</ButtonComponent>
          </TBoxColumn>
          <TBoxColumn caption="Сведения о РАО:" t-caption-width="200">
            <TCaptionInput name="NumbYE" />
            <TCaptionInput name="PaspN" />
            <TCaptionInput name="Mass" />
            <TCaptionInput name="Kbm" />
            <TCaptionInput name="NumbLockDevice" />
          </TBoxColumn>
        </TBoxColumnContainer>
      </TBoxContainer>
    </TCollapse>
    <TCollapse fixed caption="Исполнитель операции:">
      <TBoxRow>
        <TCaptionInput name="FullNamePerformer" />
        <TCaptionInput name="SignaturePeformer" />
        <TCaptionInput name="Какой-то атрибут" />
      </TBoxRow>
    </TCollapse>
    <ButtonComponent class="form-button" @click="onCommit">Сохранить</ButtonComponent>
    </TBoxContainer>
  `,

  data() {
    return {
      formContext: null,
    };
  },
  methods: {
    onCommit() {
      this.api.modal.commit(this, this.formContext.data.currentData);
    },

    onClose() {
      this.api.modal.close(this);
    },

    onChangeField(event) {},
  },

  async mounted() {
    this.form.set_caption("Форма образования. Операции: 11, 56, 59");
    const { FormContext } = this.api.lib;

    this.formContext = new FormContext();
    await this.formContext.loadRepository(
      "http://wiki.robolab.msk.ru:900/form-opener/template-form-repository.json",
    );
    console.log(this.formContext);
  },
};
