var CHROME_VERSION = 90;
var EDGE_VERSION = 89;
var FIREFOX_VERSION = 63;

function getBrowser() {
  var ua = navigator.userAgent,
    tem,
    M =
      ua.match(
        /(opera|chrome|safari|firefox|msie|trident(?=\/))\/?\s*(\d+)/i,
      ) || [];
  if (/trident/i.test(M[1])) {
    tem = /\brv[ :]+(\d+)/g.exec(ua) || [];
    return { name: "IE", version: tem[1] || "" };
  }
  if (M[1] === "Chrome") {
    tem = ua.match(/\bOPR|Edge\/(\d+)/);
    if (tem != null) {
      return { name: "Opera", version: tem[1] };
    }
  }
  M = M[2] ? [M[1], M[2]] : [navigator.appName, navigator.appVersion, "-?"];
  if ((tem = ua.match(/version\/(\d+)/i)) != null) {
    M.splice(1, 1, tem[1]);
  }
  return {
    name: M[0],
    version: M[1],
  };
}

function isOldBrowser() {
  var browser = getBrowser();
  var isOldFirefox = browser.name === 'Firefox' && (+browser.version < FIREFOX_VERSION)
  // так как edge определяется так же как и хром - проверяем на минимальную версию edge
  var isOldChromeOrEdge = browser.name === 'Chrome' && (+browser.version < EDGE_VERSION)
  return isOldChromeOrEdge || isOldFirefox;
}

if (isOldBrowser()) {
  var browsersVersions = "firefox " + FIREFOX_VERSION + ", chrome " + CHROME_VERSION + ", edge " + EDGE_VERSION;
  alert(
    "Ваш браузер устарел. Для корректной работы требуется " + browsersVersions + " и новее.",
  );
}

