def init():
    return {
        'form_name': 'П.1: Прогнозирование РАО',
        'form_num': 'form_6_0',
        'form_main_attrs': [
            {
                'field': 'op_codes',
                'caption': 'Коды операций'
            },
        ],
        'tables': {
            'main_table': {
                'tab_name': 'Таблица',
                'headers': [
                        {
                            'Операция (загружаемые данные)' : [
                                'OpCod','OpDate','RAOCod',
                                'BCod',
                                'Kbm',
                                'Tonne',
                                'Sht',
                                {
                                    'Активность, Бк' : [
                                        'ActTR',
                                        'ActBG',
                                        'ActA',
                                        'ActU',
                                    ]
                                },
                                'DocN',
                                'UpCod',
                                'UktPrN',
                                'PH_Name',
                                'PH_Cod',
                                'Subsid',
                                'FCP',
                            ]
                        },
                         {
                             'Параметры для ввода' : [
                                'obligations',
                                'work_code',
                                'ptc_name',
                                'tech_stage',
                                'tech_oper',
                                'kont_type',
                                'rao_class',
                                'volume_mult',
                             ]
                         },
                         {
                            'Расчетные показатели' : [                             
                                'fc_volume',
                                'fc_kont_qty',
                                'fc_kont_volume'
                            ],
                         },
                ],
                'model': [
                    {
                        'field': 'OpCod',
                        'caption': 'Код операции',
                        'type': '11_type',
                        'width':'6em',
                    },
                    {
                        'field': 'OpDate',
                        'caption': 'Дата операции',
                        'type': 'date',
                        'width':'8em',
                    },
                    {
                        'field': 'RAOCod',
                        'caption': 'Код РАО',
                        'type': 'CalcCodeRao',
                        'width':'8em',
                    },
                    {
                        'field': 'BCod',
                        'caption': 'Статус РАО',
                        'type': '16_type',
                        'width':'8em',
                    },
                    {
                        'field': 'Kbm',
                        'caption': 'Объем, куб.м.',
                        'type': 'exponential',
                        'width':'6em',
                    },
                    {
                        'field': 'Tonne',
                        'caption': 'Масса, т',
                        'type': 'exponential',
                        'width':'6em',
                    },
                    {
                        'field': 'Sht',
                        'caption': 'Кол-во ОЗИИИ',
                        'type': 'int',
                        'width':'6em',
                    },
                    {
                        'field': 'ActTR',
                        'caption': 'тритий',
                        'type': 'exponential',
                        'width':'6em',
                    },
                    {
                        'field': 'ActBG',
                        'caption': 'бетта и гамма',
                        'type': 'exponential',
                        'width':'6em',
                    },
                    {
                        'field': 'ActA',
                        'caption': 'альфа',
                        'type': 'exponential',
                        'width':'6em',
                    },
                    {
                        'field': 'ActUR',
                        'caption': 'трансурановые',
                        'type': 'exponential',
                        'width':'6em',
                    },
                    {
                        'field': 'DocN',
                        'caption': 'номер док-та',
                        'type': 'str',
                        'width':'8em', 
                    },
                    {
                        'field': 'UpCod',
                        'caption': 'Код переработки/сортировки РАО',
                        'type': '17_type',
                        'width':'8em',
                    },
                    {
                        'field': 'UktPrN',
                        'caption': 'Номер упаковки',
                        'type': 'str',
                        'width':'8em',
                    },
                    {
                        'field': 'PH_Name',
                        'caption': 'Пункт хранения',
                        'type': '21_type',
                    },
                    {
                        'field': 'PH_Cod',
                        'caption': 'Код пункта хранения',
                        #'type': 'date'
                    },
                    {
                        'field': 'Subsid',
                        'caption': '% субсидии',
                        'type': 'grant',
                        'width':'6em',
                    },
                    {
                        'field': 'FCP',
                        'caption': 'номер мероприятия ФЦП',
                        'type': 'str',
                        'width':'8em',
                    },
                    {
                        'field': 'obligations',
                        'caption': 'Обязательства по захоронению',
                        'type': 'yesno_type',
                        'width' : '10em',
                    },
                    {
                        'field': 'work_code',
                        'caption': 'Код деятельности',
                        'type': 'docode_type',
                        'width':'8em',
                    },
                    {
                        'field': 'ptc_name',
                        'caption': 'Наименование ПТЦ',
                        'type': 'ptc_type',
                    },
                    {
                        'field': 'tech_stage',
                        'caption': 'Стадия',
                        #'type': 'date'
                        'width':'8em',
                    },
                    {
                        'field': 'tech_oper',
                        'caption': 'Технологическая операция',
                        'type': 'op_type',
                        'width':'8em',
                    },
                    {
                        'field': 'kont_type',
                        'caption': 'Тип контейнера',
                        #'type': 'date',
                        'width':'8em',
                    },
                    {
                        'field': 'rao_class',
                        'caption': 'Класс РАО',
                        #'type': 'date',
                        'width':'6em',
                    },
                    {
                        'field': 'volume_mult',
                        'caption': 'Коэф. изм. объема',
                        'type': 'exponential',
                        'width':'6em',
                    },
                    {
                        'field': 'fc_volume',
                        'caption': 'Прогнозируемый объем РАО, куб.м',
                        'type': 'exponential',
                        'width':'8em',
                    },
                    {
                        'field': 'fc_kont_qty',
                        'caption': 'Кол-во контейнеров',
                        'type': 'int',
                        'width':'6em',
                    },
                    {
                        'field': 'fc_kont_volume',
                        'caption': 'Объем контейнеров, куб.м',
                        'type': 'exponential',
                        'width':'8em',
                    },

                ]
            }
        },
        'export': [
        ]
    }