def init(api=None):
    return {
        'name' : '02. Проверка инвентаризации',
        'module_name' : 'ar_02',
        'params': [
            { 'field' : 'op_date',    'caption' : 'Дата отчета',  'type' : 'date',    'required' : True },
            { 'field' : 'form_no',    'caption' : 'Отчетная форма',
                'type' : {
                    'form_1_1' : 'Форма 1.1',
                    'form_1_2' : 'Форма 1.2',
                    'form_1_3' : 'Форма 1.3',
                    'form_1_4' : 'Форма 1.4',
                    'form_1_5' : 'Форма 1.5',
                },
                'required' : True
            },
            { 'field' : 'org_id',     'caption' : 'Организация',  'type' : 'organizations_voc_type', }
        ],
        'table' : {
            'model' : [
                { 'field' : 'org_id',       'caption' : 'Организация',      'type' : 'organizations_voc_type', },
                { 'field' : 'PaspN',        'caption' : 'Номер паспорт', },
                { 'field' : 'Typ',          'caption' : 'Тип источника',              },
                { 'field' : 'Nuclid',       'caption' : 'Нуклиды',              'type':'radionuclide_voc_type',},
                { 'field' : 'Numb',         'caption' : 'Номер источника', },
                { 'field' : 'Activn',       'caption' : 'Активность, Бк',       'type': 'exponential', },
                { 'field' : 'IzgotOKPO',    'caption' : 'ОКПО изготовителя', },
                { 'field' : 'IzgotDate',    'caption' : 'Дата изготовления', },
                { 'field' : 'Kateg',        'caption' : 'Категория ЗРИ', },
                { 'field' : 'Nss',          'caption' : 'НCC, мес.', },

                { 'field' : 'last_inv_date','caption' : 'Дата последн. инвентаризации',               },
                { 'field' : 'prev_inv_date','caption' : 'Дата пред. инвентаризации',               },
                { 'field' : 'calc_Sht',     'caption' : 'Расчетн. кол-во',            },
                { 'field' : 'inv_Sht',      'caption' : 'Кол-во по инвентаризации',               },
            ]
        }
    }

import sys
import os

sys.path.insert(1, os.path.join(sys.path[0], '..'))    

import rvrao

def exec(params, context=None, api=None ):   # Интерфейс вызова
    op_date = params.get('op_date')
    org_id = params.get('org_id', '')
    if type(org_id)==int or len(org_id)==0:
        org_id = 'NULL'

    sql = f"SELECT * FROM ar_inv_check_f11('{op_date}', {org_id})"

    df = rvrao.sql_dataframe(sql, context=context)
    res = df.reset_index().to_json(orient="table", force_ascii=False)
    
    #res = df.reset_index()
    
    return res


def build(params, api=None):                              # Старый интерфейс вызова
    import rvrao
    return exec(params, context=rvrao.def_context, api=api)
