def init(api=None):
    return {
        'name' : '03. Истечение назначенного срока службы',
        'module_name' : 'ar_03',
        'params': [
            { 'field' : 'op_date',    'caption' : 'Дата отчета',  'type' : 'date',    'required' : True },
            { 'field' : 'form_no',    'caption' : 'Отчетная форма',
                'type' : {
                    'form_1_1' : 'Форма 1.1',
                    'form_1_2' : 'Форма 1.2',
                },
                'required' : True
            },
        ],
        'table' : {
            'model' : [
                { 'field' : 'org_id',       'caption' : 'Организация',      'type' : 'organizations_voc_type', },
                { 'field' : 'PaspN',        'caption' : 'Номер паспорт', },
                { 'field' : 'Typ',          'caption' : 'Тип источника',              },
                { 'field' : 'Nuclid',       'caption' : 'Нуклиды',              'type':'radionuclide_voc_type',},
                { 'field' : 'Numb',         'caption' : 'Номер источника', },
                { 'field' : 'Activn',       'caption' : 'Активность, Бк',       'type': 'exponential', },
                { 'field' : 'IzgotOKPO',    'caption' : 'ОКПО изготовителя', },
                { 'field' : 'IzgotDate',    'caption' : 'Дата изготовления', },
                { 'field' : 'Kateg',        'caption' : 'Категория ЗРИ', },
                { 'field' : 'Nss',          'caption' : 'НCC, мес.', },
            ]
        }
    }


import sys
import os

sys.path.insert(1, os.path.join(sys.path[0], '..'))    

import rvrao

def exec(params, context=None, api=None ):   # Интерфейс вызова
    op_date = params.get('op_date')
    form_no = params.get('form_no')

    proc_name = {
        'form_1_1' : 'ar_expired_f11',
        'form_1_2' : 'ar_expired_f12',
    }.get(form_no)

    if not proc_name:
        raise Exception(f'Отчет не реализован для формы {form_no}')

    sql = f"SELECT * FROM {proc_name}('{op_date}')"

    df = rvrao.sql_dataframe(sql, context=context)
    res = df.reset_index().to_json(orient="table", force_ascii=False)
    
    #res = df.reset_index()
    
    return res


def build(params, api=None):                 # Старый интерфейс вызова
    import rvrao
    return exec(params, context=rvrao.def_context, api=api)