# PaspN, Typ,       AccZRI,AccIOU,AccORP -> Numb, IzgotOKPO, IzgotDate      AccORP -> IstName     
def init(api=None):
    return {
        'name' : '04. Проверка наличия отчета об инвентаризации',
        'module_name' : 'ar_04',
        'params': [
            { 'field' : 'op_date',    'caption' : 'Дата отчета',  'type' : 'date',    'required' : True },
        ],
        'table' : {
            'model' : [
                { 'field' : 'org_id',       'caption' : 'Организация',      'type' : 'organizations_voc_type', },
                { 'field' : 'form_no',      'caption' : 'Номер формы',      },
                { 'field' : 'PaspN',        'caption' : 'Номер паспорт', },
                { 'field' : 'Typ',          'caption' : 'Тип источника',              },
                { 'field' : 'Numb',         'caption' : 'Номер источника', },
                { 'field' : 'Activn',       'caption' : 'Активность, Бк',       'type': 'exponential', },
                { 'field' : 'IzgotOKPO',    'caption' : 'ОКПО изготовителя', },
                { 'field' : 'IzgotDate',    'caption' : 'Дата изготовления', },
                { 'field' : 'Kateg',        'caption' : 'Категория ЗРИ', },
                { 'field' : 'IstName',      'caption' : 'Название источника', },

                { 'field' : 'end_amount',   'caption' : 'Кол-во', },
                { 'field' : 'end_mass_net', 'caption' : 'Масса, кг', },
                { 'field' : 'end_volume',   'caption' : 'Объем, м3', },
                { 'field' : 'end_activity', 'caption' : 'Активность, Бк', 'type' : 'exponential' },
                { 'field' : 'inv_date',     'caption' : 'Дата инвнтаризации', },
            ]
        }
    }

import sys
import os

sys.path.insert(1, os.path.join(sys.path[0], '..'))    

import rvrao

def exec(params, context=None, api=None):   # Интерфейс вызова
    op_date = params.get('op_date')

    sql = f"SELECT * FROM acc_inventory_exist('{op_date}')"

    df = rvrao.sql_dataframe(sql, context=context)
    res = df.reset_index().to_json(orient="table", force_ascii=False)
    
    #res = df.reset_index()
    
    return res


def build(params, api=None):                              # Старый интерфейс вызова
    import rvrao
    return exec(params, context=rvrao.def_context, api=api)