def init(api=None):
    return {
        'name' : '29. Сведения об обращении с особыми РАО (тест)',
        'module_name' : 'ar_29d',
        'params': [
            { 'field' : 'date_from', 'caption' : 'Начало периода',    'type' : 'date', 'required' : True },
            { 'field' : 'date_to',   'caption' : 'Окончание периода', 'type' : 'date', 'required' : True },
        ],
        'table' : {
            'model' : [
                { 'field' : 'OpDate',       'caption' : 'Дата операции',   'width':'10em',     'type' : 'date', },
                { 'field' : 'OpCod',        'caption' : 'Код операции',         'type' : '11_type'},
                { 'field' : 'PaspN',        'caption' : 'Номер паспорт', },
                { 'field' : 'Typ',          'caption' : 'Тип ЗРИ',              'typr' : '23_type' },
                { 'field' : 'Nuclid',       'caption' : 'Нуклиды',              'type':'radionuclide_voc_type',},
                { 'field' : 'Numb',         'caption' : 'Номер ЗРИ', },
                { 'field' : 'Sht',          'caption' : 'Кол-во', },
                { 'field' : 'Activn',       'caption' : 'Активность, Бк',       'type': 'exponential', },
                { 'field' : 'IzgotOKPO',    'caption' : 'ОКПО изготовителя', },
                { 'field' : 'IzgotDate',    'caption' : 'Дата изготовления', },
                { 'field' : 'Kateg',        'caption' : 'Категория ЗРИ', },
                { 'field' : 'Nss',          'caption' : 'НCC, мес.', },
                { 'field' : 'DocVid',       'caption' : 'Вид док-та',           'type': '12_type',},
                { 'field' : 'DocN',         'caption' : 'Номер док-та',     },
                { 'field' : 'DocDate',      'caption' : 'Дата док-та',          'type' : 'date' },
                { 'field' : 'OkpoPIP',      'caption' : 'ОКПО поставщ. или получ.', 'type' : 'OKPO_type' },
                { 'field' : 'OkpoPrv',      'caption' : 'ОКПО перевозч.',       'type' : 'OKPO_type' },
                { 'field' : 'PrName',       'caption' : 'Наимен. прибора',      'type': '26_type',},
                { 'field' : 'UktPrTyp',     'caption' : 'Тип УКТ или прибора', },
                { 'field' : 'UktPrN',       'caption' : 'Номер УКТ или прибора', },
                { 'field' : 'sign',         'caption' : 'Знак операции',        'type' : 'int' },
                { 'field' : 'form_state',   'caption' : 'Состояние ОФ', },
                { 'field' : 'is_active',    'caption' : 'Активность ОФ', },
            ]
        }
    }

import sys
import os

sys.path.insert(1, os.path.join(sys.path[0], '..'))    

import rvrao

def build(params, api=None):

    df = rvrao.ar_f11_dataframe()
    res = df.reset_index().to_json(orient="table", force_ascii=False)
    
    #res = df.reset_index()
    
    return res