def init(api=None):
    return {
        'name' : 'Аналитический регистр формы 1.5 (AccROZ)',
        'module_name' : 'ar_f15',
        'params': [
        ],
        'table' : {
            'model' : [
                { 'field' : 'OpDate',       'caption' : 'Дата операции',        'type' : 'date', },
                { 'field' : 'OpCod',        'caption' : 'Код операции',         'type' : '11_type'},
                { 'field' : 'PaspN',        'caption' : 'Номер паспорт', },
                { 'field' : 'Typ',          'caption': 'Вид ОРИ',               'type': '13_type' },
                { 'field' : 'Nuclid',       'caption' : 'Нуклиды',              'type':'radionuclide_voc_type',},
                { 'field' : 'Numb',         'caption' : 'Номер ЗРИ', },
                { 'field' : 'Sht',          'caption' : 'Кол-во', },
                { 'field' : 'Activn',       'caption' : 'Активность, Бк',       'type': 'exponential', },
                { 'field' : 'IzgotDate',    'caption' : 'Дата изготовления', },
                { 'field' : 'Kateg',        'caption' : 'Категория ЗРИ', },
                { 'field' : 'BCod',         'caption' : 'Статус РАО',           'type': '16_type', },
                { 'field' : 'DocVid',       'caption' : 'Вид док-та',           'type': '12_type',},
                { 'field' : 'DocN',         'caption' : 'Номер док-та',     },
                { 'field' : 'DocDate',      'caption' : 'Дата док-та',          'type' : 'date' },
                { 'field' : 'OkpoPIP',      'caption' : 'ОКПО поставщ. или получ.', 'type' : 'OKPO_type' },
                { 'field' : 'OkpoPrv',      'caption' : 'ОКПО перевозч.',       'type' : 'OKPO_type' },
                { 'field' : 'PrName',       'caption' : 'Наимен. прибора',      'type': '26_type',},
                { 'field' : 'UktPrTyp',     'caption' : 'Тип УКТ или прибора', },
                { 'field' : 'UktPrN',       'caption' : 'Номер УКТ или прибора', },
                { 'field': 'PH_Name',       'caption': 'Наимен. пункта хран.',  'type': '21_type', },
                { 'field': 'PH_Cod',        'caption': 'Код пункта хран.',        },

                { 'field' : 'sign',         'caption' : 'Знак операции',        'type' : 'int' },
                { 'field' : 'form_state',   'caption' : 'Состояние ОФ', },
                { 'field' : 'is_active',    'caption' : 'Активность ОФ', },
            ]
        }
    }

import sys
import os

sys.path.insert(1, os.path.join(sys.path[0], '..'))    

import rvrao

def build(params, api=None):

    df = rvrao.ar_f15_dataframe()
    res = df.reset_index().to_json(orient="table", force_ascii=False)
    
    #res = df.reset_index()
    
    return res