def init(api=None):
    return {
        'name' : 'ПРАО - Прогнозируемый объем РАО для захоронения',
        'module_name' : 'fc_01',
        'params': [
        ],
        'table' : {
            'model' : [
                { 'field' : 'BCod',           'caption' : 'Статус РАО', 'type':'16_type'},
                { 'field' : 'FCP',            'caption' : 'Номер мероприятия ФЦП'},
                { 'field' : 'work_code',      'caption' : 'Код деятельности'},
                { 'field' : 'fc_kont_volume', 'caption' : 'Объем контейнеров, куб.м.'},
                { 'field' : 'rao_class',      'caption' : 'Класс РАО'},
                { 'field' : 'op_year',        'caption' : 'Год'},
            ]
        }
    }


import sys
import os

sys.path.insert(1, os.path.join(sys.path[0], '..'))    

import rvrao


def build(params, api=None):
    df = calc(params)
    return df.reset_index().to_json(orient="table", force_ascii=False)


def calc(params):
    column_list = ['op_year', 'work_code', 'BCod', 'FCP', 'fc_kont_volume', 'rao_class']

    df = rvrao.fc_dataframe()
    rvrao.drop_unused_columns(df, column_list)
    return df
    