def init(api=None):
    return {
        'name' : 'ПРАО - Прогнозируемый объем РАО для захоронения по классам',
        'module_name' : 'fc_02',
        'params': [
        ],
        'table' : {
            'model' : [
                { 'field' : 'op_year',        'caption' : 'Год'},
                { 'field' : 'work_code',      'caption' : 'Код деятельности'},
                { 'field' : 'rao_class',      'caption' : 'Класс РАО'},
                { 'field' : 'fc_kont_volume', 'caption' : 'Объем контейнеров, куб.м.'},
            ]
        }
    }


import sys
import os

sys.path.insert(1, os.path.join(sys.path[0], '..'))    

import rvrao

def build(params, api=None):
    df = calc(params)
    return df.reset_index().to_json(orient="table", force_ascii=False)


def calc(params):
    df = rvrao.fc_dataframe()

    df.work_code.fillna(0, inplace=True)
    df.rao_class.fillna(0, inplace=True)
    
    group_list = ['op_year','work_code', 'rao_class']
    df = df.groupby(group_list).agg({'fc_kont_volume':'sum'})

    return df
    