def init(api=None):
    return {
        'name' : 'ПРАО - Справка для оценки обязательств',
        'module_name' : 'fc_03',
        'params': [
        ],
        'table' : {
            'model' : [
                { 'field' : 'op_year',        'caption' : 'Год'},
                { 'field' : 'work_code',      'caption' : 'Код деятельности'},
                { 'field' : 'tech_stage',     'caption' : '='},
                { 'field' : 'ptc_name',       'caption' : 'Наименование ПТЦ'},
                { 'field' : 'RAOCod',         'caption' : 'Код РАО'},

                { 'field' : 'Kbm',            'caption' : 'Объем, куб.м.'},
                { 'field' : 'Tonne',          'caption' : 'Вес нетто, т.'},
                { 'field' : 'Sht',            'caption' : 'Кол-во'},

                { 'field' : 'ActTR',          'caption' : 'Активность Тритий'},
                { 'field' : 'ActBG',          'caption' : 'Активность Бетта+Гамма'},
                { 'field' : 'ActA',           'caption' : 'Активность Альфа'},
                { 'field' : 'ActU',           'caption' : 'Активность Трансурановые'},
            ]
        }
    }


import sys
import os

sys.path.insert(1, os.path.join(sys.path[0], '..'))    

import rvrao

def build(params, api=None):
    df = calc(params)
    return df.reset_index().to_json(orient="table", force_ascii=False)


def calc(params):
    df = rvrao.fc_dataframe()

    column_list = [
        'op_year','work_code','tech_stage', 'ptc_name',
        'RAOCod', 'Kbm', 'Tonne', 'Sht',
        'ActTR', 'ActBG', 'ActA', 'ActU'
    ]
    df = df[column_list]

    return df
    